
;;;Structural steel lisp program, property of Taylor Drafting, programmed by Stephen R. Taylor.  
;;;Email address; staylor781@aol.com
;;;
;;;
;;;STEEL.LSP
;;;Version 1.1    
;;;Copyright (C) 1997, by Stephen R. Taylor
;;;
;;;Permission to copy and distribute this shareware software
;;;without fee is hereby granted provided that it is not used 
;;;more then 30 days from date of installation as a trial to see if you as the user likes it.
;;;After 30 days the software must be removed from the users computer. 
;;;If the user decides to purchase the software please see the buyme.doc
;;;file which gives instructions on how to purchase this software. 
;;;
;;;Taylor Drafting provides this program "as is" and with all faults. Taylor Drafting 
;;;specifically disclaims any implied warranty of merchantability or fitness for a particular
;;;use. Taylor Drafting does not warrant that the operation of the program will be
;;;uninterrupted or error free. Taylor Drafting and programmer Stephen R. Taylor
;;;shall have neither liability nor responsibility to any person or entity with respect to 
;;;any loss or damages arising from the use of this software.
;;;
;;;Use, duplication, or disclosure by the U.S. Government is subject to
;;;restrictions set forth in FAR 52.227-19 (Commercial Computer
;;;Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii) 
;;;(Rights in Technical Data and Computer Software), as applicable.
;;;


 (DEFUN ERR_STL_AQ1 (msg) 
  (setq *error* olderr)
  (if (not stlerr)
    (princ msg) 
  )
  (if (= stlcolorcl "bylayer") (setq stlcolorcl 256))
  (if (= stlcolorcl "byblock") (setq stlcolorcl 0))
  (if (= stlcolorbrk "bylayer") (setq stlcolorbrk 256))
  (if (= stlcolorbrk "byblock") (setq stlcolorbrk 0))
  (if (= stlcolorhid "bylayer") (setq stlcolorhid 256))
  (if (= stlcolorhid "byblock") (setq stlcolorhid 0))
  (if osn(setvar "osmode" osn))
  (if blp(setvar "blipmode" blp))
  (if luprec(setvar "luprec" luprec))
  (if lunits(setvar "lunits" lunits))
  (if hpn(setvar "hpname" hpn))
  (if hpangle(setvar "hpang" hpangle))
  (if hpscale(setvar "hpscale" hpscale))
  (if ceco(setvar "cecolor" ceco))
  (setq r4 nil z1 nil s nil ss1 nil ss2 nil ss3 nil ss4 nil ss5 nil ss6 nil ss7 nil ss8 nil ss9 nil ss10 nil tt nil)
  (setq a nil b nil c nil d nil e nil f nil g nil h nil i nil j nil k nil l nil m nil n nil o nil)
  (setq p nil q nil r nil u nil v nil  w nil x nil)
  (setq y nil z nil a1 nil a2 nil a3 nil a4 nil a5 nil b1 nil dd nil hh nil r1 nil r2 nil r3 nil)
  (setq pnt1 nil pnt2 nil pnt3 nil pnt4 nil pnt5 nil pnt6 nil pnt7 nil pnt8 nil pnt9 nil)
  (setq pnt10 nil pnt11 nil pnt12 nil pnt13 nil pnt14 nil)
  (setq pnt15 nil pnt16 nil pnt17 nil pnt18 nil pnt19 nil pnt20 nil pnt21 nil )
  (setq pnt22 nil pnt23 nil pnt24 nil pnt25 nil)
  (setq pnt1 nil)
   (if cmd(setvar "cmdecho" cmd))
(princ)
)
 ;the dtr function converts degrees to radians
(DEFUN DTR (a)
 (* pi (/ a 180.0))
)
;the rtd function converts radians to degrees
(DEFUN RTD (a)
  (/ (* a 180.0) pi)
)
(DEFUN ROMO_STL_AQ1 (/ rd2 rt1) 
(if (wcmatch (getvar "acadver") "14*")
   (arxload "geom3d" [onfailure])
 )
 (if (wcmatch (getvar "acadver") "13*")
   (progn
     (if (/= geom3d2 1) (xload "geom3d"))
     (setq geom3d2 1)
    )
  )
 (setvar "osmode" osn)
 (setvar "cecolor" ceco)
 (if (or (= topv2 1)(= bottomv2 1)(= 3ds2 1)(= 3dd2 1)) 
   (progn
     (setq ssrot (ssadd))
     (if (/= ss1 nil)(ssadd ss1 ssrot))
     (if (and(/= addcen2 nil) (/= pip2 1)) 
       (progn
          (ssadd ss2 ssrot)(ssadd ss3 ssrot)(ssadd ss4 ssrot)
          (ssadd ss5 ssrot)(ssadd ss6 ssrot)(ssadd ss7 ssrot)
          (ssadd ss8 ssrot)(ssadd ss9 ssrot)
        )
      )
     (if (/= cen2 nil)
        (progn
          (ssadd sscen ssrot) 
          (setq sscen nil) 
        )
     )
    (if (and (/= hat2 nil)(= 3ds2 nil)(= 3dd2 nil)) (ssadd sshat ssrot)) 
    (if (and (= pip2 1)(or (= 2ds2 1)(= 2dd2 1)))
      (ssadd ss10 ssrot)
    )
   (if (and (and (= pipyy2 1)(= pip2 1))(or (= 2ds2 1)(= 2dd2 1)))
     (progn
       (ssadd ss2 ssrot)
       (ssadd ss3 ssrot)
     )
   )
  (if (and (and (= pip2 1)(/= addcen2 nil))(or (= 2ds2 1)(= 2dd2 1)))
    (progn
      (ssadd ss4 ssrot)(ssadd ss5 ssrot)(ssadd ss6 ssrot)
      (ssadd ss7 ssrot)(ssadd ss8 ssrot)(ssadd ss9 ssrot)
      (ssadd ss11 ssrot)(ssadd ss12 ssrot)
     )
   )
 )
)
 (if (and(or (= frontv2 1)(= rearv2 1)(= leftv2 1)(= rightv2 1))(or (= 2ds2 1)(= 2dd2 1)))
  (progn
    (if (/= cen2 nil)
     (ssadd sscen ss1))
   )
  )
(while
  (or (initget 129 "Rotate Move")
    (/= "" (setq rm1 (getkword "\nRotate/Move: "))))

(cond
 ((= rm1 "Rotate")
 (initget "Define 22.5 30 45 90 180 ")
 (setq rd1 (getkword "\nRotation degrees: Define/22.5/30/45/<90>/180: "))
  (if(or (= rd1 "") (null rd1))
   (setq rd1 "90")
  )
   (setq rd2 (atoi rd1))
  (if (= rd1 "Define")
   (setq rd2 (getreal "\nRotation Angle: "))
  )
  (initget "No Yes")
  (setq rt1 (getkword "\nSet rotation point? Yes/<No>: "))
  (if(or (= rt1 "") (null rt1))
   (setq rt1 "No")
  )
 (if (= rt1 "Yes")
    (setq pnt1 (getpoint "\nPick rotation point"))             
  )
 (while
  (or
   (initget 129 "X Y Z")
     (/= ""
      (setq rt1 (getkword "\nRotate shape: X/Y/Z: "))
     )
  )
    (if (or (= topv2 1)(= bottomv2 1)(= 3ds2 1)(= 3dd2 1))
     (rotate3d ssrot rt1 pnt1 rd2)
     (rotate3d ss1 rt1 pnt1 rd2)
    )
 )          
)
((= rm1 "Move")
  (setvar "cmdecho" 1)
  (if (or (= topv2 1)(= bottomv2 1)(= 3ds2 1)(= 3dd2 1))
    (command "._move" ssrot "" pause pause)
    (command "._move" ss1 "" pause pause)
   )
  (setvar "cmdecho" 0)
 )
)
)
(if (or (= pipyy2 1)(= addcen2 1))
 (setq ss2 nil ss3 nil ss4 nil ss5 nil ss8 nil ss9 nil ss10 nil ss11 nil ss12 nil)
 )
(setq olderr *error*
              *error* err_stl_aq1)
(setq ss1 nil)
)

(DEFUN TOGGLE_VIEW_STL_AQ1 ( );;/)
(while
  (or
    (initget 129 "Location")
      (/= ""
        (setq viewtog1 (getkword "\nToggle Location: Location: "))
       )
    )
   (if (= viewtog1 "Location")
    (progn
     (if (not viewpos)(setq viewpos 1))
     (if (= viewpos 5)(setq viewpos 1))
     (cond
       ((= viewpos 1) (command "._move" ss1 "" pnt2 pnt6))
       ((= viewpos 2) (command "._move" ss1 "" pnt6 pnt2))
       ((= viewpos 3) (command "._move" ss1 "" pnt2 pnt4))
       ((= viewpos 4) (command "._move" ss1 "" pnt4 pnt2))
     )
     (setq viewpos (1+ viewpos))
    )
   )
  )
(setq viewpos nil)
)

(DEFUN TOGGLE_ANG_STL_AQ1 ( );;/ zz3 ltt1 ltt2 )
(if (wcmatch (getvar "acadver") "13*")
    (progn
      (if (/= geom3d2 1) (xload "geom3d"))
        (setq geom3d2 1)
      )
    )
 (setq zz3 1)
 (if (= stlcolorhid 256) (setq stlcolorhid "bylayer"))
 (if (= stlcolorhid 0) (setq stlcolorhid "byblock"))
 (if (= stlcolorsh 256) (setq stlcolorsh "bylayer"))
 (if (= stlcolorsh 0) (setq stlcolorsh "byblock"))

 (while
  (or
    (initget 129 "Linetype Side On-off")
      (/= ""
        (setq tog1 (getkword "\nToggle: Linetype/Side/On-off: "))
       )
   )
    (if (= tog1 "Linetype")
      (progn
        (if (= zz3 2)
         (progn
           (entdel ss3)
           (ssadd ss3 ss1)
           (setq zz3 1)
          )
         )
        (setq ltt1 (entget ss3))
        (setq ltt2 (cdr (assoc 6 ltt1)))
        ( if (= ltt2 "HIDDEN")
          (command "._chprop" ss3 "" "_lt" ltyp "_c" stlcolorsh "")
        )
       (progn
         ( if (or (= ltt2 ltyp)(= ltt2 nil))
           (command "._chprop" ss3 "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
          )
       )
     )
   )
    (if (= tog1 "Side")
      (progn
        (if (= zz3 2) 
          (progn
            (entdel ss3)
            (ssadd ss3 ss1)
            (setq zz3 1)
          )
        )
      (rotate3d ss3 "" pnt1 pnt2 180)
     )
   )
   (if (= tog1 "On-off")
     (progn
       (if (= zz3 1)
         (progn
           (entdel ss3)
           (ssdel ss3 ss1)
           (setq zz3 2)
         )
         (progn
           (entdel ss3)
           (ssadd ss3 ss1)
           (setq zz3 1)
          )
       )
     ) 
  )
);closes while

   (setq olderr *error*
              *error* err_stl_aq1)
(if (= stlcolorhid "bylayer") (setq stlcolorhid 256))
(if (= stlcolorhid "byblock") (setq stlcolorhid 0))
(if (= stlcolorsh "bylayer") (setq stlcolorsh 256))
(if (= stlcolorsh "byblock") (setq stlcolorsh 0))
);closes toggle


(DEFUN BREAK_STL_AQ1 (/ b w x ang1 pnt9 pnt11 pnt8 pnt7 pnt12 sspl1 sspl2)
(if (and(and (or(= bea2 1)(= tee2 1))(= 2ds2 1)) (or(= leftv2 1)(= rightv2 1)))
  (setq b b)
)
(if (and (and(or(= bea2 1)(= tee2 1))(= 2ds2 1))(or(= frontv2 1)(= rearv2 1)))
  (setq b f)
)
(if (and(and(or(= bea2 1)(= tee2 1))(= 2dd2 1))(or(= leftv2 1)(= rightv2 1)))
  (setq b a)
)
(if (and (and(or(= bea2 1)(= tee2 1))(= 2dd2 1))(or(= frontv2 1)(= rearv2 1)))
  (setq b e)
)
(if (and (and (or(= ang2 1)(= tub2 1))(or(= 2dd2 1)(= 2ds2 1)))(or(= frontv2 1)(= rearv2 1)))
  (setq b b)
)
(if (and (and (or(= ang2 1)(= tub2 1))(or(= 2dd2 1)(= 2ds2 1)))(or(= leftv2 1)(= rightv2 1)))
  (setq b a)
)
(if (and (and (= cha2 1)(or(= 2dd2 1)(= 2ds2 1)))(or(= leftv2 1)(= rightv2 1)))
  (setq b a)
)
(if (and (and (= cha2 1)(= 2ds2 1))(or(= frontv2 1)(= rearv2 1)))
  (setq b e)
)
(if (and (and (= cha2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1)))
  (setq b d)
)
 (setq b (distance pnt4 pnt6))
 (setq w (/ b 8))
 (setq x (/ b 16))
 (setq ang1 (angle pnt6 pnt4))
 (setq pnt9 (polar pnt2 (+ ang1 (dtr 300)) w))
 (setq pnt10 (polar pnt2 (+ ang1 (dtr 120)) w))
 (setq pnt11 (polar pnt10 (+ ang1 (dtr 240)) w))
 (setq pnt8 (polar pnt9 (+ ang1 (dtr 60)) w))
 (setq pnt7 (polar pnt4 (+ ang1 (dtr 0)) x))
 (setq pnt12 (polar pnt6 (+ ang1 (dtr 180)) x))
 (command "._pline" pnt7 pnt8 pnt9 pnt10 pnt11 pnt12 "")
 (setq sspl1 (entlast))
 (command "._chprop" sspl1 "" "_c" stlcolorbrk "")
 (command "._copy" sspl1 "" pnt4 pnt3)
 (setq sspl2 (entlast))
 (ssadd sspl1 ss1)
 (ssadd sspl2 ss1)
 (setq sspl1 nil sspl2 nil)
)

(DEFUN TOGGLE_BEA_STL_AQ1 (/ zz3 ltt1 ltt2)
(if (wcmatch (getvar "acadver") "13*")
    (progn
      (if (/= geom3d2 1) (xload "geom3d"))
      (setq geom3d2 1)
     )
   )
 (setq zz3 1)
 (if (= stlcolorhid 256) (setq stlcolorhid "bylayer"))
 (if (= stlcolorhid 0) (setq stlcolorhid "byblock"))
 (if (= stlcolorsh 256) (setq stlcolorsh "bylayer"))
 (if (= stlcolorsh 0) (setq stlcolorsh "byblock"))

 (while
  (or
    (initget 129 "Linetype On-off")
      (/= "" 
        (setq tog1 (getkword "\nToggle: Linetype/On-off: "))
       )
   )
    (if (= tog1 "Linetype")
      (progn
        (if (= zz3 2)
         (progn
           (entdel ss2)
           (ssadd ss2 ss1)
           (entdel ss4)
           (ssadd ss4 ss1)
           (setq zz3 1)
          )
         )
        (setq ltt1 (entget ss2))
        (setq ltt2 (cdr (assoc 6 ltt1)))
        ( if (= ltt2 "HIDDEN")
          (command "._chprop" ss2 ss4 "" "_lt" ltyp "_c" stlcolorsh "")
        )
       (progn
         ( if (or (= ltt2 ltyp)(= ltt2 nil))
           (command "._chprop" ss2 ss4 "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
          )
       )
     )
   )
    
   (if (= tog1 "On-off")
     (progn
       (if (= zz3 1)
         (progn
           (entdel ss2)
           (ssdel ss2 ss1)
           (entdel ss4)
           (ssdel ss4 ss1)
           (setq zz3 2)
         )
         (progn
           (entdel ss2)
           (ssadd ss2 ss1)
           (entdel ss4)
           (ssadd ss4 ss1)
           (setq zz3 1)
          )
       )
     ) 
  )
 );closes while
(if (= stlcolorhid "bylayer") (setq stlcolorhid 256))
(if (= stlcolorhid "byblock") (setq stlcolorhid 0))
(if (= stlcolorsh "bylayer") (setq stlcolorsh 256))
(if (= stlcolorsh "byblock") (setq stlcolorsh 0))
)

(DEFUN SETTILE_STL_AQ1 ()
 (if(= "1" (get_tile "beam"))
  (setq bea2 1)
  (setq bea2 nil)
 )
 (if(= "1" (get_tile "chan"))
  (setq cha2 1)
  (setq cha2 nil)
 )
 (if(= "1" (get_tile "angl"))
  (setq ang2 1)
  (setq ang2 nil)
 )
 (if(= "1" (get_tile "tubi"))
  (setq tub2 1)
  (setq tub2 nil)
 )
 (if(= "1" (get_tile "tee"))
  (setq tee2 1)
  (setq tee2 nil)
 )
 (if(= "1" (get_tile "pipe"))
  (setq pip2 1)
  (setq pip2 nil)
  )
(if(= "1" (get_tile "2ds"))
  (setq 2ds2 1)
  (setq 2ds2 nil)
 )
 (if(= "1" (get_tile "2dd"))
  (setq 2dd2 1)
  (setq 2dd2 nil)
 )
 (if(= "1" (get_tile "3ds"))
  (setq 3ds2 1)
  (setq 3ds2 nil)
 )
 (if(= "1" (get_tile "3dd"))
  (setq 3dd2 1)
  (setq 3dd2 nil)
 )
 (if(= "1" (get_tile "cenpt"))
  (setq cen2 1)
  (setq cen2 nil)
 )
(if(= "1" (get_tile "mansh"))
  (setq man2 1)
  (setq man2 nil)
 )
(if (= ext3 nil)
  (set_tile "extr" "1")
 )

)


(DEFUN SETTILE1_STL_AQ1 ()
 (if (and (= wtshp2 nil) (= stshp2 nil))
   (setq wtshp2 1)
   )
   (if (= "1" (get_tile "wtshp"))
     (progn
      (setq wtshp2 1)
      (setq bm1 "WT")
     )
     (setq wtshp2 nil)
   )
  (if (= "1" (get_tile "stshp"))
    (progn
      (setq stshp2 1)
      (setq bm1 "ST")
     )
    (setq stshp2 nil)
  )
)
(DEFUN SETTILE2_STL_AQ1 ()
  (if(= "1" (get_tile "topv"))
    (setq topv2 1)
    (setq topv2 nil))
  (if(= "1" (get_tile "frontv"))
    (setq frontv2 1)
    (setq frontv2 nil))
  (if(= "1" (get_tile "bottomv"))
    (setq bottomv2 1)
    (setq bottomv2 nil))
  (if(= "1" (get_tile "rearv"))
    (setq rearv2 1)
    (setq rearv2 nil))
  (if(= "1" (get_tile "leftv"))
    (setq leftv2 1)
    (setq leftv2 nil))
  (if(= "1" (get_tile "rightv"))
    (setq rightv2 1)
    (setq rightv2 nil))
(if(= "1" (get_tile "addcen"))
    (setq addcen2 1)
    (setq addcen2 nil))
(if(= "1" (get_tile "toggle"))
    (setq toggle2 1)
    (setq toggle2 nil))
(if(= "1" (get_tile "togglel"))
    (setq togglel2 1)
    (setq togglel2 nil))
(if(= "1" (get_tile "hatchstl"))
    (setq hat2 1)
    (setq hat2 nil))
(if(= "1" (get_tile "toplef"))
    (setq toplef2 1)
    (setq toplef2 nil))
(if(= "1" (get_tile "topcen"))
    (setq topcen2 1)
    (setq topcen2 nil))
(if(= "1" (get_tile "toprig"))
    (setq toprig2 1)
    (setq toprig2 nil))
(if(= "1" (get_tile "midlef"))
    (setq midlef2 1)
    (setq midlef2 nil))
(if(= "1" (get_tile "midcen"))
    (setq midcen2 1)
    (setq midcen2 nil))
(if(= "1" (get_tile "midrig"))
    (setq midrig2 1)
    (setq midrig2 nil))
(if(= "1" (get_tile "botlef"))
    (setq botlef2 1)
    (setq botlef2 nil))
(if(= "1" (get_tile "botcen"))
    (setq botcen2 1)
    (setq botcen2 nil))
(if(= "1" (get_tile "botrig"))
    (setq botrig2 1)
    (setq botrig2 nil))
 )

(DEFUN SETTILE2A_STL_AQ1 ( )
  (if(= "1" (get_tile "pipyy"))
     (progn
        (set_tile "capends" "0")
        (setq capends2 nil)
        (setq pipyy2 1)
      )
    (setq pipyy2 nil))
 )

(DEFUN SETTILE2B_STL_AQ1 ( )
  (if(= "1" (get_tile "capends"))
    (progn
      (set_tile "pipyy" "0")
      (setq pipyy2 nil)
      (setq capends2 1)
    )
     (setq capends2 nil))
 )

(DEFUN SETTILE3_STL_AQ1 ( )
  (cond
     ((= stlcolor 0)
        (set_tile "text_color" "BYBLOCK")
        (col_tile_stl_aq1 "fill_color" 7 nil) 
      )
      ((= stlcolor 1)
        (set_tile "text_color" "1 red")
        (col_tile_stl_aq1 "fill_color" 1 nil)
      )
      ((= stlcolor 2)
        (set_tile "text_color" "2 yellow")
        (col_tile_stl_aq1 "fill_color" 2 nil)
      )
      ((= stlcolor 3)
        (set_tile "text_color" "3 green")
        (col_tile_stl_aq1 "fill_color" 3 nil)
      )
      ((= stlcolor 4)
        (set_tile "text_color" "4 cyan")
        (col_tile_stl_aq1 "fill_color" 4 nil)
      )
      ((= stlcolor 5)
        (set_tile "text_color" "5 blue")
        (col_tile_stl_aq1 "fill_color" 5 nil)
      )
      ((= stlcolor 6)
        (set_tile "text_color" "6 magenta")
        (col_tile_stl_aq1 "fill_color" 6 nil)
      )
      ((= stlcolor 7)
        (set_tile "text_color" "7 white")
        (col_tile_stl_aq1 "fill_color" 7 nil)
      )
      ((= stlcolor 256)
        (set_tile "text_color" (bylayer_col_stl_aq1))
        (col_tile_stl_aq1 "fill_color" cn nil)
      )
      (T
        (set_tile "text_color" (itoa stlcolor))
        (col_tile_stl_aq1 "fill_color" stlcolor nil)
      )
    )
  )
 (DEFUN SETTILE4_STL_AQ1 ( )
  (cond
     ((= stlcolorhid 0)
        (set_tile "text_colorhid" "BYBLOCK")
        (col_tile_stl_aq1 "fill_colorhid" 7 nil) 
      )
      ((= stlcolorhid 1)
        (set_tile "text_colorhid" "1 red")
        (col_tile_stl_aq1 "fill_colorhid" 1 nil)
      )
      ((= stlcolorhid 2)
        (set_tile "text_colorhid" "2 yellow")
        (col_tile_stl_aq1 "fill_colorhid" 2 nil)
      )
      ((= stlcolorhid 3)
        (set_tile "text_colorhid" "3 green")
        (col_tile_stl_aq1 "fill_colorhid" 3 nil)
      )
      ((= stlcolorhid 4)
        (set_tile "text_colorhid" "4 cyan")
        (col_tile_stl_aq1 "fill_colorhid" 4 nil)
      )
      ((= stlcolorhid 5)
        (set_tile "text_colorhid" "5 blue")
        (col_tile_stl_aq1 "fill_colorhid" 5 nil)
      )
      ((= stlcolorhid 6)
        (set_tile "text_colorhid" "6 magenta")
        (col_tile_stl_aq1 "fill_colorhid" 6 nil)
      )
      ((= stlcolorhid 7)
        (set_tile "text_colorhid" "7 white")
        (col_tile_stl_aq1 "fill_colorhid" 7 nil)
      )
     ((= stlcolorhid 256)
        (set_tile "text_colorhid" (bylayer_col_stl_aq1))
        (col_tile_stl_aq1 "fill_colorhid" cn nil)
      )
      (T
        (set_tile "text_colorhid" (itoa stlcolorhid))
        (col_tile_stl_aq1 "fill_colorhid" stlcolorhid nil)
      )
    )
  )
(DEFUN SETTILE5_STL_AQ1 ( )
  (cond
     ((= stlcolorbrk 0)
        (set_tile "text_colorbrk" "BYBLOCK")
        (col_tile_stl_aq1 "fill_colorbrk" 7 nil) 
      )
      ((= stlcolorbrk 1)
        (set_tile "text_colorbrk" "1 red")
        (col_tile_stl_aq1 "fill_colorbrk" 1 nil)
      )
      ((= stlcolorbrk 2)
        (set_tile "text_colorbrk" "2 yellow")
        (col_tile_stl_aq1 "fill_colorbrk" 2 nil)
      )
      ((= stlcolorbrk 3)
        (set_tile "text_colorbrk" "3 green")
        (col_tile_stl_aq1 "fill_colorbrk" 3 nil)
      )
      ((= stlcolorbrk 4)
        (set_tile "text_colorbrk" "4 cyan")
        (col_tile_stl_aq1 "fill_colorbrk" 4 nil)
      )
      ((= stlcolorbrk 5)
        (set_tile "text_colorbrk" "5 blue")
        (col_tile_stl_aq1 "fill_colorbrk" 5 nil)
      )
      ((= stlcolorbrk 6)
        (set_tile "text_colorbrk" "6 magenta")
        (col_tile_stl_aq1 "fill_colorbrk" 6 nil)
      )
      ((= stlcolorbrk 7)
        (set_tile "text_colorbrk" "7 white")
        (col_tile_stl_aq1 "fill_colorbrk" 7 nil)
      )
    ((= stlcolorbrk 256)
        (set_tile "text_colorbrk" (bylayer_col_stl_aq1))
        (col_tile_stl_aq1 "fill_colorbrk" cn nil)
      )
      (T
        (set_tile "text_colorbrk" (itoa stlcolorbrk))
        (col_tile_stl_aq1 "fill_colorbrk" stlcolorbrk nil)
      )
    )
  )

(DEFUN SETTILE6_STL_AQ1 ( )
  (cond
     ((= stlcolorcl 0)
        (set_tile "text_colorcr" "BYBLOCK")
        (col_tile_stl_aq1 "fill_colorcr" 7 nil) 
      )
      ((= stlcolorcl 1)
        (set_tile "text_colorcr" "1 red")
        (col_tile_stl_aq1 "fill_colorcr" 1 nil)
      )
      ((= stlcolorcl 2)
        (set_tile "text_colorcr" "2 yellow")
        (col_tile_stl_aq1 "fill_colorcr" 2 nil)
      )
      ((= stlcolorcl 3)
        (set_tile "text_colorcr" "3 green")
        (col_tile_stl_aq1 "fill_colorcr" 3 nil)
      )
      ((= stlcolorcl 4)
        (set_tile "text_colorcr" "4 cyan")
        (col_tile_stl_aq1 "fill_colorcr" 4 nil)
      )
      ((= stlcolorcl 5)
        (set_tile "text_colorcr" "5 blue")
        (col_tile_stl_aq1 "fill_colorcr" 5 nil)
      )
      ((= stlcolorcl 6)
        (set_tile "text_colorcr" "6 magenta")
        (col_tile_stl_aq1 "fill_colorcr" 6 nil)
      )
      ((= stlcolorcl 7)
        (set_tile "text_colorcr" "7 white")
        (col_tile_stl_aq1 "fill_colorcr" 7 nil)
      )
      ((= stlcolorcl 256)
        (set_tile "text_colorcr" (bylayer_col_stl_aq1))
        (col_tile_stl_aq1 "fill_colorcr" cn nil)
      )
      (T
        (set_tile "text_colorcr" (itoa stlcolorcl))
        (col_tile_stl_aq1 "fill_colorcr" stlcolorcl nil)
      )
    )
  )
(DEFUN SETTILE7_STL_AQ1 ( )
  (cond
     ((= stlcolorsh 0)
        (set_tile "text_colorsh" "BYBLOCK")
        (col_tile_stl_aq1 "fill_colorsh" 7 nil) 
      )
      ((= stlcolorsh 1)
        (set_tile "text_colorsh" "1 red")
        (col_tile_stl_aq1 "fill_colorsh" 1 nil)
      )
      ((= stlcolorsh 2)
        (set_tile "text_colorsh" "2 yellow")
        (col_tile_stl_aq1 "fill_colorsh" 2 nil)
      )
      ((= stlcolorsh 3)
        (set_tile "text_colorsh" "3 green")
        (col_tile_stl_aq1 "fill_colorsh" 3 nil)
      )
      ((= stlcolorsh 4)
        (set_tile "text_colorsh" "4 cyan")
        (col_tile_stl_aq1 "fill_colorsh" 4 nil)
      )
      ((= stlcolorsh 5)
        (set_tile "text_colorsh" "5 blue")
        (col_tile_stl_aq1 "fill_colorsh" 5 nil)
      )
      ((= stlcolorsh 6)
        (set_tile "text_colorsh" "6 magenta")
        (col_tile_stl_aq1 "fill_colorsh" 6 nil)
      )
      ((= stlcolorsh 7)
        (set_tile "text_colorsh" "7 white")
        (col_tile_stl_aq1 "fill_colorsh" 7 nil)
      )
      ((= stlcolorsh 256)
        (set_tile "text_colorsh" (bylayer_col_stl_aq1))
        (col_tile_stl_aq1 "fill_colorsh" cn nil)
      )
      (T
        (set_tile "text_colorsh" (itoa stlcolorsh))
        (col_tile_stl_aq1 "fill_colorsh" stlcolorsh nil)
      )
    )
  )

(DEFUN SETTILE8_STL_AQ1 ()
 (if(= "1" (get_tile "fract1"))
  (setq frac2 1)
  (setq frac2 nil)
 )
(if(= "1" (get_tile "decim1"))
  (setq deci2 1)
  (setq deci2 nil)
 )
)
(DEFUN TEST_EXT_STL_AQ1 ()
  (if(or(= "1" (get_tile "3ds"))(= "1" (get_tile "3dd")))
    (progn
      (setq rval (distof ext3))
      (if (or (> rval 0.0) (< rval 0.0))
        (set_tile "error" "")
        (progn
          (set_tile "error" "Invalid extruded length. Must be real number > or < 0.")
          (mode_tile "extr" 2)
         )
       )
      (if (= rval nil)
        (progn
          (set_tile "error" "Invalid extruded length. Must be real number > or < 0.")
          (mode_tile "extr" 2)
         )
       )
     )
   )
) 


(DEFUN TEST_EXT_OK_STL_AQ1 ()
  (if(or(= "1" (get_tile "3ds"))(= "1" (get_tile "3dd")))
    (progn
      (cond
       ((not (or (< 0 (distof (get_tile "extr"))) (> 0 (distof (get_tile "extr"))))
         )
          (set_tile "error" "Invalid extruded length. Must be real number > or < 0.")
          (mode_tile "extr" 2)
         ) 
       ((not (/= nil (distof (get_tile "extr")))
         )
          (set_tile "error" "Invalid extruded length. Must be real number > or < 0.")
          (mode_tile "extr" 2)
         )
       ( T (done_dialog 1))
      )
    ) 
    (done_dialog 1)
  )
)


(DEFUN TEST_EXT_DEF_STL_AQ1 ()
  (if(or(= "1" (get_tile "3ds"))(= "1" (get_tile "3dd")))
    (progn
      (cond
       ((not (or (< 0 (distof (get_tile "extr")))(> 0 (distof (get_tile "extr"))))
         )
          (set_tile "error" "Invalid extruded length. Must be real number > or < 0.")
          (mode_tile "extr" 2)
         )
      ((not (/= nil (distof (get_tile "extr")))
         )
          (set_tile "error" "Invalid extruded length. Must be real number > or < 0.")
          (mode_tile "extr" 2)
         )


       ( T (define2_stl_aq1))
      )
    ) 
    (define2_stl_aq1)
  )
)



(DEFUN TLIST1_STL_AQ1() ;;beam list
 (setq tlist (list "W6x9" "W5x19""W5x16""W4x13"))

 (start_list "size")
 (mapcar 'add_list tlist)
 (end_list)
 (if (or(= siz3 nil) (> siz3 4))
   (set_tile "size" "0")
   (set_tile "size" (itoa siz3))
 )
 
)
(DEFUN TLIST2_STL_AQ1() ;;channel list
 (setq tlist (list "C5x9""C5x6.7""C4x7.25""C4x5.4" ))

 (start_list "size")
 (mapcar 'add_list tlist)
 (end_list)
 (if (or(= siz3 nil) (> siz3 4))
  (set_tile "size" "0")
  (set_tile "size" (itoa siz3))
 )
)
(DEFUN TLIST3_STL_AQ1() ;;angle list
 (setq tlist (list "L4x3x7/16""L4x3x3/8""L4x3x5/16""L4x3x1/4" ))
 (start_list "size")
 (mapcar 'add_list tlist)
 (end_list)
(if (or(= siz3 nil) (> SIZ3 4))
  (set_tile "size" "0")
  (set_tile "size" (itoa siz3))
 )


) 
(DEFUN TLIST4_STL_AQ1();;tubing list 
 (setq tlist (list "4x3x1/4 ""4x3x3/16 ""4x2x5/16 ""4x2x1/4 "))
 (start_list "size")
 (mapcar 'add_list tlist)
 (end_list)
(if (or(= siz3 nil) (> siz3 4))
  (set_tile "size" "0")
  (set_tile "size" (itoa siz3))
 )


)
(DEFUN TLIST5_STL_AQ1() ;;tee list
 (setq tlist (list "WT3x4.5""WT2.5x9.5""WT2.5x8""WT2x6.5"))
 (start_list "size")
 (mapcar 'add_list tlist)
 (end_list)
(if (or(= siz3 nil) (> siz3 4))
  (set_tile "size" "0")
  (set_tile "size" (itoa siz3))
 )


 ;(set_tile "size" "1")
) 


(DEFUN TLIST6_STL_AQ1() ;;pipe list
 (setq tlist (list "4 I.P.S. 80""4 I.P.S. 40""3.1/2 I.P.S. 80""3.1/2 I.P.S. 40"))
(start_list "size")
 (mapcar 'add_list tlist)
 (end_list)
(if (or(= siz3 nil) (> siz3 4))
  (set_tile "size" "0")
  (set_tile "size" (itoa siz3))
 )

) 

(DEFUN TLIST7_STL_AQ1() ;;hatch list
 (setq patlist (list "Cast iron" "Steel" "Aluminum" "Brass"))
 (start_list "hatch_list")
 (mapcar 'add_list patlist)
 (end_list)
 (if (or(= hatch_siz3 nil) (> hatch_siz3 3))
   (set_tile "hatch_list" "0")
   (set_tile "hatch_list" (itoa hatch_siz3))
 )

) 

(DEFUN IMAGE1_STL_AQ1( )
  (if (= insert nil)(setq insert "steel(steel1)"))
  (start_image "test10")
  (fill_image 0 0 (dimx_tile "test10")(dimy_tile "test10") 0)
  (slide_image 0 0 (dimx_tile "test10")(dimy_tile "test10") "steel(steel1)")
  (end_image)
 
  (if (= insert nil)(setq insert "steel(steel1)"))
  (start_image "test11")
  (fill_image 0 0 (dimx_tile "test11")(dimy_tile "test11") 0)
  (slide_image 0 0 (dimx_tile "test11")(dimy_tile "test11") "steel(steel2)")
  (end_image)
 
 )

(DEFUN IMAGE2_STL_AQ1( )
  (start_image "test10")
  (fill_image 0 0 (dimx_tile "test10")(dimy_tile "test10") 0)
  (slide_image 0 0 (dimx_tile "test10")(dimy_tile "test10") "steel(steel3)")
  (end_image)
 
  (start_image "test11")
  (fill_image 0 0 (dimx_tile "test11")(dimy_tile "test11") 0)
  (slide_image 0 0 (dimx_tile "test11")(dimy_tile "test11") "steel(steel4)")
  (end_image)
 
 )

(DEFUN IMAGE3_STL_AQ1( )
  (start_image "test10")
  (fill_image 0 0 (dimx_tile "test10")(dimy_tile "test10") 0)
  (slide_image 0 0 (dimx_tile "test10")(dimy_tile "test10") "steel(steel5)")
  (end_image)
 
  (start_image "test11")
  (fill_image 0 0 (dimx_tile "test11")(dimy_tile "test11") 0)
  (slide_image 0 0 (dimx_tile "test11")(dimy_tile "test11") "steel(steel6)")
  (end_image)
 
 )

(DEFUN IMAGE4_STL_AQ1( )
  (start_image "test10")
  (fill_image 0 0 (dimx_tile "test10")(dimy_tile "test10") 0)
  (slide_image 0 0 (dimx_tile "test10")(dimy_tile "test10") "steel(steel7)")
  (end_image)
 
  (start_image "test11")
  (fill_image 0 0 (dimx_tile "test11")(dimy_tile "test11") 0)
  (slide_image 0 0 (dimx_tile "test11")(dimy_tile "test11") "steel(steel8)")
  (end_image)
 
 )

(DEFUN IMAGE5_STL_AQ1( )
  (start_image "test10")
  (fill_image 0 0 (dimx_tile "test10")(dimy_tile "test10") 0)
  (slide_image 0 0 (dimx_tile "test10")(dimy_tile "test10") "steel(steel9)")
  (end_image)
 
  (start_image "test11")
  (fill_image 0 0 (dimx_tile "test11")(dimy_tile "test11") 0)
  (slide_image 0 0 (dimx_tile "test11")(dimy_tile "test11") "steel(steel10)")
  (end_image)
 
 )
(DEFUN IMAGE6_STL_AQ1( )
  (start_image "test10")
  (fill_image 0 0 (dimx_tile "test10")(dimy_tile "test10") 0)
  (slide_image 0 0 (dimx_tile "test10")(dimy_tile "test10") "steel(steel11)")
  (end_image)
 
  (start_image "test11")
  (fill_image 0 0 (dimx_tile "test11")(dimy_tile "test11") 0)
  (slide_image 0 0 (dimx_tile "test11")(dimy_tile "test11") "steel(steel12)")
  (end_image)
 
 )
(DEFUN IMAGE7_STL_AQ1( )
  (start_image "test20")
  (fill_image 0 0 (dimx_tile "test20")(dimy_tile "test20") 0)
  (slide_image 0 0 (dimx_tile "test20")(dimy_tile "test20") "steel(steel13)")
  (end_image)
 
  )
(DEFUN IMAGE8_STL_AQ1( )
  (start_image "test21")
  (fill_image 0 0 (dimx_tile "test21")(dimy_tile "test21") 0)
  (slide_image 0 0 (dimx_tile "test21")(dimy_tile "test21") "steel(steel14)")
  (end_image)
 
  )
(DEFUN IMAGE9_STL_AQ1( )
  (start_image "test22")
  (fill_image 0 0 (dimx_tile "test22")(dimy_tile "test22") 0)
  (slide_image 0 0 (dimx_tile "test22")(dimy_tile "test22") "steel(steel15)")
  (end_image)
 
  )
(DEFUN IMAGE10_STL_AQ1( )
  (start_image "test23")
  (fill_image 0 0 (dimx_tile "test23")(dimy_tile "test23") 0)
  (slide_image 0 0 (dimx_tile "test23")(dimy_tile "test23") "steel(steel16)")
  (end_image)
 
  )
(DEFUN IMAGE11_STL_AQ1( )
  (start_image "test24")
  (fill_image 0 0 (dimx_tile "test24")(dimy_tile "test24") 0)
  (slide_image 0 0 (dimx_tile "test24")(dimy_tile "test24") "steel(steel17)")
  (end_image)
 
  )
(DEFUN IMAGE12_STL_AQ1( )
  (start_image "test25")
  (fill_image 0 0 (dimx_tile "test25")(dimy_tile "test25") 0)
  (slide_image 0 0 (dimx_tile "test25")(dimy_tile "test25") "steel(steel18)")
  (end_image)
 
  )
(DEFUN IMAGETD_STL_AQ1( )
  (start_image "test9")
  (fill_image 0 0 (dimx_tile "test9")(dimy_tile "test9") 4)
  (slide_image 0 0 (dimx_tile "test9")(dimy_tile "test9") "steel(steeltd)")
  (end_image)
 
 )
(DEFUN IMAGE19_STL_AQ1( )
  (if (and (= bea2 1) (= 2dd2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steel30)"))
  (if (and (= bea2 1) (= 2dd2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steel31)"))
  (if (and (= bea2 1) (= 2dd2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steel32)"))
  (if (and (= bea2 1) (= 2dd2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1))(= addcen2 1))(setq steelzz "steel(steel33)"))
  (if (and (= bea2 1) (= 3dd2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steel46)"))
  (if (and (= bea2 1) (= 3dd2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steel46a)"))
  (if (and (= pip2 1) (= 2dd2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp3)"))
  (if (and (= pip2 1)(= pipyy2 1)(= 2dd2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp11)"))
  (if (and (= pip2 1) (= 2dd2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp4)"))
  (if (and (= pip2 1) (= 2dd2 1)(= addcen2 1)(= pipyy2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp12)"))
  (if (and (= pip2 1) (= 2dd2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp5)"))
  (if (and (= pip2 1) (= 2dd2 1)(= hat2 1)(= pipyy2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp15)"))
  (if (and (= pip2 1) (= 2dd2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1))(= addcen2 1))(setq steelzz "steel(steelp6)"))
  (if (and (= pip2 1) (= 2dd2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1))(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steelp16)"))
  (if (and (= pip2 1) (= 3dd2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp19)"))
  (if (and (= pip2 1) (= 3dd2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp20)"))
  (if (and (= tub2 1) (= 2dd2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steltb5)"))
  (if (and (= tub2 1) (= 2dd2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steltb6)"))
  (if (and (= tub2 1) (= 2dd2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steltb7)"))
  (if (and (= tub2 1) (= 2dd2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1))(= addcen2 1))(setq steelzz "steel(steltb8)"))
  (if (and (= tub2 1) (= 3dd2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steltb11)"))
  (if (and (= tub2 1) (= 3dd2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steltb12)"))
  (if (and (= cha2 1) (= 2dd2 1) (or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelc5)"))
  (if (and (= cha2 1) (= 2dd2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelc7)"))
  (if (and (= cha2 1) (= 2dd2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelc6)"))
  (if (and (= cha2 1) (= 2dd2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1))(= addcen2 1))(setq steelzz "steel(steelc8)"))
  (if (and (= cha2 1) (= 3dd2 1) (or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelc11)"))
  (if (and (= cha2 1) (= 3dd2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelc12)"))
  (if (and (= ang2 1) (= 2dd2 1)(= topv2 1)) (setq steelzz "steel(steela5)"))
  (if (and (= ang2 1) (= 2dd2 1)(= addcen2 1)(= topv2 1)) (setq steelzz "steel(steela6)"))
  (if (and (= ang2 1) (= 2dd2 1)(= hat2 1)(= topv2 1)) (setq steelzz "steel(steela7)"))
  (if (and (= ang2 1) (= 2dd2 1)(= hat2 1)(= topv2 1) (= addcen2 1))(setq steelzz "steel(steela8)"))
  (if (and (= ang2 1) (= 3dd2 1)(= topv2 1)) (setq steelzz "steel(steela11)"))
  (if (and (= ang2 1) (= 3dd2 1)(= addcen2 1)(= topv2 1)) (setq steelzz "steel(steela12)"))
  (if (and (= ang2 1) (= 2dd2 1)(= bottomv2 1)) (setq steelzz "steel(steela13)"))
  (if (and (= ang2 1) (= 2dd2 1)(= addcen2 1)(= bottomv2 1)) (setq steelzz "steel(steela14)"))
  (if (and (= ang2 1) (= 2dd2 1)(= hat2 1)(= bottomv2 1)) (setq steelzz "steel(steela15)"))
  (if (and (= ang2 1) (= 2dd2 1)(= hat2 1)(= bottomv2 1) (= addcen2 1))(setq steelzz "steel(steela16)"))
  (if (and (= ang2 1) (= 3dd2 1)(= bottomv2 1)) (setq steelzz "steel(steela11)"))
  (if (and (= ang2 1) (= 3dd2 1)(= addcen2 1)(= bottomv2 1)) (setq steelzz "steel(steela12)"))
  (if (and (= tee2 1) (= 2dd2 1)(= topv2 1)) (setq steelzz "steel(stelte5)"))
  (if (and (= tee2 1) (= 2dd2 1)(= addcen2 1)(= topv2 1)) (setq steelzz "steel(stelte6)"))
  (if (and (= tee2 1) (= 2dd2 1)(= hat2 1)(= topv2 1)) (setq steelzz "steel(stelte7)"))
  (if (and (= tee2 1) (= 2dd2 1)(= hat2 1)(= topv2 1) (= addcen2 1))(setq steelzz "steel(stelte8)"))
  (if (and (= tee2 1) (= 3dd2 1)(= topv2 1)) (setq steelzz "steel(stelte11)"))
  (if (and (= tee2 1) (= 3dd2 1)(= addcen2 1)(= topv2 1)) (setq steelzz "steel(stelte12)"))
  (if (and (= tee2 1) (= 2dd2 1)(= bottomv2 1)) (setq steelzz "steel(stelte17)"))
  (if (and (= tee2 1) (= 2dd2 1)(= addcen2 1)(= bottomv2 1)) (setq steelzz "steel(stelte18)"))
  (if (and (= tee2 1) (= 2dd2 1)(= hat2 1)(= bottomv2 1)) (setq steelzz "steel(stelte19)"))
  (if (and (= tee2 1) (= 2dd2 1)(= hat2 1)(= bottomv2 1) (= addcen2 1))(setq steelzz "steel(stelte20)"))
  (if (and (= tee2 1) (= 3dd2 1)(= bottomv2 1)) (setq steelzz "steel(stelte11)"))
  (if (and (= tee2 1) (= 3dd2 1)(= addcen2 1)(= bottomv2 1)) (setq steelzz "steel(stelte12)"))
  (if (and (= tee2 1) (= 2ds2 1)(= topv2 1)) (setq steelzz "steel(stelte1)"))
  (if (and (= tee2 1) (= 2ds2 1)(= addcen2 1)(= topv2 1)) (setq steelzz "steel(stelte2)"))
  (if (and (= tee2 1) (= 2ds2 1)(= hat2 1)(= topv2 1)) (setq steelzz "steel(stelte3)"))
  (if (and (= tee2 1) (= 2ds2 1)(= hat2 1)(= topv2 1) (= addcen2 1))(setq steelzz "steel(stelte4)"))
  (if (and (= tee2 1) (= 3ds2 1)(= topv2 1)) (setq steelzz "steel(stelte9)"))
  (if (and (= tee2 1) (= 3ds2 1)(= addcen2 1)(= topv2 1)) (setq steelzz "steel(stelte10)"))
  (if (and (= tee2 1) (= 2ds2 1)(= bottomv2 1)) (setq steelzz "steel(stelte13)"))
  (if (and (= tee2 1) (= 2ds2 1)(= addcen2 1)(= bottomv2 1)) (setq steelzz "steel(stelte14)"))
  (if (and (= tee2 1) (= 2ds2 1)(= hat2 1)(= bottomv2 1)) (setq steelzz "steel(stelte15)"))
  (if (and (= tee2 1) (= 2ds2 1)(= hat2 1)(= bottomv2 1) (= addcen2 1))(setq steelzz "steel(stelte16)"))
  (if (and (= tee2 1) (= 3ds2 1)(= bottomv2 1)) (setq steelzz "steel(stelte9)"))
  (if (and (= tee2 1) (= 3ds2 1)(= addcen2 1)(= bottomv2 1)) (setq steelzz "steel(stelte10)"))
  (if (and (= bea2 1) (= 2ds2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steel38)"))
  (if (and (= bea2 1) (= 2ds2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steel39)"))
  (if (and (= bea2 1) (= 2ds2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steel40)"))
  (if (and (= bea2 1) (= 2ds2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1))(= addcen2 1))(setq steelzz "steel(steel41)"))
  (if (and (= bea2 1) (= 3ds2 1) (or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steel46b)"))
  (if (and (= bea2 1) (= 3ds2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steel46c)"))
  (if (and (= pip2 1) (= 2ds2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp1)"))
  (if (and (= pip2 1)(= pipyy2 1)(= 2ds2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp9)"))
  (if (and (= pip2 1) (= 2ds2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp2)"))
  (if (and (= pip2 1) (= 2ds2 1)(= addcen2 1)(= pipyy2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp10)"))
  (if (and (= pip2 1) (= 2ds2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp7)"))
  (if (and (= pip2 1) (= 2ds2 1)(= hat2 1)(= pipyy2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp13)"))
  (if (and (= pip2 1) (= 2ds2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1))(= addcen2 1))(setq steelzz "steel(steelp8)"))
 (if (and (= pip2 1) (= 2ds2 1)(= hat2 1)(= pipyy2 1)(or (= bottomv2 1)(= topv2 1))(= addcen2 1))(setq steelzz "steel(steelp14)"))
  (if (and (= pip2 1) (= 3ds2 1) (or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp17)"))
  (if (and (= pip2 1) (= 3ds2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelp18)"))
  (if (and (= tub2 1) (= 2ds2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steltb1)"))
  (if (and (= tub2 1) (= 2ds2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steltb2)"))
  (if (and (= tub2 1) (= 2ds2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steltb3)"))
  (if (and (= tub2 1) (= 2ds2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1))(= addcen2 1))(setq steelzz "steel(steltb4)"))
  (if (and (= tub2 1) (= 3ds2 1) (or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steltb9)"))
  (if (and (= tub2 1) (= 3ds2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steltb10)"))
  (if (and (= cha2 1) (= 2ds2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelc1)"))
  (if (and (= cha2 1) (= 2ds2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelc3)"))
  (if (and (= cha2 1) (= 2ds2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelc2)"))
  (if (and (= cha2 1) (= 2ds2 1)(= hat2 1)(or (= bottomv2 1)(= topv2 1))(= addcen2 1))(setq steelzz "steel(steelc4)"))
  (if (and (= cha2 1) (= 3ds2 1) (or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelc9)"))
  (if (and (= cha2 1) (= 3ds2 1)(= addcen2 1)(or (= bottomv2 1)(= topv2 1)))(setq steelzz "steel(steelc10)"))
  (if (and (= ang2 1) (= 2ds2 1)(= topv2 1)) (setq steelzz "steel(steela1)"))
  (if (and (= ang2 1) (= 2ds2 1)(= addcen2 1)(= topv2 1)) (setq steelzz "steel(steela2)"))
  (if (and (= ang2 1) (= 2ds2 1)(= hat2 1)(= topv2 1)) (setq steelzz "steel(steela3)"))
  (if (and (= ang2 1) (= 2ds2 1)(= hat2 1)(= topv2 1) (= addcen2 1))(setq steelzz "steel(steela4)"))
  (if (and (= ang2 1) (= 3ds2 1)(= topv2 1)) (setq steelzz "steel(steela9)"))
  (if (and (= ang2 1) (= 3ds2 1)(= addcen2 1)(= topv2 1)) (setq steelzz "steel(steela10)"))
  (if (and (= ang2 1) (= 2ds2 1)(= bottomv2 1)) (setq steelzz "steel(steela17)"))
  (if (and (= ang2 1) (= 2ds2 1)(= addcen2 1)(= bottomv2 1)) (setq steelzz "steel(steela18)"))
  (if (and (= ang2 1) (= 2ds2 1)(= hat2 1)(= bottomv2 1)) (setq steelzz "steel(steela19)"))
  (if (and (= ang2 1) (= 2ds2 1)(= hat2 1)(= bottomv2 1) (= addcen2 1))(setq steelzz "steel(steela20)"))
  (if (and (= ang2 1) (= 3ds2 1)(= bottomv2 1)) (setq steelzz "steel(steela9)"))
  (if (and (= ang2 1) (= 3ds2 1)(= addcen2 1)(= bottomv2 1)) (setq steelzz "steel(steela10)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= frontv2 1))(setq steelzz "steel(steela21)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= frontv2 1))(setq steelzz "steel(steela22)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= frontv2 1))(setq steelzz "steel(steela23)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= frontv2 1)(= addcen2 1))(setq steelzz "steel(steela24)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= pipyy2 1)(= frontv2 1)) (setq steelzz "steel(steela25)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= pipyy2 1)(= frontv2 1)) (setq steelzz "steel(steela26)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= frontv2 1))(setq steelzz "steel(stelte21)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= frontv2 1))(setq steelzz "steel(stelte22)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= frontv2 1))(setq steelzz "steel(stelte23)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= frontv2 1)(= addcen2 1))(setq steelzz "steel(stelte24)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= pipyy2 1)(= frontv2 1)) (setq steelzz "steel(stelte25)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= pipyy2 1)(= frontv2 1)) (setq steelzz "steel(stelte26)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= rearv2 1))(setq steelzz "steel(steela27)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= rearv2 1))(setq steelzz "steel(steela28)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= rearv2 1))(setq steelzz "steel(steela29)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= rearv2 1)(= addcen2 1))(setq steelzz "steel(steela30)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= pipyy2 1)(= rearv2 1)) (setq steelzz "steel(steela31)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= pipyy2 1)(= rearv2 1)) (setq steelzz "steel(steela32)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= rearv2 1))(setq steelzz "steel(stelte27)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= rearv2 1))(setq steelzz "steel(stelte28)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= rearv2 1))(setq steelzz "steel(stelte29)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= rearv2 1)(= addcen2 1))(setq steelzz "steel(stelte30)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= pipyy2 1)(= rearv2 1)) (setq steelzz "steel(stelte31)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= pipyy2 1)(= rearv2 1)) (setq steelzz "steel(stelte32)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= leftv2 1))(setq steelzz "steel(steela33)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= leftv2 1))(setq steelzz "steel(steela34)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= leftv2 1))(setq steelzz "steel(steela35)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= leftv2 1)(= addcen2 1))(setq steelzz "steel(steela36)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= pipyy2 1)(= leftv2 1)) (setq steelzz "steel(steela37)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= pipyy2 1)(= leftv2 1)) (setq steelzz "steel(steela38)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= leftv2 1)(= rightv2 1)))(setq steelzz "steel(stelte33)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(or(= leftv2 1)(= rightv2 1)))(setq steelzz "steel(stelte34)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(or(= leftv2 1)(= rightv2 1)))(setq steelzz "steel(stelte35)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(or(= leftv2 1)(= rightv2 1))(= addcen2 1))(setq steelzz "steel(stelte36)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= pipyy2 1)(or(= leftv2 1)(= rightv2 1))) (setq steelzz "steel(stelte37)"))
  (if (and (= tee2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= pipyy2 1)(or(= leftv2 1)(= rightv2 1))) (setq steelzz "steel(stelte38)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= rightv2 1))(setq steelzz "steel(steela39)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= rightv2 1))(setq steelzz "steel(steela40)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= rightv2 1))(setq steelzz "steel(steela41)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= capends2 1)(= rightv2 1)(= addcen2 1))(setq steelzz "steel(steela42)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= pipyy2 1)(= rightv2 1)) (setq steelzz "steel(steela43)"))
  (if (and (= ang2 1) (or(= 2ds2 1)(= 2dd2 1))(= addcen2 1)(= pipyy2 1)(= rightv2 1)) (setq steelzz "steel(steela44)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or (= rearv2 1)(= frontv2 1)))(setq steelzz "steel(steel47)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or (= rearv2 1)(= frontv2 1))(= capends2 1))(setq steelzz "steel(steel48)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= pipyy2 1))(setq steelzz "steel(steel49)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= addcen2 1))(setq steelzz "steel(steel50)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= addcen2 1)(= capends2 1))(setq steelzz "steel(steel51)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steel52)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or (= rearv2 1)(= frontv2 1)))(setq steelzz "steel(steltb13)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or (= rearv2 1)(= frontv2 1))(= capends2 1))(setq steelzz "steel(steltb15)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= pipyy2 1))(setq steelzz "steel(steltb17)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= addcen2 1))(setq steelzz "steel(steltb14)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= addcen2 1)(= capends2 1))(setq steelzz "steel(steltb16)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steltb18)"))
  (if (and (= pip2 1)(= 2dd2 1)(or (= rearv2 1)(= frontv2 1)))(setq steelzz "steel(steltb13)"))
  (if (and (= pip2 1)(= 2dd2 1)(or (= rearv2 1)(= frontv2 1))(= capends2 1))(setq steelzz "steel(steltb15)"))
  (if (and (= pip2 1)(= 2dd2 1)(or(= frontv2 1)(= rearv2 1))(= pipyy2 1))(setq steelzz "steel(steelp21)"))
  (if (and (= pip2 1)(= 2dd2 1)(or(= frontv2 1)(= rearv2 1))(= addcen2 1))(setq steelzz "steel(steltb14)"))
  (if (and (= pip2 1)(= 2dd2 1) (or(= frontv2 1)(= rearv2 1))(= addcen2 1)(= capends2 1))(setq steelzz "steel(steltb16)"))
  (if (and (= pip2 1)(= 2dd2 1)(or(= frontv2 1)(= rearv2 1))(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steelp22)"))
  (if (and (= pip2 1)(= 2ds2 1)(or (= rearv2 1)(= frontv2 1)))(setq steelzz "steel(steelp29)"))
  (if (and (= pip2 1)(= 2ds2 1)(or (= rearv2 1)(= frontv2 1))(= capends2 1))(setq steelzz "steel(steelp31)"))
  (if (and (= pip2 1)(= 2ds2 1)(or(= frontv2 1)(= rearv2 1))(= pipyy2 1))(setq steelzz "steel(steelp25)"))
  (if (and (= pip2 1)(= 2ds2 1)(or(= frontv2 1)(= rearv2 1))(= addcen2 1))(setq steelzz "steel(steelp30)"))
  (if (and (= pip2 1)(= 2ds2 1)(or(= frontv2 1)(= rearv2 1))(= addcen2 1)(= capends2 1))(setq steelzz "steel(steelp32)"))
  (if (and (= pip2 1)(= 2ds2 1)(or(= frontv2 1)(= rearv2 1))(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steelp26)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(or (= rearv2 1)(= frontv2 1)))(setq steelzz "steel(steelc13)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(or (= rearv2 1)(= frontv2 1))(= capends2 1))(setq steelzz "steel(steelc14)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= pipyy2 1))(setq steelzz "steel(steelc15)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= addcen2 1))(setq steelzz "steel(steelc16)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= addcen2 1)(= capends2 1))(setq steelzz "steel(steelc17)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= frontv2 1)(= rearv2 1))(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steelc18)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or (= leftv2 1)(= rightv2 1)))(setq steelzz "steel(steel55)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or (= leftv2 1)(= rightv2 1))(= capends2 1))(setq steelzz "steel(steel56)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= leftv2 1)(= rightv2 1))(= pipyy2 1))(setq steelzz "steel(steel57)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= leftv2 1)(= rightv2 1))(= addcen2 1))(setq steelzz "steel(steel58)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= leftv2 1)(= rightv2 1))(= addcen2 1)(= capends2 1))(setq steelzz    "steel(steel59)"))
  (if (and (= bea2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= leftv2 1)(= rightv2 1))(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steel60)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or (= leftv2 1)(= rightv2 1)))(setq steelzz "steel(steltb19)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or (= leftv2 1)(= rightv2 1))(= capends2 1))(setq steelzz "steel(steltb21)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= leftv2 1)(= rightv2 1))(= pipyy2 1))(setq steelzz "steel(steltb23)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= leftv2 1)(= rightv2 1))(= addcen2 1))(setq steelzz "steel(steltb20)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= leftv2 1)(= rightv2 1))(= addcen2 1)(= capends2 1))(setq steelzz    "steel(steltb22)"))
  (if (and (= tub2 1) (or(= 2ds2 1)(= 2dd2 1))(or(= leftv2 1)(= rightv2 1))(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steltb24)"))
  (if (and (= pip2 1)(= 2dd2 1)(or (= leftv2 1)(= rightv2 1)))(setq steelzz "steel(steltb19)"))
  (if (and (= pip2 1)(= 2dd2 1)(or (= leftv2 1)(= rightv2 1))(= capends2 1))(setq steelzz "steel(steltb21)"))
  (if (and (= pip2 1)(= 2dd2 1)(or(= leftv2 1)(= rightv2 1))(= pipyy2 1))(setq steelzz "steel(steelp23)"))
  (if (and (= pip2 1)(= 2dd2 1)(or(= leftv2 1)(= rightv2 1))(= addcen2 1))(setq steelzz "steel(steltb20)"))
  (if (and (= pip2 1)(= 2dd2 1)(or(= leftv2 1)(= rightv2 1))(= addcen2 1)(= capends2 1))(setq steelzz    "steel(steltb22)"))
  (if (and (= pip2 1)(= 2dd2 1) (or(= leftv2 1)(= rightv2 1))(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steelp24)"))
  (if (and (= pip2 1)(= 2ds2 1)(or (= leftv2 1)(= rightv2 1)))(setq steelzz "steel(steelp33)"))
  (if (and (= pip2 1)(= 2ds2 1)(or (= leftv2 1)(= rightv2 1))(= capends2 1))(setq steelzz "steel(steelp35)"))
  (if (and (= pip2 1)(= 2ds2 1)(or(= leftv2 1)(= rightv2 1))(= pipyy2 1))(setq steelzz "steel(steelp27)"))
  (if (and (= pip2 1)(= 2ds2 1)(or(= leftv2 1)(= rightv2 1))(= addcen2 1))(setq steelzz "steel(steelp34)"))
  (if (and (= pip2 1)(= 2ds2 1)(or(= leftv2 1)(= rightv2 1))(= addcen2 1)(= capends2 1))(setq steelzz    "steel(steelp36)"))
  (if (and (= pip2 1)(= 2ds2 1) (or(= leftv2 1)(= rightv2 1))(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steelp28)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= leftv2 1))(setq steelzz "steel(steelc19)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= leftv2 1) (= capends2 1))(setq steelzz "steel(steelc20)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= leftv2 1)(= pipyy2 1))(setq steelzz "steel(steelc21)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= leftv2 1)(= addcen2 1))(setq steelzz "steel(steelc22)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= leftv2 1)(= addcen2 1)(= capends2 1))(setq steelzz "steel(steelc23)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= leftv2 1)(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steelc24)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= rightv2 1))(setq steelzz "steel(steelc25)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= rightv2 1) (= capends2 1))(setq steelzz "steel(steelc26)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= rightv2 1)(= pipyy2 1))(setq steelzz "steel(steelc27)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= rightv2 1)(= addcen2 1))(setq steelzz "steel(steelc28)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= rightv2 1)(= addcen2 1)(= capends2 1))(setq steelzz "steel(steelc29)"))
  (if (and (= cha2 1) (or(= 2ds2 1)(= 2dd2 1))(= rightv2 1)(= addcen2 1)(= pipyy2 1))(setq steelzz "steel(steelc30)"))
  (start_image "test40")
  (fill_image 0 0 (dimx_tile "test40")(dimy_tile "test40") 0)
  (slide_image 0 0 (dimx_tile "test40")(dimy_tile "test40") steelzz)
  (end_image)
 
  )

(DEFUN IMAGE20_STL_AQ1( )
  (if (and (= bea2 1) (or (= rearv2 1)(= bottomv2 1)))(setq steelzz "steel20"))
  (if (and (or (= tub2 1)(= pip2 1)) (or (= rearv2 1)(= bottomv2 1)))(setq steelzz "steel23"))
  (start_image "test40")
  (fill_image 0 0 (dimx_tile "test40")(dimy_tile "test40") 0)
  (slide_image 0 0 (dimx_tile "test40")(dimy_tile "test40") steelzz)
  (end_image)
 
  )

(DEFUN IMAGE21_STL_AQ1( )
  (if (and (= bea2 1) (or (= leftv2 1)(= rightv2 1)))(setq steelzz "steel21"))
  (if (and (or (= tub2 1)(= pip2 1)) (or (= leftv2 1)(= rightv2 1)))(setq steelzz "steel23"))
  (if (and (= cha2 1)(= rightv2 1))(setq steelzz "steel23"))
  (if (and (= cha2 1)(= leftv2 1))(setq steelzz "steel21"))

  (start_image "test40")
  (fill_image 0 0 (dimx_tile "test40")(dimy_tile "test40") 0)
  (slide_image 0 0 (dimx_tile "test40")(dimy_tile "test40") steelzz)
  (end_image)
 
  )




(DEFUN STEEL1_STL_AQ1( )
  (setq def2 nil)
  (setq dcl_id (load_dialog "steel.dcl"))
  (if (not (new_dialog "steel" dcl_id)) (exit))
  (imagetd_stl_aq1)
   (if
    (and
     (= bea2 nil)
     (= cha2 nil)
     (= ang2 nil)
     (= tub2 nil)
     (= tee2 nil)
     (= pip2 nil)
    )
    (progn
     (set_tile "beam" "1")
     (tlist1_stl_aq1)
     (image1_stl_aq1)
    )
   )
   (if
    (and
     (= 2ds2 nil)
     (= 2dd2 nil)
     (= 3ds2 nil)
     (= 3dd2 nil)
    )
    (progn
     (set_tile "3ds" "1")
     (mode_tile "extr" 0)
     (mode_tile "extr" 2)
 ;    (mode_tile "hatchstl" 1)
   ;  (mode_tile "pview" 1)
   ;  (mode_tile "viewlist" 1)
    )
   )
   (if(= bea2 1)
    (progn
     (set_tile "beam" "1")
     (tlist1_stl_aq1)
     (image1_stl_aq1)
    )
   )
   (if(= cha2 1)
    (progn
     (set_tile "chan" "1")
     (tlist2_stl_aq1)
     (image2_stl_aq1)
    )
   )
   (if(= ang2 1)
    (progn
     (set_tile "angl" "1")
     (tlist3_stl_aq1)
     (image3_stl_aq1)
    )
   )
   (if(= tub2 1)
    (progn
     (set_tile "tubi" "1")
     (tlist4_stl_aq1)
     (image4_stl_aq1)
    )
   )
   (if(= tee2 1)
    (progn
     (set_tile "tee" "1")
     (tlist5_stl_aq1)
     (image5_stl_aq1)
    )
   )
  (if(= pip2 1)
    (progn
     (set_tile "pipe" "1")
     (tlist6_stl_aq1)
     (image6_stl_aq1)
    )
   )

   (if(= 2ds2 1)
    (progn
     (set_tile "2ds" "1")
     (mode_tile "extr" 1)
    )
     (setq 2ds2 nil)
   )
   (if(= 2dd2 1)
    (progn
     (set_tile "2dd" "1")
     (mode_tile "extr" 1)
    )
     (setq 2dd2 nil)
   )
   (if(= 3ds2 1)
    (progn
     (set_tile "3ds" "1")
     (mode_tile "extr" 2)
   ;  (mode_tile "pview" 1)
     ;(mode_tile "viewlist" 1)


    )
     (setq 3ds2 nil)
   )

   (if(= 3dd2 1)
    (progn
     (set_tile "3dd" "1")
     (mode_tile "extr" 2)
 ;    (mode_tile "pview" 1)
   ;  (mode_tile "viewlist" 1)


    )
     (setq 3dd2 nil)
   )


   (if(= cen2 1)
    (set_tile "cenpt" "1")
    (setq cen2 nil)
   )
  (if(= man2 1)
    (set_tile "mansh" "1")
    (setq man2 nil)
   )
(if (= ext3 nil)
    (set_tile "extr" "1.0")
    (set_tile "extr" ext3) 
   )
(if
   (and
     (= topv2 nil)
     (= frontv2 nil)
     (= bottomv2 nil)
     (= rearv2 nil)
     (= leftv2 nil)
     (= rightv2 nil)
    )
    (progn
     (set_tile "topv" "1")
     (setq topv2 1)
     (set_tile "viewlist" "Top view")
   )
 )
(if
   (and
     (= toplef2 nil)
     (= topcen2 nil)
     (= toprig2 nil)
     (= midlef2 nil)
     (= midcen2 nil)
     (= midrig2 nil)
     (= botlef2 nil)
     (= botcen2 nil)
     (= botrig2 nil)
    )
    (progn
      (set_tile "midcen" "1")
      (setq midcen2 1)
      (set_tile "handlelist" "HP = (MC)")
    )
  )		
  (if (= topv2 1)
    (set_tile "viewlist" "Top view"))
  (if (= frontv2 1)
    (set_tile "viewlist" "Front view"))
  (if (= bottomv2 1)
    (set_tile "viewlist" "Bottom view"))
  (if (= rearv2 1)
    (set_tile "viewlist" "Rear view"))
  (if (= leftv2 1)
    (set_tile "viewlist" "Left side view"))
  (if (= rightv2 1)
    (set_tile "viewlist" "Right side view"))

  (if (= toplef2 1)
    (set_tile "handlelist" "HP = (TL)"))
  (if (= topcen2 1)
    (set_tile "handlelist" "HP = (TC)"))
  (if (= toprig2 1)
    (set_tile "handlelist" "HP = (TR)"))
  (if (= midlef2 1)
    (set_tile "handlelist" "HP = (ML)"))
  (if (= midcen2 1)
    (set_tile "handlelist" "HP = (MC)"))
  (if (= midrig2 1)
    (set_tile "handlelist" "HP = (MR)"))
  (if (= botlef2 1)
    (set_tile "handlelist" "HP = (BL)"))
  (if (= botcen2 1)
    (set_tile "handlelist" "HP = (BC)"))
  (if (= botrig2 1)
    (set_tile "handlelist" "HP = (BR)"))
  (if (or (= topv2 1)(= bottomv2 1))
    (mode_tile "handlelist" 0)
   )
  (if (or(= frontv2 1)(= rearv2 1)(= leftv2 1)(= rightv2 1))
    (mode_tile "handlelist" 1)
   )
  (action_tile "beam" "(setq bea2 1)(image1_stl_aq1)(tlist1_stl_aq1)")
  (action_tile "chan" "(setq cha2 1)(image2_stl_aq1)(tlist2_stl_aq1)")
  (action_tile "angl" "(setq ang2 1)(image3_stl_aq1)(tlist3_stl_aq1)")
  (action_tile "tubi" "(setq tub2 1)(image4_stl_aq1) (tlist4_stl_aq1)")
  (action_tile "tee" "(setq tee2 1)(image5_stl_aq1)(tlist5_stl_aq1)")
  (action_tile "pipe" "(setq pip2 1)(image6_stl_aq1)(tlist6_stl_aq1)")
  (action_tile "size" "(setq siz2 1)(setq siz3 (atoi $value))")
  (action_tile "defi" "(setq def2 1)(test_ext_def_stl_aq1)")    ;;(mode_tile \"size\"(* 1 (atoi $value)))") 
  (action_tile "list" "(define3_stl_aq1)")
  (action_tile "2ds" "(setq 2ds2 1)(mode_tile \"extr\" 1)(junk1_aq1)(setq 2ds $key)(test_errt_stl_aq1)")
  (action_tile "2dd" "(setq 2dd2 1)(mode_tile \"extr\" 1)(junk1_aq1)(setq 2dd $key)(test_errt_stl_aq1)")
  (action_tile "3ds" "(setq 3ds2 1)(setq 3ds $key)(mode_tile \"extr\" 0) (mode_tile \"extr\" 2)(test_ext_stl_aq1) ")
  (action_tile "3dd" "(setq 3dd2 1)(mode_tile \"extr\" 0)(setq 3dd $key)(mode_tile \"extr\" 2)(test_ext_stl_aq1) ")
  (action_tile "pview" "(settile_stl_aq1)(pview_stl_aq1)")
  (action_tile "cenpt" "(setq cen2 1)")
  (action_tile "mansh" "(setq man2 1)")
  ;(action_tile "hatchstl" "(setq hat2 1)")
  (action_tile "extr" "(setq ext3 $value) (test_ext_stl_aq1) ")
  (action_tile "accept" "(settile_stl_aq1) (test_ext_ok_stl_aq1)") 
  (action_tile "cancel" "(settile_stl_aq1)") 
  (action_tile "help" "(steelhelp_stl_aq1)")
  (action_tile "info" "(infotest_stl_aq1)")
  (action_tile "prop" "(setq properties2 1)(properties_stl_aq1) ")
  (if (equal (start_dialog) 1)(str_stl_aq1))
  (unload_dialog dcl_id)
   (princ)
 )
(DEFUN COL_TILE_STL_AQ1 (tile color patlist / x y)
    (setq x (dimx_tile tile))
    (setq y (dimy_tile tile))
    (start_image tile)
    (fill_image 0 0 x y color)
    (if (= color 7)
      (progn
        (if patlist (drawpattern x (/ y 2) patlist 0))
        (tile_rect_stl_aq1 0 0 x y 0)
      )
      (progn
        (if patlist (drawpattern x (/ y 2) patlist 7))
        (tile_rect_stl_aq1 0 0 x y 7)
      )
    )
    (end_image)
  )
(DEFUN TILE_RECT_STL_AQ1 (x1 y1 x2 y2 color)
    (setq x2 (- x2 1))
    (setq y2 (- y2 1))
    (vector_image x1 y1 x2 y1 color)
    (vector_image x2 y1 x2 y2 color)
    (vector_image x2 y2 x1 y2 color)
    (vector_image x1 y2 x1 y1 color)
  )
(DEFUN BYLAYER_COL_STL_AQ1 (/ layname layinfo color)
    (if (/= elayer "Varies")
      (progn 
        (setq layinfo (tblsearch "layer" (getvar "clayer"))) 
        (setq color (abs (cdr (assoc 62 layinfo))))
        (setq cn color)
        (strcat "BYLAYER" " (" (colorname_stl_aq1 color) ")")
      )
      (progn
         (setq cn 0) 
          "BYLAYER"
      )
   )
 )
   
(DEFUN COLORNAME_STL_AQ1 (colnum)
    (setq cn (abs colnum))
    (cond ((= cn 1) "red")
          ((= cn 2) "yellow")
          ((= cn 3) "green")
          ((= cn 4) "cyan")
          ((= cn 5) "blue")
          ((= cn 6) "magenta")
          ((= cn 7) "white")
          (T (itoa cn))
    )
  )

 (DEFUN COLOR_STL_AQ1 ( )
  
  (if stlcolor
     (setq col_def stlcolor)
     (setq col_def 1)
   )
   (setq lay_clr (cdr (assoc 62 (tblsearch "layer" (getvar "clayer")))))
   (if (numberp (setq temp_color (acad_colordlg col_def  T lay_clr)))
      (progn
        (setq stlcolor temp_color)
        (settile3_stl_aq1)
        stlcolor
       )
       stlcolor
     )
    )
(DEFUN COLORHID_STL_AQ1 ( )
  
  (if stlcolorhid
     (setq col_def stlcolorhid)
     (setq col_def 1)
   )
   (setq lay_clr (cdr (assoc 62 (tblsearch "layer" (getvar "clayer")))))
   (if (numberp (setq temp_color (acad_colordlg col_def  T lay_clr)))
      (progn
        (setq stlcolorhid temp_color)
        (settile4_stl_aq1)
        stlcolorhid
       )
       stlcolorhid
     )
    )
(DEFUN COLORBRK_STL_AQ1 ( )
  
  (if stlcolorbrk
     (setq col_def stlcolorbrk)
     (setq col_def 1)
   )
   (setq lay_clr (cdr (assoc 62 (tblsearch "layer" (getvar "clayer")))))
   (if (numberp (setq temp_color (acad_colordlg col_def  T lay_clr)))
      (progn
        (setq stlcolorbrk temp_color)
        (settile5_stl_aq1)
        stlcolorbrk
       )
       stlcolorbrk
     )
    )
(DEFUN COLORCL_STL_AQ1 ( )
  
  (if stlcolorcl
     (setq col_def stlcolorcl)
     (setq col_def 1)
   )
   (setq lay_clr (cdr (assoc 62 (tblsearch "layer" (getvar "clayer")))))
   (if (numberp (setq temp_color (acad_colordlg col_def  T lay_clr)))
      (progn
        (setq stlcolorcl temp_color)
        (settile6_stl_aq1)
        stlcolorcl
       )
       stlcolorcl
     )
    )
(DEFUN COLORSH_STL_AQ1 ( )
  
  (if stlcolorsh
     (setq col_def stlcolorsh)
     (setq col_def 1)
   )
   (setq lay_clr (cdr (assoc 62 (tblsearch "layer" (getvar "clayer")))))
   (if (numberp (setq temp_color (acad_colordlg col_def  T lay_clr)))
      (progn
        (setq stlcolorsh temp_color)
        (settile7_stl_aq1)
        stlcolorsh
       )
       stlcolorsh
     )
    )

(DEFUN CSTOCI_STL_AQ1 (STR)
    (setq str (strcase str))
    (cond
     ((= str "RED")        1)
     ((= str "YELLOW")     2)
     ((= str "GREEN")      3)
     ((= str "CYAN")       4)
     ((= str "BLUE")       5)
     ((= str "MAGENTA")    6)
     ((= str "WHITE")      7)
     ((= str ;|MSG0|;"BYLAYER")  256)
     ((= str ;|MSG0|;"BYBLOCK")    0)
     ((= str "BY LAYER") 256)
     ((= str "BY BLOCK")   0)
     ((and (< 0 (atoi str)) (> 256 (atoi str))) (atoi str))
     (nil))
  )
  (DEFUN CITOCS_STL_AQ1(I)
    (cond
     ((= i 0)   "BYBLOCK")
     ((= i 1)   "red")
     ((= i 2)   "yellow")
     ((= i 3)   "green")
     ((= i 4)   "cyan")
     ((= i 5)   "blue")
     ((= i 6)   "magenta")
     ((= i 7)   "white")
     ((= i 256) "BYLAYER")
     ((and (< 0 i) (> 256 i)) (itoa i))
     (nil))
  )
(DEFUN TEST_PROP_STL_AQ1()
  (cond
    ((not (< -0.009 (distof (get_tile "prophang")))
      )
       (set_tile "error" "Invalid hatch angle. Must be real number >= 0.")
       (mode_tile "prophang" 2)
    )
   ((not (< 0 (distof (get_tile "prophsca")))
      )
       (set_tile "error" "Invalid hatch scale. Must be real number > 0.")
       (mode_tile "prophsca" 2)
    )
    ((not (< 0 (distof (get_tile "hiddensc")))
       )
       (set_tile "error" "Invalid hidden line scale. Must be real number > 0.")
       (mode_tile "hiddensc" 2)
    )
    ((not (< 0 (distof (get_tile "centersc")))
       )
       (set_tile "error" "Invalid center line scale. Must be real number > 0.")
       (mode_tile "centersc" 2)
    )
    ( T (done_dialog 4))
  )
)

(DEFUN PROPERTIES_STL_AQ1 ( )
    (if (not (new_dialog "properties1" dcl_id)) (exit))
    (if (= stlcolor nil) 
     (setq stlcolor 1)
    )
    (settile3_stl_aq1)
    (if (= hatch_siz3 nil)(setq hatch_siz3 0))
    (set_tile "hatch_list" "1")
    (tlist7_stl_aq1)
    (if (= stlcolorhid nil)
      (setq stlcolorhid 1)
     )
     (settile4_stl_aq1)
     (if (= stlcolorbrk nil)
      (setq stlcolorbrk 1)
     )
     (settile5_stl_aq1)
     (if (= stlcolorcl nil)
      (setq stlcolorcl 1)
      )
     (settile6_stl_aq1)
         (if (= stlcolorsh nil)
      (setq stlcolorsh 1)
      )
     (settile7_stl_aq1)

    (if (not propang) (setq propang 0))
    (set_tile "prophang" (rtos propang 2 1))
    (if (not propsca) (setq propsca 1))
    (set_tile "prophsca" (rtos propsca 2 1))
    (if (not hidds) (setq hidds 1))
    (set_tile "hiddensc" (rtos hidds 2 1))
    (if (not centerlnsc) (setq centerlnsc 1))
    (set_tile "centersc" (rtos centerlnsc 2 1))
    (if (not hatch_siz3) (setq hatch_siz3 1))
    (set_tile "hatch_list" (rtos hatch_siz3)) 

    (action_tile "prophang" "(setq propang (distof $value))")
    (action_tile "prophsca" "(setq propsca (distof $value 2))")
    (action_tile "hatch_list" "(setq hatch_siz3 (atoi $value))")
    (action_tile "prophcol" "(setq stlcolor (color_stl_aq1))")
    (action_tile "fill_color" "(setq stlcolor (color_stl_aq1))")
    (action_tile "hiddensc" "(setq hidds (distof $value 4)) ")
    (action_tile "hiddencol" "(setq stlcolorhid (colorhid_stl_aq1)) ")
    (action_tile "fill_colorhid" "(setq stlcolorhid (colorhid_stl_aq1)) ")
    (action_tile "centersc" "(setq centerlnsc (distof $value 4)) ")
    (action_tile "centercol" "(setq stlcolorcl (colorcl_stl_aq1)) ")
    (action_tile "fill_colorcr" "(setq stlcolorcl (colorcl_stl_aq1)) ")
    (action_tile "breakcol" "(setq stlcolorbrk (colorbrk_stl_aq1)) ")
    (action_tile "fill_colorbrk" "(setq stlcolorbrk (colorbrk_stl_aq1)) ")
    (action_tile "shapecol" "(setq stlcolorsh (colorsh_stl_aq1)) ")
    (action_tile "fill_colorsh" "(setq stlcolorsh (colorsh_stl_aq1)) ")

    (action_tile "accept" "(test_prop_stl_aq1)")
    (start_dialog) 
 )

(DEFUN JUNK1_AQ1 ( )
  (mode_tile "pview" 0) 
  (mode_tile "viewlist" 0) 

)



(DEFUN INFOTEST_STL_AQ1 ( )
  (if (not (new_dialog "infolist" dcl_id)) (exit))
  (start_dialog) 
)


(DEFUN STEELHELP_STL_AQ1 ( )
   (help "steel.ahp")
  )

(DEFUN TEST_ERRT_STL_AQ1 ( )
  (set_tile "error" "")
)


(DEFUN DEFINE2_STL_AQ1 ( )
 (settile_stl_aq1)
 (cond
  ((= ang2 1)
   (if (not (new_dialog "angle1" dcl_id)) (exit))
   (image9_stl_aq1)
   (if (/= angd3 nil)
    (set_tile "angd" (rtos angd3)) 
   )
   (if (/= angt3 nil)
     (set_tile "angt" (rtos angt3)) 
   )
  (if (/= angw3 nil)
    (set_tile "angw" (rtos angw3)) 
   )
   (action_tile "angd" "(setq angd2 1)(setq angd3 $value)(test_d_stl_aq1) ")
   (action_tile "angw" "(setq angw2 1)(setq angw3 $value)(test_w_stl_aq1) ") 
   (action_tile "angt" "(setq angt2 1)(setq angt3 $value)(test_t_stl_aq1) ")
   (action_tile "accept" "(test_ok_stl_aq1) ")
   (action_tile "cancel" "(setq def2 nil)")
   (mode_tile "angd" 2)
   (if (= (start_dialog) 4)
     (progn
      (setq def2 1)
       (test_ext_ok_stl_aq1)
     )
   )
  )


((= tub2 1)
   (if (not (new_dialog "tubing1" dcl_id)) (exit))
   (image11_stl_aq1)
   (if (/= angd3 nil)
     (set_tile "angd" (rtos angd3)) 
   )
   (if (/= angw3 nil)
     (set_tile "angw" (rtos angw3)) 
   )
  (if (/= angt3 nil)
    (set_tile "angt" (rtos angt3)) 
   )

   (action_tile "angd" "(setq angd2 1)(setq angd3 $value)(test_d_stl_aq1) ")
   (action_tile "angw" "(setq angw2 1) (setq angw3 $value)(test_w_stl_aq1) ") 
   (action_tile "angt" "(setq angt2 1) (setq angt3 $value)(test_t_stl_aq1) ")
   (action_tile "accept" "(test_ok_stl_aq1)")
   (action_tile "cancel" "(setq def2 nil)")
   (mode_tile "angd" 2)
   (if (= (start_dialog) 4)
     (progn
      (setq def2 1)
      (test_ext_ok_stl_aq1)
     )
   )
  )


((= cha2 1)
   (if (not (new_dialog "channel1" dcl_id)) (exit))
   (image8_stl_aq1)
   (if (/= shpd3 nil)
     (set_tile "shpd" (rtos shpd3)) 
   )
   (if (/= shpw3 nil)
     (set_tile "shpw" (rtos shpw3)) 
   )
  (if (/= shpweb3 nil)
    (set_tile "shpweb" (rtos shpweb3)) 
   )
   (if (/= shpflg3 nil)
    (set_tile "shpflg" (rtos shpflg3)) 
   )
   (action_tile "shpd" "(setq shpd2 1)(setq shpd3 $value)(test_shpd_stl_aq1) ")
   (action_tile "shpw" "(setq shpw2 1) (setq shpw3 $value)(test_shpw_stl_aq1) ") 
   (action_tile "shpweb" "(setq shpweb2 1) (setq shpweb3 $value)(test_shpweb_stl_aq1) ")
   (action_tile "shpflg" "(setq shpflg2 1) (setq shpflg3 $value)(test_shpflg_stl_aq1) ")
   (action_tile "accept" "(test_shp_ok_stl_aq1) ") 
   (action_tile "cancel" "(setq def2 nil)")
   (mode_tile "shpd" 2)
   (if (= (start_dialog) 3)
      (progn
        (setq def2 1)
        (test_ext_ok_stl_aq1)
     )
   )
  )


((= bea2 1)
   (if (not (new_dialog "beam1" dcl_id)) (exit))
   (image7_stl_aq1)
    (if (and (= wtshp2 nil) (= stshp2 nil))
    (set_tile "wtshp" "1")
   )
   (if (/= shpd3 nil)
     (set_tile "shpd" (rtos shpd3)) 
   )
   (if (/= shpw3 nil)
     (set_tile "shpw" (rtos shpw3)) 
   )
  (if (/= shpweb3 nil)
    (set_tile "shpweb" (rtos shpweb3)) 
   )
   (if (/= shpflg3 nil)
    (set_tile "shpflg" (rtos shpflg3)) 
   )
  (if(= wtshp2 1)
 
     (set_tile "wtshp" "1")
     
   )
   (if(= stshp2 1)
 
     (set_tile "stshp" "1")
   )

   (action_tile "wtshp" "(setq wtshp2 1)(setq wtshp3 $value)")
   (action_tile "stshp" "(setq stshp2 1)(setq stshp3 $value)")
   (action_tile "shpd" "(setq shpd2 1)(setq shpd3 $value)(test_shpd_stl_aq1) ")
   (action_tile "shpw" "(setq shpw2 1) (setq shpw3 $value)(test_shpw_stl_aq1) ") 
   (action_tile "shpweb" "(setq shpweb2 1) (setq shpweb3 $value)(test_shpweb_stl_aq1) ")
   (action_tile "shpflg" "(setq shpflg2 1) (setq shpflg3 $value)(test_shpflg_stl_aq1) ")
   (action_tile "accept" "(settile1_stl_aq1)(test_shp_ok_stl_aq1)") 
   (action_tile "cancel" "(settile1_stl_aq1)(setq def2 nil)")
   (mode_tile "shpd" 2)
   (if (= (start_dialog) 3)
     (progn
      (setq def2 1)
      (test_ext_ok_stl_aq1)
     )
   )
  )
((= tee2 1)
   (if (not (new_dialog "tee1" dcl_id)) (exit))
   (image10_stl_aq1)
    (if (and (= wtshp2 nil) (= stshp2 nil))
    (set_tile "wtshp" "1")
   )
   (if (/= shpd3 nil)
     (set_tile "shpd" (rtos shpd3)) 
   )
   (if (/= shpw3 nil)
     (set_tile "shpw" (rtos shpw3)) 
   )
  (if (/= shpweb3 nil)
    (set_tile "shpweb" (rtos shpweb3)) 
   )
   (if (/= shpflg3 nil)
    (set_tile "shpflg" (rtos shpflg3)) 
   )
  (if(= wtshp2 1)
    (set_tile "wtshp" "1")
  )
  (if(= stshp2 1)
    (set_tile "stshp" "1")
   )

   (action_tile "wtshp" "(setq wtshp2 1)(setq wtshp3 $value)")
   (action_tile "stshp" "(setq stshp2 1)(setq stshp3 $value)")
   (action_tile "shpd" "(setq shpd2 1)(setq shpd3 $value)(test_shpd_stl_aq1) ")
   (action_tile "shpw" "(setq shpw2 1) (setq shpw3 $value)(test_shpw_stl_aq1) ") 
   (action_tile "shpweb" "(setq shpweb2 1) (setq shpweb3 $value)(test_shpweb_stl_aq1) ")
   (action_tile "shpflg" "(setq shpflg2 1) (setq shpflg3 $value)(test_shpflg_stl_aq1) ")
   (action_tile "accept" "(settile1_stl_aq1)(test_shp_ok_stl_aq1)") 
   (action_tile "cancel" "(settile1_stl_aq1)(setq def2 nil)")
   (mode_tile "shpd" 2)
   (if (= (start_dialog) 3)
     (progn
      (setq def2 1)
      (test_ext_ok_stl_aq1)
     )
   )
  )
((= pip2 1)
  (if (or (= 2dd2 1)(= 3dd2 1))
    (progn
     (if (not (new_dialog "pipe1" dcl_id)) (exit))
     (image12_stl_aq1)
     (if (/= pipoda3 nil)
       (set_tile "pipoda" (rtos pipoda3)) 
     )
     (if (/= pipida3 nil)
       (set_tile "pipida" (rtos pipida3)) 
     )
     (action_tile "pipoda" "(setq pipoda2 1)(setq pipoda3 $value)(test_pipoda_stl_aq1) ")
     (action_tile "pipida" "(setq pipida2 1) (setq pipida3 $value)(test_pipida_stl_aq1) ") 
     (action_tile "accept" "(test_pip_ok_stl_aq1)") 
     (action_tile "cancel" "(setq def2 nil)")
     (mode_tile "pipoda" 2)
     (if (= (start_dialog) 6)
       (progn
        (setq def2 1)
        (test_ext_ok_stl_aq1)
       )
     )
    )
 (progn
   (if (not (new_dialog "pipe2" dcl_id)) (exit))
   (image12_stl_aq1)
      (if (/= pipoda3 nil)
        (set_tile "pipoda" (rtos pipoda3)) 
      )
      (action_tile "pipoda" "(setq pipoda2 1)(setq pipoda3 $value)(test_pipoda_stl_aq1) ")
      (action_tile "accept" "(test_pip_ok2_stl_aq1)") 
      (action_tile "cancel" "(setq def2 nil)")
      (mode_tile "pipoda" 2)
      (if (= (start_dialog) 6)
        (progn
         (setq def2 1)
         (test_ext_ok_stl_aq1)
        )
      )
    )
  )
)
 ) ;;closes cond
) 
(DEFUN TEST_PIPODA_STL_AQ1()
  (setq pipoda3 (distof pipoda3))
   (if (> pipoda3 0.0)
    (set_tile "error" "")
    (progn
      (set_tile "error" "Invalid outside diameter. Must be real number > 0.")
      (mode_tile "pipoda" 2)
     )
   )
);;closes test_pipoda_stl_aq1


(DEFUN TEST_PIPIDA_STL_AQ1()
  (setq pipida3 (distof pipida3))
   (if (> pipida3 0.0)
    (set_tile "error" "")
    (progn
      (set_tile "error" "Invalid inside diameter. Must be real number > 0.")
      (mode_tile "pipida" 2)
     )
   )
);;closes test_pipida_stl_aq1


(DEFUN TEST_D_STL_AQ1()
  (setq angd3 (distof angd3))
   (if (> angd3 0.0)
    (set_tile "error" "")
    (progn
      (set_tile "error" "Invalid depth. Must be real number > 0.")

      (mode_tile "angd" 2)
     )
   )
);;closes test_d_stl_aq1


(DEFUN TEST_W_STL_AQ1()
  (setq angw3 (distof angw3))
  (if (> angw3 0.0)
    (set_tile "error" "")
    (progn
      (set_tile "error" "Invalid width. Must be real number > 0.")
      (mode_tile "angw" 2)
     )
   )
);;closes test_w_stl_aq1


(DEFUN TEST_T_STL_AQ1()
  (setq angt3 (distof angt3))
  (if (> angt3 0.0)
    (set_tile "error" "")
    (progn
      (set_tile "error" "Invalid thickness. Must be real number > 0.")
      (mode_tile "angt" 2)
     )
   )
);;closes test_t_stl_aq1


(DEFUN TEST_OK_STL_AQ1()
  (cond
    ((not (< 0 (distof (get_tile "angd")))
      )
       (set_tile "error" "Invalid depth. Must be real number > 0.")
       (mode_tile "angd" 2)
    )
   ((not (< 0 (distof (get_tile "angw")))
      )
       (set_tile "error" "Invalid width. Must be real number > 0.")
       (mode_tile "angw" 2)
    )
    ((not (< 0 (distof (get_tile "angt")))
       )
       (set_tile "error" "Invalid thickness. Must be real number > 0.")
       (mode_tile "angt" 2)
    )
 ( T (done_dialog 4))
  )
)


(DEFUN TEST_PIP_OK_STL_AQ1()
  (cond
    ((not (< 0 (distof (get_tile "pipoda")))
      )
       (set_tile "error" "Invalid outside diameter. Must be real number > 0.")
       (mode_tile "angd" 2)
    )
   ((not (< 0 (distof (get_tile "pipida")))
      )
       (set_tile "error" "Invalid inside diameter. Must be real number > 0.")
       (mode_tile "pipida" 2)
    )
     ( T (done_dialog 6))
  )
)
(DEFUN TEST_PIP_OK2_STL_AQ1()
  (cond
    ((not (< 0 (distof (get_tile "pipoda")))
      )
       (set_tile "error" "Invalid outside diameter. Must be real number > 0.")
       (mode_tile "angd" 2)
    )
    ( T (done_dialog 6))
  )
)


(DEFUN TEST_SHPD_STL_AQ1()
  (setq shpd3 (distof shpd3))
   (if (> shpd3 0.0)
    (set_tile "error" "")
    (progn
      (set_tile "error" "Invalid depth. Must be real number > 0.")
      (mode_tile "shpd" 2)
     )
   )
);;closes test_shpd_stl_aq1


(DEFUN TEST_SHPW_STL_AQ1()
  (setq shpw3 (distof shpw3))
   (if (> shpw3 0.0)
    (set_tile "error" "")
    (progn
      (set_tile "error" "Invalid width. Must be real number > 0.")
      (mode_tile "shpw" 2)
     )
   )
);;closes test_shpw_stl_aq1


(DEFUN TEST_SHPWEB_STL_AQ1()
  (setq shpweb3 (distof shpweb3))
   (if (> shpweb3 0.0)
    (set_tile "error" "")
    (progn
      (set_tile "error" "Invalid web thickness. Must be real number > 0.")
      (mode_tile "shpweb" 2)
     )
   )
);;closes test_shpweb_stl_aq1


(DEFUN TEST_SHPFLG_STL_AQ1()
  (setq shpflg3 (distof shpflg3))
   (if (> shpflg3 0.0)
    (set_tile "error" "")
    (progn
      (set_tile "error" "Invalid flange thickness. Must be real number > 0.")
      (mode_tile "shpflg" 2)
     )
   )
);;closes test_shpflg_stl_aq1


(DEFUN TEST_SHP_OK_STL_AQ1()
  (cond
    ((not (< 0 (distof (get_tile "shpd")))
      )
       (set_tile "error" "Invalid depth. Must be real number > 0.")
       (mode_tile "shpd" 2)
    )
   ((not (< 0 (distof (get_tile "shpw")))
      )
       (set_tile "error" "Invalid width. Must be real number > 0.")
       (mode_tile "shpw" 2)
    )
    ((not (< 0 (distof (get_tile "shpweb")))
       )
       (set_tile "error" "Invalid web thickness. Must be real number > 0.")
       (mode_tile "shpweb" 2)
    )
    ((not (< 0 (distof (get_tile "shpflg")))
       )
       (set_tile "error" "Invalid flange thickness. Must be real number > 0.")
       (mode_tile "shpflg" 2)
    )
    ( T (done_dialog 3))
  )
) 

(DEFUN FRACDEC1_STL_AQ1 ( )
  (if (and (= ang2 1)(> SIZ3 4)) (setq siz3 0))
  (setvar "luprec" 6)
  (setvar "lunits" 5)
  (setq bm1 (nth siz3 tlist))
  (str_size_stl_aq1)
  (set_tile "angslst" bm1)
  (set_tile "angdlst" (rtos a))
  (set_tile "angwlst" (rtos b))
  (set_tile "angtlst" (rtos c))
 )

(DEFUN FRACDEC2_STL_AQ1 ( )
  (if (and (= ang2 1)(> SIZ3 4)) (setq siz3 0))
  (setvar "luprec" 3)
  (setvar "lunits" 2)
  (setq bm1 (nth siz3 tlist))
  (str_size_stl_aq1)
  (set_tile "angslst" bm1)
  (set_tile "angdlst" (rtos a))
  (set_tile "angwlst" (rtos b))
  (set_tile "angtlst" (rtos c))
 )

(DEFUN FRACDEC3_STL_AQ1 ( )
  (if (and (= bea2 1)(> siz3 4))(setq siz3 0))
  (setvar "luprec" 6)
  (setvar "lunits" 5)
  (setq bm1 (nth siz3 tlist))
  (str_size_stl_aq1)
  (set_tile "bmslst" bm1)
  (set_tile "bmdlst" (rtos b))
  (set_tile "bmwlst" (rtos f))
  (set_tile "bmwtlst" (rtos d))
  (set_tile "bmftlst" (rtos h))
 )

(DEFUN FRACDEC4_STL_AQ1 ( )
  (if (and (= bea2 1)(> siz3 4))(setq siz3 0))
  (setvar "luprec" 3)
  (setvar "lunits" 2)
  (setq bm1 (nth siz3 tlist))
  (str_size_stl_aq1)
  (set_tile "bmslst" bm1)
  (set_tile "bmdlst" (rtos a))
  (set_tile "bmwlst" (rtos e))
  (set_tile "bmwtlst" (rtos c))
  (set_tile "bmftlst" (rtos g))
 )

(DEFUN FRACDEC5_STL_AQ1 ( )
   (if (and (= tub2 1)(> siz3 4))(setq siz3 0))
   (setvar "luprec" 6)
   (setvar "lunits" 5)
   (setq bm1 (nth siz3 tlist))
   (str_size_stl_aq1)
   (set_tile "tubslst" bm1)
   (set_tile "tubdlst" (rtos a))
   (set_tile "tubwlst" (rtos b))
   (set_tile "tubtlst" (rtos c))
)

(DEFUN FRACDEC6_STL_AQ1 ( )
   (if (and (= tub2 1)(> siz3 4))(setq siz3 0))
   (setvar "luprec" 3)
   (setvar "lunits" 2)
   (setq bm1 (nth siz3 tlist))
   (str_size_stl_aq1)
   (set_tile "tubslst" bm1)
   (set_tile "tubdlst" (rtos a))
   (set_tile "tubwlst" (rtos b))
   (set_tile "tubtlst" (rtos c))
)
(DEFUN FRACDEC7_STL_AQ1 ( )
    (if (and (= tee2 1)(> siz3 4))(setq siz3 0))
    (setvar "luprec" 6)
    (setvar "lunits" 5)
    (setq bm1 (nth siz3 tlist))
    (str_size_stl_aq1)
    (set_tile "teslst" bm1)
    (set_tile "tedlst" (rtos (/ b 2)))
    (set_tile "tewlst" (rtos f))
    (set_tile "tewtlst" (rtos d))
    (set_tile "teftlst" (rtos h))
  )

(DEFUN FRACDEC8_STL_AQ1 ( )
    (if (and (= tee2 1)(> siz3 4))(setq siz3 0))
    (setvar "luprec" 3)
    (setvar "lunits" 2)
    (setq bm1 (nth siz3 tlist))
    (str_size_stl_aq1)
    (set_tile "teslst" bm1)
    (set_tile "tedlst" (rtos (/ a 2)))
    (set_tile "tewlst" (rtos e))
    (set_tile "tewtlst" (rtos c))
    (set_tile "teftlst" (rtos g))
  )

(DEFUN FRACDEC9_STL_AQ1 ( )
    (if (and (= cha2 1)(> siz3 4))(setq siz3 0))
    (setvar "luprec" 6)
    (setvar "lunits" 5)
    (setq bm1 (nth siz3 tlist))
    (str_size_stl_aq1)
    (set_tile "chslst" bm1)
    (set_tile "chdlst" (rtos a))
    (set_tile "chwlst" (rtos e))
    (set_tile "chwtlst" (rtos c))
    (set_tile "chftlst" (rtos g))
  )  

(DEFUN FRACDEC10_STL_AQ1 ( )
    (if (and (= cha2 1)(> siz3 4))(setq siz3 0))
    (setvar "luprec" 3)
    (setvar "lunits" 2)
    (setq bm1 (nth siz3 tlist))
    (str_size_stl_aq1)
    (set_tile "chslst" bm1)
    (set_tile "chdlst" (rtos a))
    (set_tile "chwlst" (rtos d))
    (set_tile "chwtlst" (rtos b))
    (set_tile "chftlst" (rtos f))
)

(DEFUN FRACDEC11_STL_AQ1 ( )
    (if (and (= pip2 1)(> siz3 4))(setq siz3 0))
    (setvar "luprec" 6)
    (setvar "lunits" 5)
    (setq bm1 (nth siz3 tlist))
    (str_size_stl_aq1)
    (set_tile "pislst" bm1)
    (set_tile "piolst" (rtos a))
    (set_tile "piilst" (rtos b))
    (set_tile "piwtlst" (rtos (/ (- a b) 2)))
)  

(DEFUN FRACDEC12_STL_AQ1 ( )
    (if (and (= pip2 1)(> siz3 4))(setq siz3 0))
    (setvar "luprec" 3)
    (setvar "lunits" 2)
    (setq bm1 (nth siz3 tlist))
    (str_size_stl_aq1)
    (set_tile "pislst" bm1)
    (set_tile "piolst" (rtos a))
    (set_tile "piilst" (rtos b))
    (set_tile "piwtlst" (rtos (/ (- a b) 2)))
)

(DEFUN DEFINE3_STL_AQ1 ( )
(settile_stl_aq1)
(if (= siz3 nil)
  (setq siz3 0)
)
(setq luprec (getvar "luprec"))
(setq lunits (getvar "lunits"))
(setq siz4 siz3)
 (cond
  ((= ang2 1)
    (if (not (new_dialog "anglst" dcl_id)) (exit))
    (image9_stl_aq1)
    (if
      (and
        (= frac2 nil)
        (= deci2 nil)
      )
      (progn
        (set_tile "fract1" "1")
        (setq frac2 1)
      )
    )
    (if(= frac2 1)
      (progn
        (set_tile "fract1" "1")
        (fracdec1_stl_aq1)
      )
    )
    (if(= deci2 1)
      (progn
        (set_tile "decim1" "1")
        (fracdec2_stl_aq1)
      )
    )
    (action_tile "fract1" "(setq  frac2  1)(fracdec1_stl_aq1)")
    (action_tile "decim1" "(setq deci2 1)(fracdec2_stl_aq1)")
    (action_tile "listup" "(define4_angstl_aq1) ")
    (action_tile "listdwn" "(define5_angstl_aq1)")
    (action_tile "accept" "(settile8_stl_aq1)") 
    (start_dialog) 
    (setq siz3 siz4)
   )
  ((= bea2 1)
    (if (not (new_dialog "beamlst" dcl_id)) (exit))
    (image7_stl_aq1)
     (if
      (and
        (= frac2 nil)
        (= deci2 nil)
      )
      (progn
        (set_tile "fract1" "1")
        (setq frac2 1)
      )
    )
    (if(= frac2 1)
      (progn
        (set_tile "fract1" "1")
        (fracdec3_stl_aq1)
      )
    )
    (if(= deci2 1)
      (progn
        (set_tile "decim1" "1")
        (fracdec4_stl_aq1)
      )
    )

    (action_tile "fract1" "(setq  frac2  1)(setq deci2 nil)(fracdec3_stl_aq1)")
    (action_tile "decim1" "(setq deci2 1)(setq frac2 nil)(fracdec4_stl_aq1)")
    (action_tile "listup" "(define4_beastl_aq1)")
    (action_tile "listdwn" "(define5_beastl_aq1)")
    (start_dialog) 
    (setq siz3 siz4)
     )
 ((= tub2 1)
    (if (not (new_dialog "tublst" dcl_id)) (exit))
    (image11_stl_aq1)
     (if
      (and
        (= frac2 nil)
        (= deci2 nil)
      )
      (progn
        (set_tile "fract1" "1")
        (setq frac2 1)
      )
    )
    (if(= frac2 1)
      (progn
        (set_tile "fract1" "1")
        (fracdec5_stl_aq1)
      )
    )
    (if(= deci2 1)
      (progn
        (set_tile "decim1" "1")
        (fracdec6_stl_aq1)
      )
    )
    (action_tile "fract1" "(setq  frac2  1)(fracdec5_stl_aq1)")
    (action_tile "decim1" "(setq deci2 1)(fracdec6_stl_aq1)")
    (action_tile "listup" "(define4_tubstl_aq1)")
    (action_tile "listdwn" "(define5_tubstl_aq1)")
    (start_dialog) 
    (setq siz3 siz4)
   )
   ((= tee2 1)
    (if (not (new_dialog "teelst" dcl_id)) (exit))
    (image10_stl_aq1)
     (if
      (and
        (= frac2 nil)
        (= deci2 nil)
      )
      (progn
        (set_tile "fract1" "1")
        (setq frac2 1)
      )
    )
    (if(= frac2 1)
      (progn
        (set_tile "fract1" "1")
        (fracdec7_stl_aq1)
      )
    )
    (if(= deci2 1)
      (progn
        (set_tile "decim1" "1")
        (fracdec8_stl_aq1)
      )
    )
      (action_tile "fract1" "(setq  frac2  1)(setq deci2 nil)(fracdec7_stl_aq1)")
      (action_tile "decim1" "(setq deci2 1)(setq frac2 nil)(fracdec8_stl_aq1)")
      (action_tile "listup" "(define4_teestl_aq1)")
      (action_tile "listdwn" "(define5_teestl_aq1)")
    (start_dialog) 
    (setq siz3 siz4)
   )
    ((= cha2 1)
    (if (not (new_dialog "chanlst" dcl_id)) (exit))
    (image8_stl_aq1)
     (if
      (and
        (= frac2 nil)
        (= deci2 nil)
      )
      (progn
        (set_tile "fract1" "1")
        (setq frac2 1)
      )
    )
    (if(= frac2 1)
      (progn
        (set_tile "fract1" "1")
        (fracdec9_stl_aq1)
      )
    )
    (if(= deci2 1)
      (progn
        (set_tile "decim1" "1")
        (fracdec10_stl_aq1)
      )
    )
    (action_tile "fract1" "(setq  frac2  1)(setq deci2 nil)(fracdec9_stl_aq1)")
    (action_tile "decim1" "(setq deci2 1)(setq frac2 nil)(fracdec10_stl_aq1)")
    (action_tile "listup" "(define4_chastl_aq1)")
    (action_tile "listdwn" "(define5_chastl_aq1)")
    (start_dialog) 
    (setq siz3 siz4)
)
  ((= pip2 1)
    (if (not (new_dialog "pipelst" dcl_id)) (exit))
    (image12_stl_aq1)
     (if
      (and
        (= frac2 nil)
        (= deci2 nil)
      )
      (progn
        (set_tile "fract1" "1")
        (setq frac2 1)
      )
    )
    (if(= frac2 1)
      (progn
        (set_tile "fract1" "1")
        (fracdec11_stl_aq1)
      )
    )
    (if(= deci2 1)
      (progn
        (set_tile "decim1" "1")
        (fracdec12_stl_aq1)
      )
    )
    (action_tile "fract1" "(setq  frac2  1)(fracdec11_stl_aq1)")
    (action_tile "decim1" "(setq deci2 1)(fracdec12_stl_aq1)")
    (action_tile "listup" "(define4_pipstl_aq1)")
    (action_tile "listdwn" "(define5_pipstl_aq1)")
    (start_dialog) 
    (setq siz3 siz4)
  )
 );;closes cond
 (setvar "luprec" luprec)
 (setvar "lunits" lunits)
)
(DEFUN DEFINE4_BEASTL_AQ1 ( )
  (if (> siz3 0)
   (progn
     (setq bm1 (nth (- siz3 1) tlist))
     (setq siz3 (- siz3 1))
     (set_tile "error" "")
     (mode_tile "listdwn" 0)
  )
     (progn
       (set_tile "error" "You are at the top of the list.")
       (mode_tile "listup" 1)
     )
 )
   (str_size_stl_aq1)
   (set_tile "bmslst" bm1)
  (if (= deci2 1)
    (progn
      (set_tile "bmdlst" (rtos a))
      (set_tile "bmwlst" (rtos e))
      (set_tile "bmwtlst" (rtos c))
      (set_tile "bmftlst" (rtos g))
     )
   )
  (if (= frac2 1)
    (progn
      (set_tile "bmdlst" (rtos b))
      (set_tile "bmwlst" (rtos f))
      (set_tile "bmwtlst" (rtos d))
      (set_tile "bmftlst" (rtos h))
     )
   )
 )
(DEFUN DEFINE4_TEESTL_AQ1 ( )
  (if (> siz3 0)
   (progn
     (setq bm1 (nth (- siz3 1) tlist))
     (setq siz3 (- siz3 1))
     (set_tile "error" "")
     (mode_tile "listdwn" 0)
   )
     (progn
       (set_tile "error" "You are at the top of the list.")
       (mode_tile "listup" 1)
     )
 )
 (str_size_stl_aq1)
(set_tile "teslst" bm1)
    (if (= frac2 1)
      (progn
        (set_tile "tedlst" (rtos (/ b 2)))
        (set_tile "tewlst" (rtos f))
        (set_tile "tewtlst" (rtos d))
        (set_tile "teftlst" (rtos h))
       )
      )
    (if (= deci2 1)
      (progn
        (set_tile "tedlst" (rtos (/ a 2)))
        (set_tile "tewlst" (rtos e))
        (set_tile "tewtlst" (rtos c))
        (set_tile "teftlst" (rtos g))
      )
    )
)


(DEFUN DEFINE4_ANGSTL_AQ1 ( )
  (if (> siz3 0)
   (progn
     (setq bm1 (nth (- siz3 1) tlist))
     (setq siz3 (- siz3 1))
     (set_tile "error" "")
     (mode_tile "listdwn" 0)
   )
     (progn
       (set_tile "error" "You are at the top of the list.")
       (mode_tile "listup" 1)
     )
 )
 (str_size_stl_aq1)
 (set_tile "angslst" bm1)
 (set_tile "angdlst" (rtos a))
 (set_tile "angwlst" (rtos b))
 (set_tile "angtlst" (rtos c))
)


(DEFUN DEFINE4_CHASTL_AQ1 ( )
  (if (> siz3 0)
   (progn
     (setq bm1 (nth (- siz3 1) tlist))
     (setq siz3 (- siz3 1))
     (set_tile "error" "")
     (mode_tile "listdwn" 0)
   )
     (progn
       (set_tile "error" "You are at the top of the list.")
       (mode_tile "listup" 1)
     )
 )
 (str_size_stl_aq1)
(set_tile "chslst" bm1)
    (if (= frac2 1)
      (progn
        (set_tile "chdlst" (rtos a))
        (set_tile "chwlst" (rtos e))
        (set_tile "chwtlst" (rtos c))
        (set_tile "chftlst" (rtos g))
       )
      )
    (if (= deci2 1)
      (progn
       (set_tile "chdlst" (rtos a))
        (set_tile "chwlst" (rtos d))
        (set_tile "chwtlst" (rtos b))
        (set_tile "chftlst" (rtos f))
      )
    )
)

(DEFUN DEFINE4_PIPSTL_AQ1 ( )
  (if (> siz3 0)
   (progn
     (setq bm1 (nth (- siz3 1) tlist))
     (setq siz3 (- siz3 1))
     (set_tile "error" "")
     (mode_tile "listdwn" 0)
   )
     (progn
       (set_tile "error" "You are at the top of the list.")
       (mode_tile "listup" 1)
     )
 )
 (str_size_stl_aq1)
  (set_tile "pislst" bm1)
  (set_tile "piolst" (rtos a))
  (set_tile "piilst" (rtos b))
  (set_tile "piwtlst" (rtos (/ (- a b) 2)))
  )

(DEFUN DEFINE4_TUBSTL_AQ1 ( )
  (if (> siz3 0)
   (progn
     (setq bm1 (nth (- siz3 1) tlist))
     (setq siz3 (- siz3 1))
     (set_tile "error" "")
     (mode_tile "listdwn" 0)
   )
     (progn
       (set_tile "error" "You are at the top of the list.")
       (mode_tile "listup" 1)
     )
 )
 (str_size_stl_aq1)
  (set_tile "tubslst" bm1)
  (set_tile "tubdlst" (rtos a))
  (set_tile "tubwlst" (rtos b))
  (set_tile "tubtlst" (rtos c))
 )


(DEFUN DEFINE5_BEASTL_AQ1 ( )
  (if (< siz3 3)
    (progn
      (setq bm1 (nth (+ siz3 1) tlist))
      (setq siz3 (+ siz3 1))
      (set_tile "error" "")
      (mode_tile "listup" 0)
    )
   (progn
     (set_tile "error" "You are at the bottom of the list.")

     (mode_tile "listdwn" 1)
    )
  )
      (str_size_stl_aq1)
      (set_tile "bmslst" bm1)
(if (= deci2 1)
    (progn
      (set_tile "bmdlst" (rtos a))
      (set_tile "bmwlst" (rtos e))
      (set_tile "bmwtlst" (rtos c))
      (set_tile "bmftlst" (rtos g))
     )
   )
  (if (= frac2 1)
    (progn
      (set_tile "bmdlst" (rtos b))
      (set_tile "bmwlst" (rtos f))
      (set_tile "bmwtlst" (rtos d))
      (set_tile "bmftlst" (rtos h))
     )
   )

   )

(DEFUN DEFINE5_TEESTL_AQ1 ( )
  (if (< siz3 3)
    (progn
      (setq bm1 (nth (+ siz3 1) tlist))
      (setq siz3 (+ siz3 1))
      (set_tile "error" "")
      (mode_tile "listup" 0)
    )
   (progn
     (set_tile "error" "You are at the bottom of the list.")

     (mode_tile "listdwn" 1)
    )
  )
    (str_size_stl_aq1)
    (set_tile "teslst" bm1)
    (if (= frac2 1)
      (progn
        (set_tile "tedlst" (rtos (/ b 2)))
        (set_tile "tewlst" (rtos f))
        (set_tile "tewtlst" (rtos d))
        (set_tile "teftlst" (rtos h))
       )
      )
     (if (= deci2 1)
       (progn
         (set_tile "tedlst" (rtos (/ a 2)))
        (set_tile "tewlst" (rtos e))
        (set_tile "tewtlst" (rtos c))
        (set_tile "teftlst" (rtos g))
       )
      )
)


(DEFUN DEFINE5_ANGSTL_AQ1 ( )
  (if (< siz3 3)
    (progn
      (setq bm1 (nth (+ siz3 1) tlist))
      (setq siz3 (+ siz3 1))
      (set_tile "error" "")
      (mode_tile "listup" 0)
    )
   (progn
     (set_tile "error" "You are at the bottom of the list.")
     (mode_tile "listdwn" 1)
    )
  )
    (str_size_stl_aq1)
    (set_tile "angslst" bm1)
    (set_tile "angdlst" (rtos a))
    (set_tile "angwlst" (rtos b))
    (set_tile "angtlst" (rtos c))
)


(DEFUN DEFINE5_CHASTL_AQ1 ( )
  (if (< siz3 3)
    (progn
      (setq bm1 (nth (+ siz3 1) tlist))
      (setq siz3 (+ siz3 1))
      (set_tile "error" "")
      (mode_tile "listup" 0)
    )
   (progn
     (set_tile "error" "You are at the bottom of the list.")
     (mode_tile "listdwn" 1)
    )
  )
    (str_size_stl_aq1)
    (set_tile "chslst" bm1)
    (if (= frac2 1)
      (progn
        (set_tile "chdlst" (rtos a))
        (set_tile "chwlst" (rtos e))
        (set_tile "chwtlst" (rtos c))
        (set_tile "chftlst" (rtos g))
       )
      )
     (if (= deci2 1)
       (progn
        (set_tile "chdlst" (rtos a))
        (set_tile "chwlst" (rtos d))
        (set_tile "chwtlst" (rtos b))
        (set_tile "chftlst" (rtos f))
       )
     )
)

(DEFUN DEFINE5_PIPSTL_AQ1 ( )
  (if (< siz3 3)
    (progn
      (setq bm1 (nth (+ siz3 1) tlist))
      (setq siz3 (+ siz3 1))
      (set_tile "error" "")
      (mode_tile "listup" 0)
    )
   (progn
     (set_tile "error" "You are at the bottom of the list.")
     (mode_tile "listdwn" 1)
    )
  )
    (str_size_stl_aq1)
    (set_tile "pislst" bm1)
    (set_tile "piolst" (rtos a))
    (set_tile "piilst" (rtos b))
    (set_tile "piwtlst" (rtos (/ (- a b) 2)))
)

(DEFUN DEFINE5_TUBSTL_AQ1 ( )
  (if (< siz3 3)
    (progn
      (setq bm1 (nth (+ siz3 1) tlist))
      (setq siz3 (+ siz3 1))
      (set_tile "error" "")
      (mode_tile "listup" 0)
    )
   (progn
     (set_tile "error" "You are at the bottom of the list.")
     (mode_tile "listdwn" 1)
    )
  )
    (str_size_stl_aq1)
    (set_tile "tubslst" bm1)
    (set_tile "tubdlst" (rtos a))
    (set_tile "tubwlst" (rtos b))
    (set_tile "tubtlst" (rtos c))
)

(DEFUN PVIEW2_STL_AQ1 ( )
(mode_tile "pipyy" 0) (mode_tile "hatchstl" 1)(mode_tile "capends" 0)(mode_tile "addcen" 0) (mode_tile "toggle" 0) 
(mode_tile "togglel" 0) 
)

(DEFUN PVIEW1_STL_AQ1 ( )
  (if (and(and(= pip2 1)(= 2ds2 1)) (or (= frontv2 1) (= rearv2 1) (= leftv2 1) (= rightv2 1)))
    (progn
      (mode_tile "toggle" 1)(mode_tile "togglel" 1)
     )
  )
(mode_tile "toplef" 1) (mode_tile "topcen" 1) (mode_tile "toprig" 1)
(mode_tile "midlef" 1) (mode_tile "midcen" 1) (mode_tile "midrig" 1)
(mode_tile "botlef" 1) (mode_tile "botcen" 1) (mode_tile "botrig" 1)
)

(DEFUN TOPV_STL_AQ1 ( )
  (if (or(= 2dd2 1)(= 2ds2 1))
   (mode_tile "hatchstl" 0))
   (mode_tile "capends" 1)(mode_tile "addcen" 0)(mode_tile "toggle" 1)(mode_tile "togglel" 1)
  (mode_tile "toplef" 0) (mode_tile "topcen" 0) (mode_tile "toprig" 0)
  (mode_tile "midlef" 0) (mode_tile "midcen" 0) (mode_tile "midrig" 0)
  (mode_tile "botlef" 0) (mode_tile "botcen" 0) (mode_tile "botrig" 0)
)

(DEFUN PVIEW_STL_AQ1 ( )
 (if (not (new_dialog "pview1" dcl_id)) (exit))
 ;;;  (setq 3ds2 nil 3dd2 nil)
  (if
   (and
     (= topv2 nil)
     (= frontv2 nil)
     (= bottomv2 nil)
     (= rearv2 nil)
     (= leftv2 nil)
     (= rightv2 nil)
    )
     (progn
       (set_tile "topv" "1")
       (mode_tile "pipyy" 1)
       (mode_tile "capends" 1)
       (mode_tile "addcen" 1)
       (mode_tile "toggle" 1)
       (mode_tile "togglel" 1)
     )
   )
(if
   (and
     (= toplef2 nil)
     (= topcen2 nil)
     (= toprig2 nil)
     (= midlef2 nil)
     (= midcen2 nil)
     (= midrig2 nil)
     (= botlef2 nil)
     (= botcen2 nil)
     (= botrig2 nil)
    )
     (set_tile "midcen" "1")
)		
 (image19_stl_aq1)
  (if (and(and(= pip2 1)(= 2ds2 1))(or (= frontv2 1)(= rearv2 1)(= leftv2 1)(= rightv2 1)))
    (progn
      (mode_tile "toggle" 1)
      (mode_tile "togglel" 1)
    )
  )
  (if (= topv2 1)
    (progn
      (set_tile "topv" "1")
      (if (= pip2 1)
        (mode_tile "pipyy" 0)
        (mode_tile "pipyy" 1)
      )
      (mode_tile "capends" 1)
      (mode_tile "addcen" 0)
      (mode_tile "toggle" 1)
      (mode_tile "togglel" 1)
      (mode_tile "hatchstl" 0)
    )
  )
(if(= frontv2 1)
    (set_tile "frontv" "1")
  )
(if(= bottomv2 1)
  (progn
    (set_tile "bottomv" "1")
    (if (= pip2 1)
      (mode_tile "pipyy" 0)
      (mode_tile "pipyy" 1)
    )
    (mode_tile "capends" 1)
    (mode_tile "addcen" 0)
    (mode_tile "toggle" 1)

    (mode_tile "togglel" 1)
    (mode_tile "hatchstl" 0)
  )
 )
(if (or (= frontv2 1) (= rearv2 1) (= leftv2 1) (= rightv2 1))
  (mode_tile "hatchstl" 1)
 )
(if(= rearv2 1)
    (set_tile "rearv" "1")
  )
(if(= leftv2 1)
    (set_tile "leftv" "1")
  )
(if(= rightv2 1)
    (set_tile "rightv" "1")
  )
(if(= pipyy2 1)
    (set_tile "pipyy" "1")
  )
(if(= capends2 1)
    (set_tile "capends" "1")
  )
(if(= addcen2 1)
    (set_tile "addcen" "1")
  )
(if(= toggle2 1)
    (set_tile "toggle" "1")
  )
(if(= togglel2 1)
    (set_tile "togglel" "1")
  )
(if(= hat2 1)
    (set_tile "hatchstl" "1")
  )
(if(= toplef2 1)
    (set_tile "toplef" "1")
  )
(if(= topcen2 1)
    (set_tile "topcen" "1")
  )
(if(= toprig2 1)
    (set_tile "toprig" "1")
  )
(if(= midlef2 1)
    (set_tile "midlef" "1")
  )
(if(= midcen2 1)
    (set_tile "midcen" "1")
  )
(if(= midrig2 1)
    (set_tile "midrig" "1")
  )
(if(= botlef2 1)
    (set_tile "botlef" "1")
  )
(if(= botcen2 1)
    (set_tile "botcen" "1")
  )
(if(= botrig2 1)
    (set_tile "botrig" "1")
  )
(if (or (= frontv2 1)(= leftv2 1)(= rightv2 1)(= rearv2 1))
  (progn
    (mode_tile "toplef" 1) (mode_tile "topcen" 1) (mode_tile "toprig" 1)
    (mode_tile "midlef" 1) (mode_tile "midcen" 1) (mode_tile "midrig" 1)
    (mode_tile "botlef" 1) (mode_tile "botcen" 1) (mode_tile "botrig" 1)
   )
  )
(if (or(= topv2 1)(= bottomv2 1))
  (progn
    (mode_tile "toplef" 0) (mode_tile "topcen" 0) (mode_tile "toprig" 0)
    (mode_tile "midlef" 0) (mode_tile "midcen" 0) (mode_tile "midrig" 0)
    (mode_tile "botlef" 0) (mode_tile "botcen" 0) (mode_tile "botrig" 0)
   )
  )
(if (or(= 3dd2 1)(= 3ds2 1))
  (progn
    (mode_tile "leftv" 1) (mode_tile "rightv" 1)(mode_tile "pipyy" 1)
    (mode_tile "frontv" 1) (mode_tile "rearv" 1)(mode_tile "hatchstl" 1)

    (if (and(/= topv2 1)(/= bottomv2 1))
      (progn
        (set_tile "topv" "1")
        (setq topv2 1)(mode_tile "pipyy" 1)(mode_tile "capends" 1)(mode_tile "toggle" 1) (mode_tile "togglel" 1)
        (image19_stl_aq1)
        (mode_tile "toplef" 0) (mode_tile "topcen" 0) (mode_tile "toprig" 0)
        (mode_tile "midlef" 0) (mode_tile "midcen" 0) (mode_tile "midrig" 0)
        (mode_tile "botlef" 0) (mode_tile "botcen" 0) (mode_tile "botrig" 0)
      )
    ) 
   )
 )
    (action_tile "topv" "(setq topv2 1)(pipyy_stl_aq1)(settile2_stl_aq1)(image19_stl_aq1)(topv_stl_aq1)")   
    (action_tile "bottomv" "(setq bottomv2 1)(pipyy_stl_aq1)(settile2_stl_aq1)(image19_stl_aq1)(topv_stl_aq1)")   
    (action_tile "frontv" "(setq frontv2 1)(settile2_stl_aq1)(image19_stl_aq1)(pview2_stl_aq1)(pview1_stl_aq1)") 
    (action_tile "rearv" "(setq rearv2 1)(settile2_stl_aq1)(image19_stl_aq1)(pview2_stl_aq1)(pview1_stl_aq1)") 
    (action_tile "leftv" "(setq leftv2 1)(settile2_stl_aq1)(image19_stl_aq1)(pview2_stl_aq1)(pview1_stl_aq1)") 
    (action_tile "rightv" "(setq rightv2 1)(settile2_stl_aq1)(image19_stl_aq1)  (pview2_stl_aq1)(pview1_stl_aq1)") 
    (action_tile "pipyy" "(setq pipyy2 1)(settile2_stl_aq1)(settile2A_stl_aq1)(image19_stl_aq1)")
    (action_tile "capends" "(setq capends2 1)(settile2_stl_aq1)(settile2B_stl_aq1)(image19_stl_aq1)")
    (action_tile "addcen" "(setq addcen2 1)(settile2_stl_aq1)(image19_stl_aq1)")
    (action_tile "toggle" "(setq toggle2 1)")
    (action_tile "togglel" "(setq togglel2 1)")
    (action_tile "hatchstl" "(setq hat2 1)(settile2_stl_aq1)(image19_stl_aq1) ")
    (action_tile "accept" "(settile2_stl_aq1)(viewlist_stl_aq1)") 
    (action_tile "cancel" "(settile2_stl_aq1)(viewlist_stl_aq1)")
    (action_tile "toplef" "(setq toplef2 1)")
    (action_tile "topcen" "(setq topcen2 1)")
    (action_tile "toprig" "(setq toprig2 1)")
    (action_tile "midlef" "(setq midlef2 1)")
    (action_tile "midcen" "(setq midcen2 1)")
    (action_tile "midrig" "(setq midrig2 1)")
    (action_tile "botlef" "(setq botlef2 1)")
    (action_tile "botcen" "(setq botcen2 1)")
    (action_tile "botrig" "(setq botrig2 1)")
    (start_dialog) 
)

(DEFUN VIEWLIST_STL_AQ1 ( )
  (done_dialog)
  (if (= topv2 1)
    (set_tile "viewlist" "Top view"))
  (if (= frontv2 1)
    (set_tile "viewlist" "Front view"))
  (if (= bottomv2 1)
    (set_tile "viewlist" "Bottom view"))
  (if (= rearv2 1)
    (set_tile "viewlist" "Rear view"))
  (if (= leftv2 1)
    (set_tile "viewlist" "Left side view"))
  (if (= rightv2 1)
    (set_tile "viewlist" "Right side view"))
    (setq pip2 nil)
  (if (= toplef2 1)
    (set_tile "handlelist" "HP = (TL)"))
 (if (= topcen2 1)
    (set_tile "handlelist" "HP = (TC)"))
 (if (= toprig2 1)
    (set_tile "handlelist" "HP = (TR)"))
 (if (= midlef2 1)
    (set_tile "handlelist" "HP = (ML)"))
 (if (= midcen2 1)
    (set_tile "handlelist" "HP = (MC)"))
 (if (= midrig2 1)
    (set_tile "handlelist" "HP = (MR)"))
 (if (= botlef2 1)
    (set_tile "handlelist" "HP = (BL)"))
 (if (= botcen2 1)
    (set_tile "handlelist" "HP = (BC)"))
 (if (= botrig2 1)
    (set_tile "handlelist" "HP = (BR)"))
(if (or (= topv2 1)(= bottomv2 1))
    (mode_tile "handlelist" 0)
   )
  (if (or(= frontv2 1)(= rearv2 1)(= leftv2 1)(= rightv2 1))
    (mode_tile "handlelist" 1)
   )
)


(DEFUN PIPYY_STL_AQ1 ( )
  (if (and (= pip2 1)(or (= topv2 1)(= bottomv2 1)))
    (mode_tile "pipyy" 0)
    (mode_tile "pipyy" 1)
   )
 (if (and (= pip2 1)(or (= 3ds2 1)(= 3dd2 1)))
   (mode_tile "pipyy" 1)
  )
 )

 (DEFUN STR_SIZE_STL_AQ1 ()
(if (or(= bm1 "W6x9")(= bm1 "WT3x4.5"))
  (setq a 5.90 b 5.875 c 0.17 d 0.1875 e 3.94 f 4.0 g 0.215 h 0.1875 r 0.3))

 (if (or(= bm1 "W5x19")(= bm1 "WT2.5x9.5"))
  (setq a 5.15  b 5.125 c 0.27 d 0.25 e 5.030 f 5.0 g 0.43 h 0.4375 r 0.3))
(if (or(= bm1 "W5x16")(= bm1 "WT2.5x8"))
  (setq a 5.01 b 5.0 c 0.24 d 0.25 e 5.0 f 5.0 g 0.36 h 0.375 r 0.3))

 (if (or(= bm1 "W4x13")(= bm1 "WT2x6.5"))
  (setq a 4.16 b 4.125 c 0.280 d 0.25 e 4.06 f 4.0 g 0.345 h 0.375 r 0.25))


 ;;angle
(if (= bm1 "L4x3x7/16")
  (setq a 4.0 b 3.0 c 0.4375 r 0.375))
 (if (= bm1 "L4x3x3/8")
  (setq a 4.0 b 3.0 c 0.375 r 0.375))
 (if (= bm1 "L4x3x5/16")
  (setq a 4.0 b 3.0 c 0.3125 r 0.375))
 (if (= bm1 "L4x3x1/4")
  (setq a 4.0 b 3.0 c 0.25 r 0.375))


 ;;;tubing
(if (= bm1 "4x3x1/4 ")
  (setq a 4.0 b 3.0 c 0.25))
 (if (= bm1 "4x3x3/16 ")
  (setq a 4.0 b 3.0 c 0.1875))
 (if (= bm1 "4x2x5/16 ")
  (setq a 4.0 b 2.0 c 0.3125))
 (if (= bm1 "4x2x1/4 ")
  (setq a 4.0 b 2.0 c 0.25))


 ;;channel
(if (= bm1 "C5x9")
  (setq a 5.0 b 0.325 c 0.3125 d 1.885 e 1.875 f 0.32 g 0.3125 r 0.29 a1 9.462322))
 (if (= bm1 "C5x6.7")
  (setq a 5.0 b 0.19 c 0.1875 d 1.75 e 1.75 f 0.32 g 0.3125 r 0.29 a1 9.462322))
 (if (= bm1 "C4x7.25")
  (setq a 4.0 b 0.321 c 0.3125 d 1.721 e 1.75 f 0.296 g 0.3125 r 0.28 a1 9.462322))
 (if (= bm1 "C4x5.4")
  (setq a 4.0 b 0.184 c 0.1875 d 1.584 e 1.625 f 0.296 g 0.3125 r 0.28 a1 9.462322))


;;pipe


 (if (or(= bm1 "3.1/2 Sch. 5S") (= bm1 "3.1/2 I.P.S. 5"))
  (setq a 4.0 b 3.834))
(if (or(= bm1 "3.1/2 Sch. 10S") (= bm1 "3.1/2 I.P.S. 10"))
  (setq a 4.0 b 3.76))
(if (or(= bm1 "3.1/2 Sch. 40S Std.") (= bm1 "3.1/2 I.P.S. 40"))
  (setq a 4.0 b 3.548))
(if (or(= bm1 "3.1/2 Sch. 80S Ex.Hvy.") (= bm1 "3.1/2 I.P.S. 80"))
  (setq a 4.0 b 3.364))
 (if (= bm1 "3.1/2 Sch. XX Hvy.")
  (setq a 4.0 b 2.728))


(if (= bm1 "4 Sch. 5S") 
  (setq a 4.5 b 4.334))
(if (= bm1 "4 Sch. 10S") 
  (setq a 4.5 b 4.26))
(if (or(= bm1 "4 Sch. 40S Std.") (= bm1 "4 I.P.S. 40"))
  (setq a 4.5 b 4.026))
(if (or(= bm1 "4 Sch. 80S Ex.Hvy.") (= bm1 "4 I.P.S. 80"))
  (setq a 4.5 b 3.826))
(if (= bm1 "4 I.P.S. 120")
   (setq a 4.5 b 3.624))
(if (= bm1 "4 I.P.S. 160")
   (setq a 4.5 b 3.438))
(if (= bm1 "4 Sch. XX Hvy.")
  (setq a 4.5 b 3.152))


)


(DEFUN STR_STL_AQ1 (/ a b c d e f g h i j k l m n o p q r u v w x y z a1 a2 a3 a4 a5 b1dd hh r1 r2 r3 r4 z1 s tt pnt1 pnt2 pnt3 pnt4 pnt5 pnt6 pnt7 pnt8 pnt9 pnt10 pnt11 pnt12 pnt13 pnt14 pnt15 pnt16 pnt17 pnt18 pnt19 pnt20 pnt21 pnt22 pnt23 pnt24 pnt25 ss1 ss2 aa bb cc dd ) 
(setq olderr *error*
              *error* err_stl_aq1)
(graphscr)
(if (wcmatch (getvar "acadver") "14*")
   (arxload "geom3d" [onfailure])
 )
 (if (wcmatch (getvar "acadver") "14*")
   (arxload "geomcal" [onfailure])
  )
 (if (wcmatch (getvar "acadver") "13*")
   (progn
     (if (/= geomcal2 1)(xload "geomcal"))
     (setq geomcal2 1)
    )
  )
 (setq osn (getvar "osmode"))
 (setq cmd (getvar "cmdecho"))
 (setq blp (getvar "blipmode"))
 (setq hpn (getvar "hpname"))
 (setq ltyp (getvar "celtype"))
 (setq hpangle (getvar "hpang"))
 (setq hpscale (getvar "hpscale"))
 (setq celts (getvar "celtscale"))
 (setq ceco (getvar "cecolor"))
 (setvar "cmdecho" 0)
 (if (= stlcolor nil) (setq stlcolor 1))
 (if (= hatch_siz3 nil)(setq hatch_siz3 0)) 
 (if (= stlcolorhid nil)(setq stlcolorhid 1))
 (if (= stlcolorbrk nil)(setq stlcolorbrk 1))
 (if (= stlcolorcl nil)(setq stlcolorcl 1))
 (if (= stlcolorsh nil)(setq stlcolorsh 1))
 (if (not propang) (setq propang 0))
 (if (not propsca) (setq propsca 1))
 (if (not hidds) (setq hidds 1))
 (if (not centerlnsc) (setq centerlnsc 1))
 (setq ha "ansi31")
 (setvar "cecolor" (itoa stlcolorsh))
 (if (= stlcolorcl 256) (setq stlcolorcl "bylayer"))
 (if (= stlcolorcl 0) (setq stlcolorcl "byblock"))
 (if (= stlcolorbrk 256) (setq stlcolorbrk "bylayer"))
 (if (= stlcolorbrk 0) (setq stlcolorbrk "byblock"))
 (if (= stlcolorhid 256) (setq stlcolorhid "bylayer"))
 (if (= stlcolorhid 0) (setq stlcolorhid "byblock"))
 (if (< (setq undovar (getvar "undoctl")) 5)
  (cond
   ((= undovar 0)(command "._undo" "_a"))
   ((< undovar 4)(command "._undo" "_c" "_a"))
  )
 )
(command "._undo" "_end")
(if (or (wcmatch (getvar "acadver") "12*")(wcmatch (getvar "acadver") "11*"))
 (command "._undo" "_group")
 (command "._undo" "_begin")
)
(setvar "blipmode" 0)
  (if (/= def2 1)
  (progn
   (if (= siz3 nil)
     (setq siz3 0)
   )
    (if (and (= bea2 1)(> siz3 4))
     (setq siz3 0))
   (if (and (= cha2 1)(> siz3 4))
     (setq siz3 0))
   (if (and (= ang2 1)(> SIZ3 4))
     (setq siz3 0))
   (if (and (= tub2 1)(> siz3 4))
     (setq siz3 0))
   (if (and (= tee2 1)(> siz3 4))
     (setq siz3 0))
   (if (and (= pip2 1)(> siz3 4))
     (setq siz3 0))

   (setq bm1 (nth siz3 tlist))

)
)
(str_size_stl_aq1)
 (cond
  ((= bea2 1)
   (if (or(or(wcmatch bm1 "W*")(wcmatch bm1 "M*"))(wcmatch bm1 "HP*"))
    (if (or (and (= 2ds2 1) (or (= topv2 1)(= bottomv2 1))) 
      (= 3ds2 1))
     (progn
      (if (= def2 1)
       (progn
         (setq b shpd3)
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
        )
      )
       (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place beam: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq n (/ b 2))
      (setq m (/ f 2))
      (setq o (/ d 2))

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) m) (-(cadr pnt1) n) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) n) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) m) (-(cadr pnt1) n) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) m) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) m) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) m) (+(cadr pnt1) n) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) n) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) m) (+(cadr pnt1) n) (caddr pnt1))))

      (setq pnt2 (list (-(car pnt1) m) (-(cadr pnt1) n) (caddr pnt1))) 
      (setq pnt3 (list (+(car pnt1) m) (-(cadr pnt1) n) (caddr pnt1))) 
      (setq pnt4 (list (+(car pnt1) m) (+(-(cadr pnt1) n) h) (caddr pnt1))) 
      (setq pnt5 (list (+(car pnt1) o) (+(-(cadr pnt1) n) h) (caddr pnt1))) 
      (setq pnt6 (list (+(car pnt1) o) (-(+(cadr pnt1) n) h) (caddr pnt1))) 
      (setq pnt7 (list (+(car pnt1) m) (-(+(cadr pnt1) n) h) (caddr pnt1))) 
      (setq pnt8 (list (+(car pnt1) m) (+(cadr pnt1) n) (caddr pnt1))) 
      (setq pnt9 (list (-(car pnt1) m) (+(cadr pnt1) n) (caddr pnt1))) 
      (setq pnt10 (list (-(car pnt1) m) (-(+(cadr pnt1) n) h) (caddr pnt1))) 
      (setq pnt11 (list (-(car pnt1) o) (-(+(cadr pnt1) n) h) (caddr pnt1))) 
      (setq pnt12 (list (-(car pnt1) o) (+(-(cadr pnt1) n) h) (caddr pnt1))) 
      (setq pnt13 (list (-(car pnt1) m) (+(-(cadr pnt1) n) h) (caddr pnt1))) 
      (setvar "osmode" 0)
      (command "._pline" pnt2 pnt3 pnt4 pnt5 pnt6 pnt7 pnt8 pnt9 pnt10 pnt11 pnt12 pnt13 "_c")
      (setq ss1 (entlast))
      (if (= addcen2 1)
        (progn
          (setq aa (/ b 10))
          (setq bb (* aa 4))
          (setq cc (/ b 16))
          (setq dd (*(/ f 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )
     )
    )
   ) 
(if (or(or(wcmatch bm1 "W*")(wcmatch bm1 "M*"))(wcmatch bm1 "HP*"))
    (if (and (= 2ds2 1) (or (= frontv2 1)(= rearv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq b shpd3)
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
       )
    )
   (prompt "\nTo place beam (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ f 2))
   (setq mm (- 0.0 m))
   (setq o (/ d 2))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (command "._offset" o ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._offset" m ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1)
   (ssadd ss4 ss1) 
   (ssadd ss5 ss1) 
   (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
 (if (= togglel2 1)(toggle_view_stl_aq1))
)))
(if (or(or(wcmatch bm1 "W*")(wcmatch bm1 "M*"))(wcmatch bm1 "HP*"))
    (if (and (= 2ds2 1) (or (= leftv2 1)(= rightv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq b shpd3)
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
       )
    )
   (prompt "\nTo place beam (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ b 2))
   (setq o (- (/ b 2) h))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (command "._offset" m ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" o ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1)
   (ssadd ss4 ss1) 
   (ssadd ss5 ss1)
    (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))
   (if (or(or(wcmatch bm1 "W*")(wcmatch bm1 "M*"))(wcmatch bm1 "HP*"))
     (if (or (and (= 2dd2 1) (or (= topv2 1)(= bottomv2 1))) 
      (= 3dd2 1))
     (progn
      (if (= def2 1)
         (progn
         (setq a shpd3)
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
       )
     )
      (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place beam: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq r c)
      (setq j (/ e 2))
      (setq i (/ a 2))
      (setq l (/ c 2))

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) j) (-(cadr pnt1) i) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) i) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) j) (-(cadr pnt1) i) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) j) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) j) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) j) (+(cadr pnt1) i) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) i) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) j) (+(cadr pnt1) i) (caddr pnt1))))

      (setq pnt2 (list (+(car pnt1)l)(cadr pnt1)(caddr pnt1))) 
      (setq pnt3 (list (+(car pnt1)l)(+(+(-(cadr pnt1)i)g)r)(caddr pnt1))) 
      (setq pnt4 (list (+(+(car pnt1)l)r)(+(-(cadr pnt1)i)g)(caddr pnt1))) 
      (setq pnt5 (list (+(car pnt1)j)(+(-(cadr pnt1)i)g)(caddr pnt1))) 
      (setq pnt6 (list (+(car pnt1)j)(-(cadr pnt1)i)(caddr pnt1)))
      (setq pnt7 (list (-(car pnt1)j)(-(cadr pnt1)i)(caddr pnt1)))
      (setq pnt8 (list (-(car pnt1)j)(+(-(cadr pnt1)i)g)(caddr pnt1)))
      (setq pnt9 (list (-(-(car pnt1)l)r)(+(-(cadr pnt1)i)g)(caddr pnt1)))
      (setq pnt10 (list (-(car pnt1)l)(+(+(-(cadr pnt1)i)g)r)(caddr pnt1)))
      (setq pnt11 (list (-(car pnt1)l)(cadr pnt1)(caddr pnt1))) 
      (setvar "osmode" 0)
      (command "._pline" pnt2 pnt3 "_a" pnt4 "_l" pnt5 pnt6 pnt7 pnt8 pnt9 "_a" pnt10 "_l" pnt11 "")
      (setq ss1 (entlast))
      (command "._mirror" ss1 "" pnt1 pnt11 "")
      (setq ss2 (entlast))
      (command "._pedit" ss1 "_j" ss2 "" "_x")
      (setq ss1 (entlast))
      (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ e 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

     )
    )
   )
(if (or(or(wcmatch bm1 "W*")(wcmatch bm1 "M*"))(wcmatch bm1 "HP*"))
    (if (and (= 2dd2 1) (or (= frontv2 1)(= rearv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a shpd3)
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
       )
    )
   (prompt "\nTo place beam (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ e 2))
   (setq o (/ c 2))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (command "._offset" o ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._offset" m ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1)
   (ssadd ss4 ss1) 
   (ssadd ss5 ss1)
    (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))
(if (or(or(wcmatch bm1 "W*")(wcmatch bm1 "M*"))(wcmatch bm1 "HP*"))
    (if (and (= 2dd2 1) (or (= leftv2 1)(= rightv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a shpd3)
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
       )
    )
   (prompt "\nTo place beam (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ a 2))
   (setq o (- (/ a 2) g))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (command "._offset" m ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" o ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1)
   (ssadd ss4 ss1) 
   (ssadd ss5 ss1)
    (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))
   (if (or(wcmatch bm1 "S*"))
    (if (or (and (= 2ds2 1) (or (= topv2 1)(= bottomv2 1)))
     (= 3ds2 1))
      (progn
        (if (= def2 1)
          (progn
            (setq b shpd3)
            (setq f shpw3)
            (setq d shpweb3)
            (setq h shpflg3)
         )
       )
         (while
           (= nil
            (setq pnt1 (getpoint "\nPick point to place beam: "))
           )
            (alert "\nPlease pick a point")
          )
      (setq a1 9.462322)
      (setq r d)
      (setq b1(/ d 2))
      (setq dd(/ f 2))
      (setq hh(/ b 2))
      (setq i(/(- dd b1) 2))
      ;(setq a1 (rtd (atan (/ 2.0 12.0))));;16.2/3 pct
      (setq a2 (- 180(+ a1 90)))
      (setq a3 (/ (- 180 a2) 2))
      (setq j (* r (sin (dtr a3))))
      (setq k (sqrt (- (expt r 2) (expt j 2))))
      (setq a4 (- 180 (+ a3 90)))
      (setq a5 (- 90 (* a4 2)))
      (setq r2 (/ r (cos (dtr a4))))
      (setq o (sqrt (- (expt r2 2) (expt r 2))))
      (setq m (* r (sin (dtr a5))))
      (setq l (* r (cos (dtr a5))))
      (setq p (- dd b1))
      (setq y (/ p (cos (dtr a1))))
      (setq n (sqrt (- (expt y 2) (expt p 2))))
      (setq z (/ i (cos (dtr a1))))
      (setq q (sqrt (- (expt z 2) (expt i 2))))
      (setq r1 (- h q))
      (setq u (* r1 (cos (dtr a1))))
      (setq tt (sqrt (- (expt r1 2) (expt u 2))))
      (setq z1 (/(- r1 tt)(cos (dtr a1))))
      (setq v (sqrt (- (expt z1 2) (expt (- r1 tt) 2))))
      (setq w (-(+ r1 v) u))
      (setq x (sqrt (/ (expt r1 2) 2)))
      (setvar "osmode" 0)

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) dd) (-(cadr pnt1) hh) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) hh) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) dd) (-(cadr pnt1) hh) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) dd) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) dd) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) dd) (+(cadr pnt1) hh) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) hh) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) dd) (+(cadr pnt1) hh) (caddr pnt1))))

      (setq pnt2 (list (car pnt1)(-(cadr pnt1) hh)(caddr pnt1)))
      (setq pnt3 (list (-(car pnt1)dd)(-(cadr pnt1)hh)(caddr pnt1)))
      (setq pnt12 (list (-(car pnt1)dd)(+(-(cadr pnt1)hh)r1)(caddr pnt1)))
      (setq pnt11 (list (-(car pnt1)b1)(+(+(-(cadr pnt1)hh)r1)n)(caddr pnt1)))
      (setq pnt10 (list (-(car pnt1)b1)(cadr pnt1)(caddr pnt1)))
      (command "._pline" pnt2 pnt3 pnt12 pnt11 pnt10 "")
      (setq ss1 (entlast))
      (command "._mirror" ss1 "" pnt1 pnt2 "")
      (setq ss2 (entlast))
      (command "._pedit" ss1 "_j" ss2 "" "_x")
      (setq ss1 (entlast))
      (command "._mirror" ss1 "" pnt1 pnt10 "")
      (setq ss2 (entlast))
      (command "._pedit" ss1 "_j" ss2 "" "_x")
      (setq ss1 (entlast))
       (if (= addcen2 1)
        (progn
          (setq aa (/ b 10))
          (setq bb (* aa 4))
          (setq cc (/ b 16))
          (setq dd (*(/ f 10) 4))

          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )
     ) 
    )
   )
(if (or (wcmatch bm1 "S*"))
    (if (and (= 2ds2 1) (or (= frontv2 1)(= rearv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq b shpd3)
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
      )
    )
   (prompt "\nTo place beam (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ f 2))
   (setq o (/ d 2))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (command "._offset" o ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._offset" m ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
 (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1)
   (ssadd ss4 ss1) 
   (ssadd ss5 ss1)
    (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))
(if (or (wcmatch bm1 "S*"))
    (if (and (= 2ds2 1) (or (= leftv2 1)(= rightv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq b shpd3)
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
       )
    )
   (prompt "\nTo place beam (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ b 2))
   (setq o (- (/ b 2) h))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (command "._offset" m ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" o ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss3 ss1) 
   (ssadd ss2 ss1)
   (ssadd ss5 ss1) 
   (ssadd ss4 ss1)
    (if (= capends2 1)
     (progn
     (ssadd ss8 ss1)
     (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))
  (if (or(wcmatch bm1 "S*"))
    (if (or (and (= 2dd2 1) (or (= topv2 1)(= bottomv2 1)))
     (= 3dd2 1))
      (progn
        (if (= def2 1)
         (progn
         (setq a shpd3)
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
      )
    )
        (while
          (= nil
            (setq pnt1 (getpoint "\nPick point to place beam: "))
          )
           (alert "\nPlease pick a point")
         )
      (setq r c)
      (setq a1 9.462322)
      (setq b1(/ c 2))
      (setq d(/ e 2))
      (setq h(/ a 2))
      (setq i(/(- d b1) 2))
      ;(setq a1 (rtd (atan (/ 2.0 12.0))));;16.2/3 pct
      (setq a2 (- 180(+ a1 90)))
      (setq a3 (/ (- 180 a2) 2))
      (setq j (* r (sin (dtr a3))))
      (setq k (sqrt (- (expt r 2) (expt j 2))))
      (setq a4 (- 180 (+ a3 90)))
      (setq a5 (- 90 (* a4 2)))
      (setq r2 (/ r (cos (dtr a4))))
      (setq o (sqrt (- (expt r2 2) (expt r 2))))
      (setq m (* r (sin (dtr a5))))
      (setq l (* r (cos (dtr a5))))
      (setq p (- d b1))
      (setq y (/ p (cos (dtr a1))))
      (setq n (sqrt (- (expt y 2) (expt p 2))))
      (setq z (/ i (cos (dtr a1))))
      (setq q (sqrt (- (expt z 2) (expt i 2))))
      (setq r1 (- g q))
      (setq u (* r1 (cos (dtr a1))))
      (setq tt (sqrt (- (expt r1 2) (expt u 2))))
      (setq z1 (/(- r1 tt)(cos (dtr a1))))
      (setq v (sqrt (- (expt z1 2) (expt (- r1 tt) 2))))
      (setq w (-(+ r1 v) u))
      (setq x (sqrt (/ (expt r1 2) 2)))
      (setvar "osmode" 0)

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) d) (-(cadr pnt1) h) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) h) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) d) (-(cadr pnt1) h) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) d) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) d) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) d) (+(cadr pnt1) h) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) h) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) d) (+(cadr pnt1) h) (caddr pnt1))))

      (setq pnt2 (list (car pnt1)(-(cadr pnt1) h) (caddr pnt1)))
      (setq pnt3 (list (-(car pnt1)d)(-(cadr pnt1)h) (caddr pnt1)))
      (setq pnt4 (list (-(car pnt1)d)(+(-(cadr pnt1)h)w)(caddr pnt1)))
      (setq pnt5 (list (-(+(-(car pnt1)d)r1)x)(+(+(-(cadr pnt1)h)w)x)(caddr pnt1)))
      (setq pnt6 (list (-(+(-(car pnt1)d)r1)tt)(+(+(-(cadr pnt1)h)w)u)(caddr pnt1)))
      (setq pnt7 (list (+(-(-(car pnt1)b1)r)m)(-(+(+(+(-(cadr pnt1)h)r1)n)o)l) (caddr pnt1)))
      (setq pnt8 (list (+(-(-(car pnt1)b1)r)j)(-(+(+(+(-(cadr pnt1)h)r1)n)o)k)(caddr pnt1)))
      (setq pnt9 (list (-(car pnt1)b1)(+(+(+(-(cadr pnt1)h)r1)n)o)(caddr pnt1)))
      (setq pnt10 (list (-(car pnt1)b1)(cadr pnt1)(caddr pnt1)))
      (command "._pline" pnt2 pnt3 pnt4 "_a" "_s" pnt5 pnt6 "_l" pnt7 "_a" "_s" pnt8 pnt9 "_l" pnt10 "")
      (setq ss1 (entlast))
      (command "._mirror" ss1 "" pnt1 pnt2 "")
      (setq ss2 (entlast))
      (command "._pedit" ss1 "_j" ss2 "" "_x")
      (setq ss1 (entlast))
      (command "._mirror" ss1 "" pnt1 pnt10 "")
      (setq ss2 (entlast))
      (command "._pedit" ss1 "_j" ss2 "" "_x")
      (setq ss1 (entlast))
      (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ e 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

      ) 
    )
   )
  (if (or (wcmatch bm1 "S*"))
    (if (and (= 2dd2 1) (or (= frontv2 1)(= rearv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a shpd3)
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
      )
    )
   (prompt "\nTo place beam (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ e 2))
   (setq o (/ c 2))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (command "._offset" o ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._offset" m ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1)
   (ssadd ss4 ss1) 
   (ssadd ss5 ss1)
    (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))
(if (or (wcmatch bm1 "S*"))
    (if (and (= 2dd2 1) (or (= leftv2 1)(= rightv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a shpd3)
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
       )
    )
   (prompt "\nTo place beam (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ a 2))
   (setq o (- (/ a 2) g))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (command "._offset" m ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" o ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss3 ss1) 
   (ssadd ss2 ss1)
   (ssadd ss5 ss1) 
   (ssadd ss4 ss1)
    (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1)  (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))
   (if (or (= 3ds2 1)(= 3dd2 1))
    (progn
     (command "._extrude" ss1 "" rval "")
     (setq ss1 (entlast))
    )
   )
  )


  ((= ang2 1)
    (if (or (and (= 2ds2 1)(= topv2 1))
      (= 3ds2 1))
       (progn
        (if (= def2 1)
          (progn
            (setq a angd3)
            (setq b angw3)
            (setq c angt3)
          )
        )
            (while
              (= nil
                (setq pnt1 (getpoint "\nPick point to place angle: "))
              )
                (alert "\nPlease pick a point")
           )
     (setq d (/ a 2))
     (setq e (/ b 2))

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) e) (-(cadr pnt1) d) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) d) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) e) (-(cadr pnt1) d) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) e) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) e) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) e) (+(cadr pnt1) d) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) d) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) e) (+(cadr pnt1) d) (caddr pnt1))))

     (setq pnt2 (list (+(car pnt1)e)(-(cadr pnt1)d)(caddr pnt1))) 
     (setq pnt3 (list (+(car pnt1)e)(+(cadr pnt1)d)(caddr pnt1)))
     (setq pnt4 (list (-(+(car pnt1)e)c)(+(cadr pnt1)d)(caddr pnt1)))
     (setq pnt5 (list (-(+(car pnt1)e)c)(+(-(cadr pnt1)d)c)(caddr pnt1)))
     (setq pnt6 (list (-(car pnt1)e)(+(-(cadr pnt1)d)c)(caddr pnt1)))
     (setq pnt7 (list (-(car pnt1)e)(-(cadr pnt1)d)(caddr pnt1)))
     (setvar "osmode" 0)
     (command "._pline" pnt2 pnt3 pnt4 pnt5 pnt6 pnt7 "_c" )
     (setq ss1 (entlast))
     (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ b 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )
    )
   )
 (if (and (= 2ds2 1)(= bottomv2 1))
      (progn
        (if (= def2 1)
          (progn
            (setq a angd3)
            (setq b angw3)
            (setq c angt3)
          )
        )
              (while
                (= nil
                  (setq pnt1 (getpoint "\nPick point to place angle: "))
                )
                  (alert "\nPlease pick a point")
             )
     (setq d (/ a 2))
     (setq e (/ b 2))

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) e) (-(cadr pnt1) d) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) d) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) e) (-(cadr pnt1) d) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) e) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) e) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) e) (+(cadr pnt1) d) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) d) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) e) (+(cadr pnt1) d) (caddr pnt1))))

     (setq pnt2 (list (-(+(car pnt1)e)c)(-(cadr pnt1)d)(caddr pnt1))) 
     (setq pnt3 (list (+(car pnt1)e)(-(cadr pnt1)d)(caddr pnt1)))
     (setq pnt4 (list (+(car pnt1)e)(+(cadr pnt1)d)(caddr pnt1)))
     (setq pnt5 (list (-(car pnt1)e) (+(cadr pnt1)d)(caddr pnt1)))
     (setq pnt6 (list (-(car pnt1)e)(-(+(cadr pnt1)d)c)(caddr pnt1)))
     (setq pnt7 (list (-(+(car pnt1)e)c)(-(+(cadr pnt1)d)c)(caddr pnt1)))
     (setvar "osmode" 0)
     (command "._pline" pnt2 pnt3 pnt4 pnt5 pnt6 pnt7 "_c" )
     (setq ss1 (entlast))
     (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ b 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

    )
   )


(if (and (or (= 2ds2 1)(= 2dd2 1)) (or (= leftv2 1)(= rightv2 1)(= frontv2 1)(= rearv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a angd3)
         (setq b angw3)
         (setq c angt3)

       )
    )
   (prompt "\nTo place angle (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq d (/ a 2))
   (setq e (/ b 2))
   (setq f (- d c))
   (setq g (- e c))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ang4 (angle pnt1 pnt2))
   (setq ang5 (angle pnt2 pnt1))
   (setq ss10 (entlast))
   (if (or (= leftv2 1)(= frontv2 1)(= rightv2 1))
     (progn
       (if (> ang5 3.14159)
        (setq pnt13 (polar pnt1 (+ ang5 (dtr 90)) 1))
        (setq pnt13 (polar pnt1 (+ ang4 (dtr 90)) 1))
       )
    )
  )
 (if (= rearv2 1) 
     (progn
       (if (> ang5 3.14159)
        (setq pnt13 (polar pnt1 (- ang5 (dtr 90)) 1))
        (setq pnt13 (polar pnt1 (- ang4 (dtr 90)) 1))
       )
    )
  )
   (setvar "osmode" 0)
   (if (or (= frontv2 1)(= rearv2 1))
     (command "._offset" e ss10 pnt13 "")
   )
   (if (or (= leftv2 1)(= rightv2 1))
     (command "._offset" d ss10 pnt13 "")
   )
   (setq ss2 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (if (= rightv2 1) 
     (progn
       (command "._offset" f ss10 pnt13 "")
       (setq ss3 (entlast))
       (command "._chprop" ss3 "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")

     )
   )
   (if (= rearv2 1)
     (progn
       (command "._offset" g ss10 pnt13 "")
       (setq ss3 (entlast)) 
     )
   )
     (if (= frontv2 1) 
     (progn
       (command "._offset" g ss10 pnt13 "")
       (setq ss3 (entlast))
      (command "._chprop" ss3 "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
     )
   )
   (if (= leftv2 1)
     (progn
       (command "._offset" f ss10 pnt13 "")
       (setq ss3 (entlast)) 
     )
   )

   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1 (ssadd))
   (ssadd ss2 ss1) 
  (if (or (= frontv2 1)(= rightv2 1)) (ssadd ss3 ss1))
  (if (or (= rearv2 1)(= leftv2 1)) (ssadd ss3 ss1))
   (ssadd ss4 ss1) 
   (if (= capends2 1)
     (progn
     (ssadd ss8 ss1)
     (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss2 nil ss4 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
  
   (if (= toggle2 1)
     (toggle_ang_stl_aq1)
    ) 
   ;(setq ss3 nil)
   (if (= pipyy2 1)(break_stl_aq1))
(if (and(= togglel2 1)(or(/= 3ds2 1)(/= 3dd2 1)))(toggle_view_stl_aq1)) 
)) 
(if (or (and (= 2dd2 1)(= topv2 1))
  (= 3dd2 1))
    (progn
      (if (= def2 1)
       (progn
         (setq a angd3)
         (setq b angw3)
         (setq c angt3)
        )
      )
        (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place angle: "))
         )
          (alert "\nPlease pick a point")
        )
        (setq r c)
     (setq d (/ c 2))
     (setq e (/ a 2))
     (setq f (/ b 2))
     (setq r1 (sqrt (/ (expt r 2) 2)))
     (setq r2 (sqrt (/ (expt d 2) 2)))

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) f) (-(cadr pnt1) e) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) e) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) f) (-(cadr pnt1) e) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) f) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) f) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) f) (+(cadr pnt1) e) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) e) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) f) (+(cadr pnt1) e) (caddr pnt1))))


     (setq pnt2 (list (+(car pnt1)f) (-(cadr pnt1)e) (caddr pnt1))) 
     (setq pnt3 (list (+(car pnt1)f) (+(cadr pnt1)e) (caddr pnt1)))
     (setq pnt4 (list (-(+(car pnt1)f)d) (+(cadr pnt1)e) (caddr pnt1)))
     (setq pnt5 (list (-(-(+(car pnt1)f)d)r2) (+(-(+(cadr pnt1)e)d)r2) (caddr pnt1)))
     (setq pnt6 (list (-(+(car pnt1)f)c) (-(+(cadr pnt1)e)d) (caddr pnt1)))
     (setq pnt7 (list (-(+(car pnt1)f)c) (+(+(-(cadr pnt1)e)c)r)(caddr pnt1)))
     (setq pnt8 (list (+(-(-(+(car pnt1)f)c)r)r1)(-(+(+(-(cadr pnt1)e)c)r)r1)(caddr pnt1)))
     (setq pnt9 (list (-(-(+(car pnt1)f)c)r) (+(-(cadr pnt1)e)c) (caddr pnt1)))
     (setq pnt10 (list (+(-(car pnt1)f)d) (+(-(cadr pnt1)e)c) (caddr pnt1)))
     (setq pnt11 (list (-(+(-(car pnt1)f)d)r2)(+(+(-(cadr pnt1)e)d)r2)(caddr pnt1)))
     (setq pnt12 (list (-(car pnt1)f) (+(-(cadr pnt1)e)d) (caddr pnt1)))
     (setq pnt13 (list (-(car pnt1)f) (-(cadr pnt1)e) (caddr pnt1)))
     (setvar "osmode" 0)
     (command "._pline" pnt2 pnt3 pnt4 "_a" "_s" pnt5 pnt6 "_l" pnt7 "_a" "_s" pnt8 pnt9 "_l" pnt10
      "_a" "_s" pnt11 pnt12 "_l" pnt13 "_c")
     (setq ss1 (entlast))
     (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ b 10) 4))


          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

    )
   )

(if (and (= 2dd2 1)(= bottomv2 1))
   (progn
      (if (= def2 1)
       (progn
         (setq a angd3)
         (setq b angw3)
         (setq c angt3)
        )
      )
        (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place angle: "))
         )
          (alert "\nPlease pick a point")
        )
     (setq r c)
     (setq d (/ c 2))
     (setq e (/ a 2))
     (setq f (/ b 2))
     (setq r1 (sqrt (/ (expt r 2) 2)))
     (setq r2 (sqrt (/ (expt d 2) 2)))

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) f) (-(cadr pnt1) e) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) e) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) f) (-(cadr pnt1) e) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) f) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) f) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) f) (+(cadr pnt1) e) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) e) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) f) (+(cadr pnt1) e) (caddr pnt1))))

     (setq pnt2 (list (+(car pnt1)f) (-(cadr pnt1)e) (caddr pnt1))) 
     (setq pnt3 (list (+(car pnt1)f) (+(cadr pnt1)e) (caddr pnt1)))
     (setq pnt4 (list (-(car pnt1)f) (+(cadr pnt1)e) (caddr pnt1)))
     (setq pnt5 (list (-(car pnt1)f) (-(+(cadr pnt1)e)d) (caddr pnt1)))
     (setq pnt6 (list (-(+(-(car pnt1)f)d)r2) (-(-(+(cadr pnt1)e)d)r2) (caddr pnt1)))
     (setq pnt7 (list (+(-(car pnt1)f)d) (-(+(cadr pnt1)e)c) (caddr pnt1)))
     (setq pnt8 (list (-(-(+(car pnt1)f)c)r) (-(+(cadr pnt1)e)c) (caddr pnt1)))
     (setq pnt9 (list (+(-(-(+(car pnt1)f)c)r)r1)(+(-(-(+(cadr pnt1)e)c)r)r1)(caddr pnt1)))
     (setq pnt10 (list (-(+(car pnt1)f)c) (-(-(+(cadr pnt1)e)c)r) (caddr pnt1)))
     (setq pnt11 (list (-(+(car pnt1)f)c) (+(-(cadr pnt1)e)d) (caddr pnt1)))
     (setq pnt12 (list (-(-(+(car pnt1)f)d)r2)(-(+(-(cadr pnt1)e)d)r2)(caddr pnt1)))
     (setq pnt13 (list (-(+(car pnt1)f)d) (-(cadr pnt1)e) (caddr pnt1)))
     (setvar "osmode" 0)
     (command "._pline" pnt2 pnt3 pnt4 pnt5 "_a" "_s" pnt6 pnt7 "_l" pnt8 "_a" "_s" pnt9 pnt10 "_l" pnt11
      "_a" "_s" pnt12 pnt13 "_l" "_c")
     (setq ss1 (entlast))
     (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ b 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

    )
   )
    (if (or (= 3ds2 1)(= 3dd2 1))
      (progn
       (command "._extrude" ss1 "" rval "")
       (setq ss1 (entlast))
      )
    )
  )


  ((= tub2 1)
   (if(or(and(= 2ds2 1)(or(= topv2 1)(= bottomv2 1)))
     (= 3ds2 1))
      (progn
        (if (= def2 1)
          (progn
            (setq a angd3)
            (setq b angw3)
            (setq c angt3)
          )
        )
              (while
                (= nil
                  (setq pnt1 (getpoint "\nPick point to place tubing: "))
                )
                  (alert "\nPlease pick a point")
             )
     (setq d (/ a 2))
     (setq e (/ b 2))

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) e) (-(cadr pnt1) d) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) d) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) e) (-(cadr pnt1) d) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) e) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) e) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) e) (+(cadr pnt1) d) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) d) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) e) (+(cadr pnt1) d) (caddr pnt1))))

     (setq pnt2 (list (+(car pnt1)e)(+(cadr pnt1)d) (caddr pnt1))) 
     (setq pnt3 (list (+(car pnt1)e)(-(cadr pnt1)d) (caddr pnt1)))
     (setq pnt4 (list (-(car pnt1)e)(-(cadr pnt1)d) (caddr pnt1)))
     (setq pnt5 (list (-(car pnt1)e)(+(cadr pnt1)d) (caddr pnt1)))
     (setvar "osmode" 0)
     (command "._pline" pnt2 pnt3 pnt4 pnt5 "_c" )
     (setq ss1 (entlast))
     (command "._region" ss1 "")
     (setq ss1 (entlast))
     (setq pnt6 (list (-(+(car pnt1)e)c)(-(+(cadr pnt1)d)c)(caddr pnt1)))
     (setq pnt7 (list (-(+(car pnt1)e)c)(+(-(cadr pnt1)d)c)(caddr pnt1)))
     (setq pnt8 (list (+(-(car pnt1)e)c)(+(-(cadr pnt1)d)c)(caddr pnt1)))
     (setq pnt9 (list (+(-(car pnt1)e)c)(-(+(cadr pnt1)d)c)(caddr pnt1)))
     (command "._pline" pnt6 pnt7 pnt8 pnt9 "_c" )
     (setq ss2 (entlast))
     (command "._region" ss2 "")
     (setq ss2 (entlast))
     (command "._subtract" ss1 "" ss2 "")
     (setq ss1 (entlast))
     (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ b 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

    )
   )
   (if (or (and (= 2dd2 1)(or (= topv2 1)(= bottomv2 1))) 
    (= 3dd2 1))
     (progn
        (if (= def2 1)
          (progn
            (setq a angd3)
            (setq b angw3)
            (setq c angt3)
          )
        )
              (while
                (= nil
                  (setq pnt1 (getpoint "\nPick point to place tubing: "))
                )
                  (alert "\nPlease pick a point")
             )
     (setq d (/ a 2))
     (setq e (/ b 2))
     (setq r1(* c 2))
     (setq r3(- r1 c))
     (setq r2 (sqrt (/ (expt r1 2) 2)))
     (setq r4 (sqrt (/ (expt r3 2) 2)))

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) e) (-(cadr pnt1) d) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) d) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) e) (-(cadr pnt1) d) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) e) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) e) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) e) (+(cadr pnt1) d) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) d) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) e) (+(cadr pnt1) d) (caddr pnt1))))

     (setq pnt2 (list (-(+(car pnt1)e)r1)(+(cadr pnt1)d)(caddr pnt1))) 
     (setq pnt3 (list (+(-(+(car pnt1)e)r1)r2)(+(-(+(cadr pnt1)d)r1)r2)(caddr pnt1))) 
     (setq pnt4 (list (+(car pnt1)e)(-(+(cadr pnt1)d)r1)(caddr pnt1))) 
     (setq pnt5 (list (+(car pnt1)e)(+(-(cadr pnt1)d)r1)(caddr pnt1))) 
     (setq pnt6 (list (+(-(+(car pnt1)e)r1)r2)(-(+(-(cadr pnt1)d)r1)r2)(caddr pnt1))) 
     (setq pnt7 (list (-(+(car pnt1)e)r1)(-(cadr pnt1)d)(caddr pnt1))) 
     (setq pnt8 (list (+(-(car pnt1)e)r1)(-(cadr pnt1)d)(caddr pnt1))) 
     (setq pnt9 (list (-(+(-(car pnt1)e)r1)r2)(-(+(-(cadr pnt1)d)r1)r2)(caddr pnt1))) 
     (setq pnt10 (list(-(car pnt1)e)(+(-(cadr pnt1)d)r1)(caddr pnt1))) 
     (setq pnt11 (list(-(car pnt1)e)(-(+(cadr pnt1)d)r1)(caddr pnt1))) 
     (setq pnt12 (list(-(+(-(car pnt1)e)r1)r2)(+(-(+(cadr pnt1)d)r1)r2)(caddr pnt1))) 
     (setq pnt13 (list(+(-(car pnt1)e)r1)(+(cadr pnt1)d)(caddr pnt1))) 
     (setvar "osmode" 0)
     (command "._pline" pnt2 "_a" "_s" pnt3 pnt4 "_l" pnt5 "_a" "_s" pnt6 pnt7 "_l" pnt8 "_a" "_s" 
      pnt9 pnt10 "_l" pnt11 "_a" "_s" pnt12 pnt13 "_l" "_cl")
     (setq ss1 (entlast))
     (command "._region" ss1 "")
     (setq ss1 (entlast))
     (setq pnt14 (list (-(+(car pnt1)e)r1)(-(+(cadr pnt1)d)c)(caddr pnt1))) 
     (setq pnt15 (list (+(-(+(car pnt1)e)r1)r4)(+(-(+(cadr pnt1)d)r1)r4)(caddr pnt1))) 
     (setq pnt16 (list (-(+(car pnt1)e)c)(-(+(cadr pnt1)d)r1)(caddr pnt1))) 
     (setq pnt17 (list (-(+(car pnt1)e)c)(+(-(cadr pnt1)d)r1)(caddr pnt1))) 
     (setq pnt18 (list (+(-(+(car pnt1)e)r1)r4)(-(+(-(cadr pnt1)d)r1)r4)(caddr pnt1))) 
     (setq pnt19 (list (-(+(car pnt1)e)r1)(+(-(cadr pnt1)d)c)(caddr pnt1))) 
     (setq pnt20 (list (+(-(car pnt1)e)r1)(+(-(cadr pnt1)d)c)(caddr pnt1))) 
     (setq pnt21 (list (-(+(-(car pnt1)e)r1)r4)(-(+(-(cadr pnt1)d)r1)r4)(caddr pnt1))) 
     (setq pnt22 (list (+(-(car pnt1)e)c)(+(-(cadr pnt1)d)r1)(caddr pnt1)))
     (setq pnt23 (list (+(-(car pnt1)e)c)(-(+(cadr pnt1)d)r1)(caddr pnt1)))
     (setq pnt24 (list (-(+(-(car pnt1)e)r1)r4)(+(-(+(cadr pnt1)d)r1)r4)(caddr pnt1))) 
     (setq pnt25 (list (+(-(car pnt1)e)r1)(-(+(cadr pnt1)d)c)(caddr pnt1)))
     (command "._pline" pnt14 "_a" "_s" pnt15 pnt16 "_l" pnt17 "_a" "_s" pnt18 pnt19 "_l" pnt20
      "_a" "_s" pnt21 pnt22 "_l" pnt23 "_a" "_s" pnt24 pnt25 "_l" "_cl")
     (setq ss2 (entlast))
     (command "._region" ss2 "")
     (setq ss2 (entlast))
     (command "._subtract" ss1 "" ss2 "")
     (setq ss1 (entlast))
      (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ b 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

    )
   )
 
(if (and (or (= 2dd2 1)(= 2ds2 1))(or (= frontv2 1)(= rearv2 1))) 
     (progn
        (if (= def2 1)
          (progn
            (setq a angd3)
            (setq b angw3)
            (setq c angt3)
          )
        )
   (prompt "\nTo place tubing (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq e (/ b 2))
   (setq f (- (/ b 2) c))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (command "._offset" e ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" f ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1)
   (ssadd ss3 ss1) 
   (ssadd ss4 ss1)
   (ssadd ss5 ss1) 
   (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)) 


(if (and (or (= 2dd2 1)(= 2ds2 1))(or (= leftv2 1)(= rightv2 1))) 
     (progn
        (if (= def2 1)
          (progn
            (setq a angd3)
            (setq b angw3)
            (setq c angt3)
          )
        )
   (prompt "\nTo place tubing (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq e (/ a 2))
   (setq f (- (/ a 2) c))
   (command "._line" pause pause "")
   (setvar "osmode" 0)
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (command "._offset" e ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" f ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
  (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss3 ss1) 
   (ssadd ss2 ss1)
   (ssadd ss5 ss1) 
   (ssadd ss4 ss1)
   (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
  (if (and(= togglel2 1)(or(/= 3ds2 1)(/= 3dd2 1)))(toggle_view_stl_aq1))
)) 
    (if (or (= 3ds2 1)(= 3dd2 1))
      (progn
       (command "._extrude" ss1 "" rval "")
       (setq ss1 (entlast))
      )
    )
  )
 
 ((= cha2 1)
  (if (or (and (= 2ds2 1) (or (= topv2 1)(= bottomv2 1))) 
   (= 3ds2 1))
    (progn
     (if (= def2 1)
       (progn
          (setq a shpd3)
          (setq e shpw3)
          (setq c shpweb3)
          (setq g shpflg3)
        )
      )
        (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place channel: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq a1 9.462322)
      (setq r c)
      (setq h(/ a 2))
      (setq ee (/ e 2))
      (setq i(/(- e c) 2))
      (setq a2 (- 180(+ a1 90)))
      (setq a3 (/ (- 180 a2) 2))
      (setq j (* r (sin (dtr a3))))
      (setq k (sqrt (- (expt r 2) (expt j 2))))
      (setq a4 (- 180 (+ a3 90)))
      (setq a5 (- 90 (* a4 2)))
      (setq r2 (/ r (cos (dtr a4))))
      (setq o (sqrt (- (expt r2 2) (expt r 2))))
      (setq m (* r (sin (dtr a5))))
      (setq l (* r (cos (dtr a5))))
      (setq p (- e c))
      (setq y (/ p (cos (dtr a1))))
      (setq n (sqrt (- (expt y 2) (expt p 2))))
      (setq z (/ i (cos (dtr a1))))
      (setq q (sqrt (- (expt z 2) (expt i 2))))
      (setq r1 (- g q))
      (setq u (* r1 (cos (dtr a1))))
      (setq tt (sqrt (- (expt r1 2) (expt u 2))))
      (setq z1 (/(- r1 tt)(cos (dtr a1))))
      (setq v (sqrt (- (expt z1 2) (expt (- r1 tt) 2))))
      (setq w (-(+ r1 v) u))
      (setq x (sqrt (/ (expt r1 2) 2)))
      (setvar "osmode" 0)

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) ee) (-(cadr pnt1) h) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) h) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) ee) (-(cadr pnt1) h) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) ee) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) ee) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) ee) (+(cadr pnt1) h) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) h) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) ee) (+(cadr pnt1) h) (caddr pnt1))))

      (setq pnt2 (list (+(car pnt1)ee) (cadr pnt1) (caddr pnt1)))
      (setq pnt3 (list (+(car pnt1)ee)(-(cadr pnt1)h)(caddr pnt1)))
      (setq pnt4 (list (-(car pnt1)ee)(-(cadr pnt1)h)(caddr pnt1)))
      (setq pnt12 (list (-(car pnt1)ee)(+(-(cadr pnt1)h)r1)(caddr pnt1)))
      (setq pnt11 (list (-(+(car pnt1)ee)c)(+(+(-(cadr pnt1)h)r1)n)(caddr pnt1)))
      (setq pnt10 (list (-(+(car pnt1)ee)c)(cadr pnt1)(caddr pnt1)))
      (command "._pline" pnt2 pnt3 pnt4 pnt12 pnt11 pnt10 "")
      (setq ss1 (entlast))
      (command "._mirror" ss1 "" pnt1 pnt10 "")
      (setq ss2 (entlast))
      (command "._pedit" ss1 "_j" ss2 "" "_x")
      (setq ss1 (entlast))
      (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ e 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

     )
   )
   (if (and (= 2ds2 1) (or (= frontv2 1)(= rearv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a shpd3)
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
       )
    )
   (prompt "\nTo place channel (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq i (/ a 2))
   (setq h (/ e 2))
   (setq j (- h c))
   (command "._line" pause pause "")
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ang4 (angle pnt1 pnt2))
   (setq ang5 (angle pnt2 pnt1))
   (setq ss10 (entlast))
   (if (> ang5 3.14159)
    (setq pnt13 (polar pnt1 (+ ang5 (dtr 90)) 1))
    (setq pnt13 (polar pnt1 (+ ang4 (dtr 90)) 1))
   )
   (setvar "osmode" 0)
   (command "._offset" h ss10 pnt13 "")
   (setq ss2 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" j ss10 pnt13 "")
   (setq ss3 (entlast))
   (command "._chprop" ss3 "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1 (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1) 
   (ssadd ss4 ss1) 
   (if (= capends2 1)
     (progn
     (ssadd ss8 ss1)
     (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss2 nil ss4 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
  
   (if (= toggle2 1)
     (toggle_ang_stl_aq1)
    ) 
   ;(setq ss3 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)) 
(if (and (= 2ds2 1) (or (= leftv2 1)(= rightv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a shpd3)
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
       )
    )
   (prompt "\nTo place channel (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq i (/ a 2))
   (setq k (- i g))
   (command "._line" pause pause "")
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (setvar "osmode" 0)
   (command "._offset" i ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" k ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (if (= rightv2 1)
     (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1)
   (ssadd ss4 ss1) 
   (ssadd ss5 ss1)
    (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)) 


  (if (or (and (= 2dd2 1) (or (= topv2 1)(= bottomv2 1))) 
   (= 3dd2 1))
    (progn
     (if (= def2 1)
       (progn
         (setq a shpd3)
         (setq d shpw3)
         (setq b shpweb3)
         (setq f shpflg3)
        )
      )
        (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place channel: "))
         )
          (alert "\nPlease pick a point")
        )
     (setq a1 9.462322)
     (setq r b)
     (setq ee(/ d 2))
     (setq h(/ a 2))
     (setq i(/(- d b) 2))
     ;(setq a1 (rtd (atan (/ 2.0 12.0))));;16.2/3 pct
     (setq a2 (- 180(+ a1 90)))
     (setq a3 (/ (- 180 a2) 2))
     (setq j (* r (sin (dtr a3))))
     (setq k (sqrt (- (expt r 2) (expt j 2))))
     (setq a4 (- 180 (+ a3 90)))
     (setq a5 (- 90 (* a4 2)))
     (setq r2 (/ r (cos (dtr a4))))
     (setq o (sqrt (- (expt r2 2) (expt r 2))))
     (setq m (* r (sin (dtr a5))))
     (setq l (* r (cos (dtr a5))))
     (setq p (- d b))
     (setq y (/ p (cos (dtr a1))))
     (setq n (sqrt (- (expt y 2) (expt p 2))))
     (setq z (/ i (cos (dtr a1))))
     (setq q (sqrt (- (expt z 2) (expt i 2))))
     (setq r1 (- f q))
     (setq u (* r1 (cos (dtr a1))))
     (setq tt (sqrt (- (expt r1 2) (expt u 2))))
     (setq z1 (/(- r1 tt)(cos (dtr a1))))
     (setq v (sqrt (- (expt z1 2) (expt (- r1 tt) 2))))
     (setq w (-(+ r1 v) u))
     (setq x (sqrt (/ (expt r1 2) 2)))
     (setvar "osmode" 0)

     (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) ee) (-(cadr pnt1) h) (caddr pnt1))))
     (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) h) (caddr pnt1))))
     (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) ee) (-(cadr pnt1) h) (caddr pnt1)))) 
     (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) ee) (cadr pnt1) (caddr pnt1)))) 
     (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
     (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) ee) (cadr pnt1) (caddr pnt1))))
     (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) ee) (+(cadr pnt1) h) (caddr pnt1)))) 
     (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) h) (caddr pnt1))))
     (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) ee) (+(cadr pnt1) h) (caddr pnt1))))

     (setq pnt11 (list (+(car pnt1)ee) (cadr pnt1) (caddr pnt1)))
     (setq pnt2 (list (+(car pnt1)ee) (-(cadr pnt1) h) (caddr pnt1)))
     (setq pnt3 (list (-(car pnt1)ee)(-(cadr pnt1)h) (caddr pnt1)))
     (setq pnt4 (list (-(car pnt1)ee)(+(-(cadr pnt1)h)w)(caddr pnt1)))
     (setq pnt5 (list (-(+(-(car pnt1)ee)r1)x)(+(+(-(cadr pnt1)h)w)x)(caddr pnt1)))
     (setq pnt6 (list (-(+(-(car pnt1)ee)r1)tt)(+(+(-(cadr pnt1)h)w)u)(caddr pnt1)))
     (setq pnt7 (list (+(-(-(+(car pnt1)ee)b)r)m)(-(+(+(+(-(cadr pnt1)h)r1)n)o)l) (caddr pnt1)))
     (setq pnt8 (list (+(-(-(+(car pnt1)ee)b)r)j)(-(+(+(+(-(cadr pnt1)h)r1)n)o)k)(caddr pnt1)))
     (setq pnt9 (list (-(+(car pnt1)ee)b)(+(+(+(-(cadr pnt1)h)r1)n)o)(caddr pnt1)))
     (setq pnt10 (list (-(+(car pnt1)ee)b)(cadr pnt1)(caddr pnt1)))
     (command "._pline" pnt11 pnt2 pnt3 pnt4 "_a" "_s" pnt5 pnt6 "_l" pnt7 "_a" "_s" pnt8 pnt9 "_l" pnt10 "")
     (setq ss1 (entlast))
     (command "._mirror" ss1 "" pnt1 pnt10 "")
     (setq ss2 (entlast))
     (command "._pedit" ss1 "_j" ss2 "" "_x")
     (setq ss1 (entlast))
     (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ d 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

    )
   )
(if (and (= 2dd2 1) (or (= frontv2 1)(= rearv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a shpd3)
         (setq d shpw3)
         (setq b shpweb3)
         (setq f shpflg3)
       )
    )
   (prompt "\nTo place channel (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq i (/ a 2))
   (setq h (/ d 2))
   (setq j (- h b))
   (command "._line" pause pause "")
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ang4 (angle pnt1 pnt2))
   (setq ang5 (angle pnt2 pnt1))
   (setq ss10 (entlast))
   (if (> ang5 3.14159)
    (setq pnt13 (polar pnt1 (+ ang5 (dtr 90)) 1))
    (setq pnt13 (polar pnt1 (+ ang4 (dtr 90)) 1))
   )
   (setvar "osmode" 0)
   (command "._offset" h ss10 pnt13 "")
   (setq ss2 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" j ss10 pnt13 "")
   (setq ss3 (entlast))
   (command "._chprop" ss3 "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1 (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1) 
   (ssadd ss4 ss1) 
   (if (= capends2 1)
     (progn
     (ssadd ss8 ss1)
     (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss2 nil ss4 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
  
   (if (= toggle2 1)
     (toggle_ang_stl_aq1)
    ) 
   ;(setq ss3 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)) 
(if (and (= 2dd2 1) (or (= leftv2 1)(= rightv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a shpd3)
         (setq d shpw3)
         (setq b shpweb3)
         (setq f shpflg3)
       )
    )
   (prompt "\nTo place channel (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq i (/ a 2))
   (setq k (- i f))
   (command "._line" pause pause "")
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (setvar "osmode" 0)
   (command "._offset" i ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" k ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (if (= rightv2 1)
     (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds "")
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1)
   (ssadd ss4 ss1) 
   (ssadd ss5 ss1)
    (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)) 
     (if (or (= 3ds2 1)(= 3dd2 1))
      (progn
       (command "._extrude" ss1 "" rval "")
       (setq ss1 (entlast))
      )
    )
  )
  ((= tee2 1)
  (if (or (wcmatch bm1 "WT*")(wcmatch bm1 "MT*")) 
     (if (or (and (= 2ds2 1)(= topv2 1))
      (= 3ds2 1))
      (progn
      (if (= def2 1)
       (progn
         (setq b (* shpd3 2))
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
       )
     )
       (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place tee: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq i (/ b 4))
      (setq j (/ f 2))
      (setq l (/ d 2))
      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) j) (-(cadr pnt1) i) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) i) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) j) (-(cadr pnt1) i) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) j) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) j) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) j) (+(cadr pnt1) i) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) i) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) j) (+(cadr pnt1) i) (caddr pnt1))))
      (setq pnt2 (list (+(car pnt1)l)(+(cadr pnt1)i)(caddr pnt1))) 
      (setq pnt3 (list (+(car pnt1)l)(+(-(cadr pnt1)i)h)(caddr pnt1))) 
      (setq pnt4 (list (+(car pnt1)j)(+(-(cadr pnt1)i)h)(caddr pnt1))) 
      (setq pnt5 (list (+(car pnt1)j)(-(cadr pnt1)i)(caddr pnt1))) 
      (setq pnt6 (list (-(car pnt1)j)(-(cadr pnt1)i)(caddr pnt1))) 
      (setq pnt7 (list (-(car pnt1)j)(+(-(cadr pnt1)i)h)(caddr pnt1))) 
      (setq pnt8 (list (-(car pnt1)l)(+(-(cadr pnt1)i)h)(caddr pnt1))) 
      (setq pnt9 (list (-(car pnt1)l)(+(cadr pnt1)i)(caddr pnt1))) 
      (setvar "osmode" 0)
      (command "._pline" pnt2 pnt3 pnt4 pnt5 pnt6 pnt7 pnt8 pnt9 "_c")
      (setq ss1 (entlast))
      (if (= addcen2 1)
        (progn
          (setq aa (/ b 20))
          (setq bb (* aa 4))
          (setq cc (/ b 32))
          (setq dd (*(/ f 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

     )
    )
   )
    (if (or (wcmatch bm1 "WT*")(wcmatch bm1 "MT*")) 
     (if (and (= 2ds2 1)(= bottomv2 1))
      
(progn
       (if (= def2 1)
        (progn
         (setq b (* shpd3 2))
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
        )
       )
       (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place tee: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq i (/ b 4))
      (setq j (/ f 2))
      (setq l (/ d 2))
      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) j) (-(cadr pnt1) i) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) i) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) j) (-(cadr pnt1) i) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) j) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) j) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) j) (+(cadr pnt1) i) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) i) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) j) (+(cadr pnt1) i) (caddr pnt1))))
      (setq pnt2 (list (-(car pnt1)l)(-(cadr pnt1)i)(caddr pnt1))) 
      (setq pnt3 (list (-(car pnt1)l)(-(+(cadr pnt1)i)h)(caddr pnt1))) 
      (setq pnt4 (list (-(car pnt1)j)(-(+(cadr pnt1)i)h)(caddr pnt1))) 
      (setq pnt5 (list (-(car pnt1)j)(+(cadr pnt1)i)(caddr pnt1))) 
      (setq pnt6 (list (+(car pnt1)j)(+(cadr pnt1)i)(caddr pnt1))) 
      (setq pnt7 (list (+(car pnt1)j)(-(+(cadr pnt1)i)h)(caddr pnt1))) 
      (setq pnt8 (list (+(car pnt1)l)(-(+(cadr pnt1)i)h)(caddr pnt1))) 
      (setq pnt9 (list (+(car pnt1)l)(-(cadr pnt1)i)(caddr pnt1))) 
      (setvar "osmode" 0)
      (command "._pline" pnt2 pnt3 pnt4 pnt5 pnt6 pnt7 pnt8 pnt9 "_c")
      (setq ss1 (entlast))
      (if (= addcen2 1)
        (progn
          (setq aa (/ b 20))
          (setq bb (* aa 4))
          (setq cc (/ b 32))
          (setq dd (*(/ f 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

     )
    )
   )


(if (or (wcmatch bm1 "WT*")(wcmatch bm1 "MT*")(wcmatch bm1 "ST*"))
    (if (and (= 2ds2 1) (or (= frontv2 1)(= rearv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq b shpd3)
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
       )
    )
   (prompt "\nTo place tee (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ f 2))
   (setq o (/ d 2))
   (command "._line" pause pause "")
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (setvar "osmode" 0)
   (command "._offset" o ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._offset" m ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= frontv2 1)
     (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds ""))
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1)
   (ssadd ss4 ss1) 
   (ssadd ss5 ss1)
    (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))


(if (or (wcmatch bm1 "WT*")(wcmatch bm1 "MT*")(wcmatch bm1 "ST*"))
    (if (and (= 2ds2 1) (or (= leftv2 1)(= rightv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq b (* shpd3 2))
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
       )
    )
   (prompt "\nTo place tee (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ b 4))
   (setq o (- m h))
   (command "._line" pause pause "")
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ang4 (angle pnt1 pnt2))
   (setq ang5 (angle pnt2 pnt1))
   (setq ss10 (entlast))
   (if (= leftv2 1)
     (progn
       (if (> ang5 3.14159)
        (setq pnt13 (polar pnt1 (+ ang5 (dtr 90)) 1))
        (setq pnt13 (polar pnt1 (+ ang4 (dtr 90)) 1))
       )
    )
  )
 (if (= rightv2 1)
     (progn
       (if (> ang5 3.14159)
        (setq pnt13 (polar pnt1 (+ ang5 (dtr 90)) 1))
        (setq pnt13 (polar pnt1 (+ ang4 (dtr 90)) 1))
       )
    )
  )
   (setvar "osmode" 0)
   (command "._offset" m ss10 pnt13 "")
   (setq ss2 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" o ss10 pnt13 "")
   (setq ss3 (entlast))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
(if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1 (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1) 
   (ssadd ss4 ss1) 
   (if (= capends2 1)
     (progn
     (ssadd ss8 ss1)
     (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss2 nil ss4 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_ang_stl_aq1)
   )
   (setq ss3 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))
   (if (or (wcmatch bm1 "WT*")(wcmatch bm1 "MT*"))
     (if (or (and (= 2dd2 1)(= topv2 1))
      (= 3dd2 1))
       (progn
       (if (= def2 1)
       (progn
         (setq a (* shpd3 2))
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
       )
    )
      (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place tee: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq r c)
      (setq j (/ e 2))
      (setq i (/ a 4))
      (setq l (/ c 2))
      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) j) (-(cadr pnt1) i) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) i) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) j) (-(cadr pnt1) i) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) j) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) j) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) j) (+(cadr pnt1) i) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) i) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) j) (+(cadr pnt1) i) (caddr pnt1))))
      (setq pnt2 (list (+(car pnt1)l)(+(cadr pnt1)i)(caddr pnt1))) 
      (setq pnt3 (list (+(car pnt1)l)(+(+(-(cadr pnt1)i)g)r)(caddr pnt1))) 
      (setq pnt4 (list (+(+(car pnt1)l)r)(+(-(cadr pnt1)i)g)(caddr pnt1))) 
      (setq pnt5 (list (+(car pnt1)j)(+(-(cadr pnt1)i)g)(caddr pnt1))) 
      (setq pnt6 (list (+(car pnt1)j)(-(cadr pnt1)i)(caddr pnt1)))
      (setq pnt7 (list (-(car pnt1)j)(-(cadr pnt1)i)(caddr pnt1)))
      (setq pnt8 (list (-(car pnt1)j)(+(-(cadr pnt1)i)g)(caddr pnt1)))
      (setq pnt9 (list (-(-(car pnt1)l)r)(+(-(cadr pnt1)i)g)(caddr pnt1)))
      (setq pnt10 (list (-(car pnt1)l)(+(+(-(cadr pnt1)i)g)r)(caddr pnt1)))
      (setq pnt11 (list (-(car pnt1)l)(+(cadr pnt1)i)(caddr pnt1))) 
      (setvar "osmode" 0)
      (command "._pline" pnt2 pnt3 "_a" pnt4 "_l" pnt5 pnt6 pnt7 pnt8 pnt9 "_a" pnt10 "_l" pnt11 "_c")
      (setq ss1 (entlast))
      (if (= addcen2 1)
        (progn
          (setq aa (/ a 20))
          (setq bb (* aa 4))
          (setq cc (/ a 32))
          (setq dd (*(/ e 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

      )
    )
   )


(if (or (wcmatch bm1 "WT*")(wcmatch bm1 "MT*"))
     (if (and (= 2dd2 1)(= bottomv2 1))
      (progn
       (if (= def2 1)
       (progn
         (setq a (* shpd3 2))
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
        )
      )
     (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place tee: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq r c)
      (setq j (/ e 2))
      (setq i (/ a 4))
      (setq l (/ c 2))
      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) j) (-(cadr pnt1) i) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) i) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) j) (-(cadr pnt1) i) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) j) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) j) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) j) (+(cadr pnt1) i) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) i) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) j) (+(cadr pnt1) i) (caddr pnt1))))
      (setq pnt2 (list (-(car pnt1)l)(-(cadr pnt1)i)(caddr pnt1))) 
      (setq pnt3 (list (-(car pnt1)l)(-(-(+(cadr pnt1)i)g)r)(caddr pnt1))) 
      (setq pnt4 (list (-(-(car pnt1)l)r)(-(+(cadr pnt1)i)g)(caddr pnt1))) 
      (setq pnt5 (list (-(car pnt1)j)(-(+(cadr pnt1)i)g)(caddr pnt1))) 
      (setq pnt6 (list (-(car pnt1)j)(+(cadr pnt1)i)(caddr pnt1)))
      (setq pnt7 (list (+(car pnt1)j)(+(cadr pnt1)i)(caddr pnt1)))
      (setq pnt8 (list (+(car pnt1)j)(-(+(cadr pnt1)i)g)(caddr pnt1)))
      (setq pnt9 (list (+(+(car pnt1)l)r)(-(+(cadr pnt1)i)g)(caddr pnt1)))
      (setq pnt10 (list (+(car pnt1)l)(-(-(+(cadr pnt1)i)g)r)(caddr pnt1)))
      (setq pnt11 (list (+(car pnt1)l)(-(cadr pnt1)i)(caddr pnt1))) 
      (setvar "osmode" 0)
      (command "._pline" pnt2 pnt3 "_a" pnt4 "_l" pnt5 pnt6 pnt7 pnt8 pnt9 "_a" pnt10 "_l" pnt11 "_c")
      (setq ss1 (entlast))
      (if (= addcen2 1)
        (progn
          (setq aa (/ a 20))
          (setq bb (* aa 4))
          (setq cc (/ a 32))
          (setq dd (*(/ e 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

      )
    )
   )
(if (or (wcmatch bm1 "WT*")(wcmatch bm1 "MT*")(wcmatch bm1 "ST*"))
    (if (and (= 2dd2 1) (or (= frontv2 1)(= rearv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a shpd3)
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
       )
    )
   (prompt "\nTo place tee (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ e 2))
   (setq o (/ c 2))
   (command "._line" pause pause "")
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (setvar "osmode" 0)
   (command "._offset" o ss10 pnt1 "")
   (setq ss2 (entlast))
   (command "._offset" m ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= frontv2 1)
     (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds ""))
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1)
   (ssadd ss4 ss1) 
   (ssadd ss5 ss1)
   (if (= capends2 1)
    (progn
     (ssadd ss8 ss1)
     (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_bea_stl_aq1)
   )
   (setq ss2 nil ss4 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))
(if (or (wcmatch bm1 "WT*")(wcmatch bm1 "MT*")(wcmatch bm1 "ST*"))
    (if (and (= 2dd2 1) (or (= leftv2 1)(= rightv2 1))) 
     (progn
      (if (= def2 1)
       (progn
         (setq a (* shpd3 2))
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
       )
    )
   (prompt "\nTo place tee (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq m (/ a 4))
   (setq o (- m g))
   (command "._line" pause pause "")
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ang4 (angle pnt1 pnt2))
   (setq ang5 (angle pnt2 pnt1))
   (setq ss10 (entlast))
   (if (= leftv2 1)
     (progn
       (if (> ang5 3.14159)
        (setq pnt13 (polar pnt1 (+ ang5 (dtr 90)) 1))
        (setq pnt13 (polar pnt1 (+ ang4 (dtr 90)) 1))
       )
    )
  )
 (if (= rightv2 1)
     (progn
       (if (> ang5 3.14159)
        (setq pnt13 (polar pnt1 (+ ang5 (dtr 90)) 1))
        (setq pnt13 (polar pnt1 (+ ang4 (dtr 90)) 1))
       )
    )
  )
   (setvar "osmode" 0)
   (command "._offset" m ss10 pnt13 "")
   (setq ss2 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (command "._offset" o ss10 pnt13 "")
   (setq ss3 (entlast))
   (command "._mirror" ss2 "" pnt1 pnt2 "")
   (setq ss4 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (ssadd ss2 ss1) 
   (ssadd ss3 ss1) 
   (ssadd ss4 ss1) 
   (if (= capends2 1)
    (progn
     (ssadd ss8 ss1)
     (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss2 nil ss4 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (= toggle2 1)
     (toggle_ang_stl_aq1)
   )
   (setq ss3 nil)
  (if (= pipyy2 1)(break_stl_aq1))
(if (= togglel2 1)(toggle_view_stl_aq1))
)))
   (if (wcmatch bm1 "ST*")
     (if (or (and (= 2ds2 1)(= topv2 1))
      (= 3ds2 1))
       (progn
       (if (= def2 1)
       (progn
         (setq b (* shpd3 2))
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
        )
       )
       (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place tee: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq a1 9.462322)
      (setq r d)
      (setq b1(/ d 2))
      (setq dd(/ f 2))
      (setq hh(/ b 4))
      (setq i(/(- dd b1) 2))
      ;(setq a1 (rtd (atan (/ 2.0 12.0))));;16.2/3 pct
      (setq a2 (- 180(+ a1 90)))
      (setq a3 (/ (- 180 a2) 2))
      (setq j (* r (sin (dtr a3))))
      (setq k (sqrt (- (expt r 2) (expt j 2))))
      (setq a4 (- 180 (+ a3 90)))
      (setq a5 (- 90 (* a4 2)))
      (setq r2 (/ r (cos (dtr a4))))
      (setq o (sqrt (- (expt r2 2) (expt r 2))))
      (setq m (* r (sin (dtr a5))))
      (setq l (* r (cos (dtr a5))))
      (setq p (- dd b1))
      (setq y (/ p (cos (dtr a1))))
      (setq n (sqrt (- (expt y 2) (expt p 2))))
      (setq z (/ i (cos (dtr a1))))
      (setq q (sqrt (- (expt z 2) (expt i 2))))
      (setq r1 (- h q))
      (setq u (* r1 (cos (dtr a1))))
      (setq tt (sqrt (- (expt r1 2) (expt u 2))))
      (setq z1 (/(- r1 tt)(cos (dtr a1))))
      (setq v (sqrt (- (expt z1 2) (expt (- r1 tt) 2))))
      (setq w (-(+ r1 v) u))
      (setq x (sqrt (/ (expt r1 2) 2)))
      (setvar "osmode" 0)
      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) dd) (-(cadr pnt1) hh) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) hh) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) dd) (-(cadr pnt1) hh) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) dd) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1)dd) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) dd) (+(cadr pnt1) hh) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) hh) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) dd) (+(cadr pnt1) hh) (caddr pnt1))))
      (setq pnt2 (list (car pnt1)(-(cadr pnt1) hh)(caddr pnt1)))
      (setq pnt3 (list (-(car pnt1)dd)(-(cadr pnt1)hh)(caddr pnt1)))
      (setq pnt12 (list (-(car pnt1)dd)(+(-(cadr pnt1)hh)r1)(caddr pnt1)))
      (setq pnt11 (list (-(car pnt1)b1)(+(+(-(cadr pnt1)hh)r1)n)(caddr pnt1)))
      (setq pnt10 (list (-(car pnt1)b1)(+(cadr pnt1)hh)(caddr pnt1)))
      (setq pnt9 (list (car pnt1)(+(cadr pnt1)hh)(caddr pnt1)))
      (command "._pline" pnt2 pnt3 pnt12 pnt11 pnt10 pnt9 "")
      (setq ss1 (entlast))
      (command "._mirror" ss1 "" pnt1 pnt2 "")
      (setq ss2 (entlast))
      (command "._pedit" ss1 "_j" ss2 "" "_x")
      (setq ss1 (entlast))
      (setq ss2 nil)
      (if (= addcen2 1)
        (progn
          (setq aa (/ b 20))
          (setq bb (* aa 4))
          (setq cc (/ b 32))
          (setq dd (*(/ f 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

     )
    )
   )
(if (wcmatch bm1 "ST*")
     (if (and (= 2ds2 1)(= bottomv2 1))
      (progn
       (if (= def2 1)
       (progn
         (setq b (* shpd3 2))
         (setq f shpw3)
         (setq d shpweb3)
         (setq h shpflg3)
      )
     )
       (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place tee: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq a1 9.462322)
      (setq r d)
      (setq b1(/ d 2))
      (setq dd(/ f 2))
      (setq hh(/ b 4))
      (setq i(/(- dd b1) 2))
      ;(setq a1 (rtd (atan (/ 2.0 12.0))));;16.2/3 pct
      (setq a2 (- 180(+ a1 90)))
      (setq a3 (/ (- 180 a2) 2))
      (setq j (* r (sin (dtr a3))))
      (setq k (sqrt (- (expt r 2) (expt j 2))))
      (setq a4 (- 180 (+ a3 90)))
      (setq a5 (- 90 (* a4 2)))
      (setq r2 (/ r (cos (dtr a4))))
      (setq o (sqrt (- (expt r2 2) (expt r 2))))
      (setq m (* r (sin (dtr a5))))
      (setq l (* r (cos (dtr a5))))
      (setq p (- dd b1))
      (setq y (/ p (cos (dtr a1))))
      (setq n (sqrt (- (expt y 2) (expt p 2))))
      (setq z (/ i (cos (dtr a1))))
      (setq q (sqrt (- (expt z 2) (expt i 2))))
      (setq r1 (- h q))
      (setq u (* r1 (cos (dtr a1))))
      (setq tt (sqrt (- (expt r1 2) (expt u 2))))
      (setq z1 (/(- r1 tt)(cos (dtr a1))))
      (setq v (sqrt (- (expt z1 2) (expt (- r1 tt) 2))))
      (setq w (-(+ r1 v) u))
      (setq x (sqrt (/ (expt r1 2) 2)))
      (setvar "osmode" 0)
      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) dd) (-(cadr pnt1) hh) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) hh) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) dd) (-(cadr pnt1) hh) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) dd) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1)dd) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) dd) (+(cadr pnt1) hh) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) hh) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) dd) (+(cadr pnt1) hh) (caddr pnt1))))
      (setq pnt2 (list (car pnt1)(+(cadr pnt1) hh)(caddr pnt1)))
      (setq pnt3 (list (+(car pnt1)dd)(+(cadr pnt1)hh)(caddr pnt1)))
      (setq pnt12 (list (+(car pnt1)dd)(-(+(cadr pnt1)hh)r1)(caddr pnt1)))
      (setq pnt11 (list (+(car pnt1)b1)(-(-(+(cadr pnt1)hh)r1)n)(caddr pnt1)))
      (setq pnt10 (list (+(car pnt1)b1)(-(cadr pnt1)hh)(caddr pnt1)))
      (setq pnt9 (list (car pnt1)(-(cadr pnt1)hh)(caddr pnt1)))
      (command "._pline" pnt2 pnt3 pnt12 pnt11 pnt10 pnt9 "")
      (setq ss1 (entlast))
      (command "._mirror" ss1 "" pnt1 pnt2 "")
      (setq ss2 (entlast))
      (command "._pedit" ss1 "_j" ss2 "" "_x")
      (setq ss1 (entlast))
      (setq ss2 nil)
      (if (= addcen2 1)
        (progn
          (setq aa (/ b 20))
          (setq bb (* aa 4))
          (setq cc (/ b 32))
          (setq dd (*(/ f 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

     )
    )
   )
   (if (wcmatch bm1 "ST*")
    (if (or (and (= 2dd2 1)(= topv2 1))
      (= 3dd2 1))
       (progn
       (if (= def2 1)
       (progn
         (setq a (* shpd3 2))
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
        )
      )
      (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place tee: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq r c)
      (setq a1 9.462322)
      (setq b1(/ c 2))
      (setq d(/ e 2))
      (setq h(/ a 4))
      (setq i(/(- d b1) 2))
      ;(setq a1 (rtd (atan (/ 2.0 12.0))));;16.2/3 pct
      (setq a2 (- 180(+ a1 90)))
      (setq a3 (/ (- 180 a2) 2))
      (setq j (* r (sin (dtr a3))))
      (setq k (sqrt (- (expt r 2) (expt j 2))))
      (setq a4 (- 180 (+ a3 90)))
      (setq a5 (- 90 (* a4 2)))
      (setq r2 (/ r (cos (dtr a4))))
      (setq o (sqrt (- (expt r2 2) (expt r 2))))
      (setq m (* r (sin (dtr a5))))
      (setq l (* r (cos (dtr a5))))
      (setq p (- d b1))
      (setq y (/ p (cos (dtr a1))))
      (setq n (sqrt (- (expt y 2) (expt p 2))))
      (setq z (/ i (cos (dtr a1))))
      (setq q (sqrt (- (expt z 2) (expt i 2))))
      (setq r1 (- g q))
      (setq u (* r1 (cos (dtr a1))))
      (setq tt (sqrt (- (expt r1 2) (expt u 2))))
      (setq z1 (/(- r1 tt)(cos (dtr a1))))
      (setq v (sqrt (- (expt z1 2) (expt (- r1 tt) 2))))
      (setq w (-(+ r1 v) u))
      (setq x (sqrt (/ (expt r1 2) 2)))
      (setvar "osmode" 0)
      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) d) (-(cadr pnt1) h) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) h) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) d) (-(cadr pnt1) h) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) d) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1)d) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) d) (+(cadr pnt1) h) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) h) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) d) (+(cadr pnt1) h) (caddr pnt1))))
      (setq pnt2 (list (car pnt1)(-(cadr pnt1) h) (caddr pnt1)))
      (setq pnt3 (list (-(car pnt1)d)(-(cadr pnt1)h) (caddr pnt1)))
      (setq pnt4 (list (-(car pnt1)d)(+(-(cadr pnt1)h)w)(caddr pnt1)))
      (setq pnt5 (list (-(+(-(car pnt1)d)r1)x)(+(+(-(cadr pnt1)h)w)x)(caddr pnt1)))
      (setq pnt6 (list (-(+(-(car pnt1)d)r1)tt)(+(+(-(cadr pnt1)h)w)u)(caddr pnt1)))
      (setq pnt7 (list (+(-(-(car pnt1)b1)r)m)(-(+(+(+(-(cadr pnt1)h)r1)n)o)l) (caddr pnt1)))
      (setq pnt8 (list (+(-(-(car pnt1)b1)r)j)(-(+(+(+(-(cadr pnt1)h)r1)n)o)k)(caddr pnt1)))
      (setq pnt9 (list (-(car pnt1)b1)(+(+(+(-(cadr pnt1)h)r1)n)o)(caddr pnt1)))
      (setq pnt10 (list (-(car pnt1)b1)(+(cadr pnt1)h)(caddr pnt1)))
      (setq pnt11 (list (car pnt1)(+(cadr pnt1)h)(caddr pnt1)))
      (command "._pline" pnt2 pnt3 pnt4 "_a" "_s" pnt5 pnt6 "_l" pnt7 "_a" "_s" pnt8 pnt9 "_l" pnt10 pnt11 "")
      (setq ss1 (entlast))
      (command "._mirror" ss1 "" pnt1 pnt2 "")
      (setq ss2 (entlast))
      (command "._pedit" ss1 "_j" ss2 "" "_x")
      (setq ss1 (entlast))
      (setq ss2 nil)
      (if (= addcen2 1)
        (progn
          (setq aa (/ a 20))
          (setq bb (* aa 4))
          (setq cc (/ a 32))
          (setq dd (*(/ e 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

     )
    )
   ) 
  (if (wcmatch bm1 "ST*")
    (if (and (= 2dd2 1)(= bottomv2 1))
     (progn
       (if (= def2 1)
       (progn
         (setq a (* shpd3 2))
         (setq e shpw3)
         (setq c shpweb3)
         (setq g shpflg3)
       )
     )
      (while
         (= nil
          (setq pnt1 (getpoint "\nPick point to place tee: "))
         )
          (alert "\nPlease pick a point")
        )
      (setq r c)
      (setq a1 9.462322)
      (setq b1(/ c 2))
      (setq d(/ e 2))
      (setq h(/ a 4))
      (setq i(/(- d b1) 2))
      ;(setq a1 (rtd (atan (/ 2.0 12.0))));;16.2/3 pct
      (setq a2 (- 180(+ a1 90)))
      (setq a3 (/ (- 180 a2) 2))
      (setq j (* r (sin (dtr a3))))
      (setq k (sqrt (- (expt r 2) (expt j 2))))
      (setq a4 (- 180 (+ a3 90)))
      (setq a5 (- 90 (* a4 2)))
      (setq r2 (/ r (cos (dtr a4))))
      (setq o (sqrt (- (expt r2 2) (expt r 2))))
      (setq m (* r (sin (dtr a5))))
      (setq l (* r (cos (dtr a5))))
      (setq p (- d b1))
      (setq y (/ p (cos (dtr a1))))
      (setq n (sqrt (- (expt y 2) (expt p 2))))
      (setq z (/ i (cos (dtr a1))))
      (setq q (sqrt (- (expt z 2) (expt i 2))))
      (setq r1 (- g q))
      (setq u (* r1 (cos (dtr a1))))
      (setq tt (sqrt (- (expt r1 2) (expt u 2))))
      (setq z1 (/(- r1 tt)(cos (dtr a1))))
      (setq v (sqrt (- (expt z1 2) (expt (- r1 tt) 2))))
      (setq w (-(+ r1 v) u))
      (setq x (sqrt (/ (expt r1 2) 2)))
      (setvar "osmode" 0)
      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) d) (-(cadr pnt1) h) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) h) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) d) (-(cadr pnt1) h) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) d) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1)d) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) d) (+(cadr pnt1) h) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) h) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) d) (+(cadr pnt1) h) (caddr pnt1))))
      (setq pnt2 (list (car pnt1)(+(cadr pnt1) h) (caddr pnt1)))
      (setq pnt3 (list (+(car pnt1)d)(+(cadr pnt1)h) (caddr pnt1)))
      (setq pnt4 (list (+(car pnt1)d)(-(+(cadr pnt1)h)w)(caddr pnt1)))
      (setq pnt5 (list (+(-(+(car pnt1)d)r1)x)(-(-(+(cadr pnt1)h)w)x)(caddr pnt1)))
      (setq pnt6 (list (+(-(+(car pnt1)d)r1)tt)(-(-(+(cadr pnt1)h)w)u)(caddr pnt1)))
      (setq pnt7 (list (-(+(+(car pnt1)b1)r)m)(+(-(-(-(+(cadr pnt1)h)r1)n)o)l) (caddr pnt1)))
      (setq pnt8 (list (-(+(+(car pnt1)b1)r)j)(+(-(-(-(+(cadr pnt1)h)r1)n)o)k)(caddr pnt1)))
      (setq pnt9 (list (+(car pnt1)b1)(-(-(-(+(cadr pnt1)h)r1)n)o)(caddr pnt1)))
      (setq pnt10 (list (+(car pnt1)b1)(-(cadr pnt1)h)(caddr pnt1)))
      (setq pnt11 (list (car pnt1)(-(cadr pnt1)h)(caddr pnt1)))
      (command "._pline" pnt2 pnt3 pnt4 "_a" "_s" pnt5 pnt6 "_l" pnt7 "_a" "_s" pnt8 pnt9 "_l" pnt10 pnt11 "")
      (setq ss1 (entlast))
      (command "._mirror" ss1 "" pnt1 pnt2 "")
      (setq ss2 (entlast))
      (command "._pedit" ss1 "_j" ss2 "" "_x")
      (setq ss1 (entlast))
      (setq ss2 nil)
      (if (= addcen2 1)
        (progn
          (setq aa (/ a 20))
          (setq bb (* aa 4))
          (setq cc (/ a 32))
          (setq dd (*(/ e 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss2 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss3 (entlast))
          (command "._chprop" ss2 ss3  ""  "_c" stlcolorcl "")
          (command "._mirror" ss2 "" pnt1 pnt5 "")
          (setq ss4 (entlast))
          (command "._mirror" ss3 "" pnt1 pnt5 "")
          (setq ss5 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss7 (entlast))
          (command "._chprop" ss6 ss7  ""  "_c" stlcolorcl "")
          (command "._mirror" ss6 "" pnt1 pnt2 "")
          (setq ss8 (entlast))
          (command "._mirror" ss7 "" pnt1 pnt2 "")
          (setq ss9 (entlast))
         )
       )

     )
    )
   ) ;closes wcmatch st


    (if (or (= 3ds2 1)(= 3dd2 1))
      (progn
       (command "._extrude" ss1 "" rval "")
       (setq ss1 (entlast))
      )
    )
    
   );closes tee2
     
  ((= pip2 1)
   (if(or(and(= 2ds2 1)(or(= topv2 1)(= bottomv2 1)))
    (= 3ds2 1))
    (progn
     (if (= def2 1)
      (setq a pipoda3) 
     )
         (while
           (= nil
            (setq pnt1 (getpoint "\nPick point to place pipe: "))
           )
            (alert "\nPlease pick a point")
          )
      (setvar "osmode" 0)

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) (/ a 2)) (-(cadr pnt1) (/ a 2)) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) (/ a 2)) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) (/ a 2)) (-(cadr pnt1) (/ a 2)) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) (/ a 2)) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) (/ a 2)) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) (/ a 2)) (+(cadr pnt1) (/ a 2)) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) (/ a 2)) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) (/ a 2)) (+(cadr pnt1) (/ a 2)) (caddr pnt1))))

      (command "._circle" pnt1 "_d" a)
      (setq ss10 (entlast))
      (if (and (= pipyy2 1)(= 2ds2 1))
       (progn
         (setq d (/ a 2))
         (setq e (/ a 4))

         (setq pnt2 (list (+(car pnt1)e)(cadr pnt1)(caddr pnt1)))
         (setq pnt3 (list (+(car pnt1)d)(cadr pnt1)(caddr pnt1)))
         (setq pnt4 (list (-(car pnt1)d)(cadr pnt1)(caddr pnt1)))
         (setq pnt5 (list (-(car pnt1)e)(cadr pnt1)(caddr pnt1)))
         (command "._arc" "_c" pnt2 pnt3 pnt1)
         (setq ss2 (entlast))
         (command "._arc" "_c" pnt5 pnt4 pnt1)
         (setq ss3 (entlast))
         (command "._chprop" ss2 ss3 "" "_c" stlcolorbrk "")
         (setq ss1 nil)
         (if (/= man2 1)(setq ss2 nil ss3 nil))
       )
     )
       (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ a 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss4 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss5 (entlast))
          (command "._chprop" ss4 ss5  ""  "_c" stlcolorcl "")
          (command "._mirror" ss4 "" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._mirror" ss5 "" pnt1 pnt5 "")
          (setq ss7 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss8 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss9 (entlast))
          (command "._chprop" ss8 ss9  ""  "_c" stlcolorcl "")
          (command "._mirror" ss8 "" pnt1 pnt2 "")
          (setq ss11 (entlast))
          (command "._mirror" ss9 "" pnt1 pnt2 "")
          (setq ss12 (entlast))
         )
       )
    )
 )
   (if(or(and(= 2dd2 1)(or(= topv2 1)(= bottomv2 1)))
    (= 3dd2 1))
    (progn
     (if (= def2 1)
       (progn
         (setq a pipoda3) 
         (setq b pipida3)
        )
      )
         (while
           (= nil
            (setq pnt1 (getpoint "\nPick point to place pipe: "))
           )
            (alert "\nPlease pick a point")
          )

      (if (= toplef2 1)(setq pnt1 (list (+(car pnt1) (/ a 2)) (-(cadr pnt1) (/ a 2)) (caddr pnt1))))
      (if (= topcen2 1)(setq pnt1 (list (car pnt1) (-(cadr pnt1) (/ a 2)) (caddr pnt1))))
      (if (= toprig2 1)(setq pnt1 (list (-(car pnt1) (/ a 2)) (-(cadr pnt1) (/ a 2)) (caddr pnt1)))) 
      (if (= midlef2 1)(setq pnt1 (list (+(car pnt1) (/ a 2)) (cadr pnt1) (caddr pnt1)))) 
      (if (= midcen2 1)(setq pnt1 (list (car pnt1) (cadr pnt1) (caddr pnt1)))) 
      (if (= midrig2 1)(setq pnt1 (list (-(car pnt1) (/ a 2)) (cadr pnt1) (caddr pnt1))))
      (if (= botlef2 1)(setq pnt1 (list (+(car pnt1) (/ a 2)) (+(cadr pnt1) (/ a 2)) (caddr pnt1)))) 
      (if (= botcen2 1)(setq pnt1 (list (car pnt1) (+(cadr pnt1) (/ a 2)) (caddr pnt1))))
      (if (= botrig2 1)(setq pnt1 (list (-(car pnt1) (/ a 2)) (+(cadr pnt1) (/ a 2)) (caddr pnt1))))

     (setvar "osmode" 0)
     (command "._circle" pnt1 "_d" a)
     (setq ss1 (entlast))
     (command "._region" ss1 "")
     (setq ss1 (entlast))
     (command "._circle" pnt1 "_d" b)
     (setq ss2 (entlast))
     (command "._region" ss2 "")
     (setq ss2 (entlast))
     (command "._subtract" ss1 "" ss2 "")
     (setq ss10 (entlast))
     (if (and (= pipyy2 1)(= 2dd2 1))
       (progn
         (setq d (/ b 2))
         (setq e (/ b 4))
         (setq pnt2 (list (+(car pnt1)e)(cadr pnt1)(caddr pnt1)))
         (setq pnt3 (list (+(car pnt1)d)(cadr pnt1)(caddr pnt1)))
         (setq pnt4 (list (-(car pnt1)d)(cadr pnt1)(caddr pnt1)))
         (setq pnt5 (list (-(car pnt1)e)(cadr pnt1)(caddr pnt1)))
         (command "._arc" "_c" pnt2 pnt3 pnt1)
         (setq ss2 (entlast))
         (command "._arc" "_c" pnt5 pnt4 pnt1)
         (setq ss3 (entlast))
         (command "._chprop" ss2 ss3 "" "_c" stlcolorbrk "")
         (setq ss1 nil)
         (if (/= man2 1)(setq ss2 nil ss3 nil))
       )
     )

       (if (= addcen2 1)
        (progn
          (setq aa (/ a 10))
          (setq bb (* aa 4))
          (setq cc (/ a 16))
          (setq dd (*(/ a 10) 4))
          (setq pnt2 (list (car pnt1)(+(cadr pnt1) aa) (caddr pnt1))) 
          (setq pnt3 (list (car pnt1)(+(+(cadr pnt1)aa)cc) (caddr pnt1)))
          (setq pnt4 (list (car pnt1)(+(+(+(cadr pnt1)aa)cc)bb) (caddr pnt1)))
          (setq pnt5 (list (+(car pnt1)aa)(cadr pnt1)(caddr pnt1))) 
          (setq pnt6 (list (+(+(car pnt1)aa)cc)(cadr pnt1)(caddr pnt1)))
          (setq pnt7 (list (+(+(+(car pnt1)aa)cc)dd)(cadr pnt1)(caddr pnt1)))
          (command "._line" pnt1 pnt2 "")
          (setq ss4 (entlast))
          (command "._line" pnt3 pnt4 "")
          (setq ss5 (entlast))
          (command "._chprop" ss4 ss5  ""  "_c" stlcolorcl "")
          (command "._mirror" ss4 "" pnt1 pnt5 "")
          (setq ss6 (entlast))
          (command "._mirror" ss5 "" pnt1 pnt5 "")
          (setq ss7 (entlast))
          (command "._line" pnt1 pnt5 "")
          (setq ss8 (entlast))
          (command "._line" pnt6 pnt7 "")
          (setq ss9 (entlast))
          (command "._chprop" ss8 ss9  ""  "_c" stlcolorcl "")
          (command "._mirror" ss8 "" pnt1 pnt2 "")
          (setq ss11 (entlast))
          (command "._mirror" ss9 "" pnt1 pnt2 "")
          (setq ss12 (entlast))
         )
       )

    )
   )  
  (if (and (or (= 2dd2 1)(= 2ds2 1))(or (= frontv2 1)(= rearv2 1)(= leftv2 1)(= rightv2 1))) 
     (progn
        (if (= def2 1)
          (progn
            (setq a pipoda3) 
            (if (/= 2ds2 1)(setq b pipida3))
          )
        )
   (prompt "\nTo place pipe (pick 1st. point) then (pick 2nd. point or enter distance): ")
   (setq e (/ a 2))
   (if (/= 2ds2 1)(setq f (/ b 2)))
   (command "._line" pause pause "")
   (setq aadd (entget (entlast)))
   (setq pnt1 (cdr (assoc 10 aadd)))
   (setq pnt1 (trans pnt1 0 1))
   (setq pnt2 (cdr (assoc 11 aadd)))
   (setq pnt2 (trans pnt2 0 1))
   (setq ss10 (entlast))
   (setvar "osmode" 0)
   (command "._offset" e ss10 pnt1 "")
   (setq ss3 (entlast))
   (setq ss7 (entget (entlast)))
   (setq pnt5 (cdr (assoc 10 ss7)))
   (setq pnt5 (trans pnt5 0 1))
   (setq pnt6 (cdr (assoc 11 ss7)))
   (setq pnt6 (trans pnt6 0 1))
   (if (/= 2ds2 1)
     (progn
       (command "._offset" f ss10 pnt1 "")
       (setq ss2 (entlast))
     )
   )
   (command "._mirror" ss3 "" pnt1 pnt2 "")
   (setq ss5 (entlast))
   (setq ss6 (entget (entlast)))
   (setq pnt3 (cdr (assoc 10 ss6)))
   (setq pnt3 (trans pnt3 0 1))
   (setq pnt4 (cdr (assoc 11 ss6)))
   (setq pnt4 (trans pnt4 0 1))
   (if (/= 2ds2 1)
     (progn
       (command "._mirror" ss2 "" pnt1 pnt2 "")
       (setq ss4 (entlast))
      )
    )
   (if (= capends2 1)
     (progn
       (command "._line" pnt3 pnt5 "")
       (setq ss8 (entlast))
     )
   )
   (if (= capends2 1)
     (progn
       (command "._line" pnt4 pnt6 "")
       (setq ss9 (entlast))
     )
   )
   (if (/= 2ds2 1) (command "._chprop" ss2 ss4  "" "_lt" "HIDDEN" "_c" stlcolorhid "_s" hidds ""))
   (if (= addcen2 1)
     (command "._chprop" ss10 "" "_lt" "CENTER" "_c" stlcolorcl "_s" centerlnsc "")
     (command "._erase" ss10 "")
   )
   (setq ss1  (ssadd))
   (if (/= 2ds2 1) (ssadd ss2 ss1)) 
   (ssadd ss3 ss1) 
   (if (/= 2ds2 1)(ssadd ss4 ss1)) 
   (ssadd ss5 ss1) 
    (if (= capends2 1)
     (progn
      (ssadd ss8 ss1)
      (ssadd ss9 ss1)))
   (if (= addcen2 1) (ssadd ss10 ss1))
   (setq ss3 nil ss5 nil ss8 nil ss9 nil ss10 nil)
   (setq pnt1 (cal "plt (pnt1,pnt2, 0.5)"))
   (if (and (= toggle2 1)(/= 2ds2 1)) 
     (toggle_bea_stl_aq1)
   )
   (if (/= 2ds2 1) (setq ss2 nil ss4 nil))
   (if (and (= pipyy2 1)(or (= 2ds2 1)(= 2dd2 1)))
     (progn
       (setq x (/ a 2))
       (setq y (/ a 4))
       (setq z (/ a 8))
       (if (/= 2ds2 1) (setq w (- x (/ (- a b) 2))))
       (setq v (* z 0.8))
       (if (/= 2ds2 1) (setq u (/ b a)))
       (setq ang1 (angle pnt4 pnt2))
       (setq ang2 (angle pnt1 pnt2))
       (setq pnt5 (cal "plt (pnt4,pnt2, 0.5)"))
       (setq pnt7 (polar pnt5 (+ ang1 (dtr 90)) z))
       (if (/= 2ds2 1) (setq pnt8 (cal "plt (pnt2,pnt6, u)")))
       (if (/= 2ds2 1) (setq pnt11 (cal "plt (pnt2,pnt8, 0.5)")))
       (if (/= 2ds2 1) (setq pnt9 (polar pnt11 (+ ang1 (dtr 90)) v)))
       (setq pnt10 (polar pnt1 (+ ang2 (dtr 90)) z))
       (command "._ellipse" pnt4 pnt2 pnt7)
       (setq ss2 (entlast))
       (command "._chprop" ss2 "" "_c" stlcolorbrk "")
       (command "._mirror" ss2 "" pnt1 pnt2 "")
       (setq ss3 (entlast))
       (if (/= 2ds2 1)
         (progn
           (command "._ellipse" pnt2 pnt8 pnt9)
           (setq ss4 (entlast))
           (command "._chprop" ss4 "" "_c" stlcolorbrk "")
          )
        )
       (command "._break" ss2 pnt4 pnt2)

       (if (wcmatch (getvar "acadver") "14*")
         (setq ss2 (entlast))
       )
       (command "._mirror" ss2 "" pnt1 pnt10 "")
       (setq ss5 (entlast))
       (command "._mirror" ss3 "" pnt1 pnt10 "")
       (setq ss6 (entlast))
       (if (/= 2ds2 1)
         (progn
           (command "._mirror" ss4 "" pnt1 pnt10 "")
           (setq ss7 (entlast))
         )
       )
       (command "._mirror" ss5 ss6 "" pnt1 pnt2 "y")
       (if (/= 2ds2 1) (command "._mirror" ss7 "" pnt1 pnt2 "y"))
       (ssadd ss2 ss1)
       (ssadd ss3 ss1)
       (if (/= 2ds2 1) (ssadd ss4 ss1))
       (ssadd ss5 ss1)
       (ssadd ss6 ss1)
       (if (/= 2ds2 1) (ssadd ss7 ss1))
       (if (/= man2 1) (setq ss2 nil ss3 nil ss4 nil ss5 nil ss6 nil ss7 nil))
      )
    )	
   (if (= togglel2 1)(toggle_view_stl_aq1))
)) 
    (if (or (= 3ds2 1)(= 3dd2 1))
      (progn
       (command "._extrude" ss10 "" rval "")
       (setq ss1 (entlast))
      )
    )
  );;closes pipe
 );closes cond
    (if (= cen2 1)                      ;;places center point
      (progn
        (command "._point" pnt1)
        (setq sscen (entlast))
       )
      
     )
  (if (or (= 2ds2 1)(= 2dd2 1))
    (if (and (= hat2 1)(/= frontv2 1)(/= rearv2 1)(/= leftv2 1)(/= rightv2 1))                      ;;hatches 2d shape
       (progn
         (if (= properties2 1)(setq hatch_pat (nth hatch_siz3 patlist)))
         (if (= hatch_pat "Cast iron")(setq ha "ansi31"))
         (if (= hatch_pat "Steel")(setq ha "ansi32"))
         (if (= hatch_pat "Aluminum")(setq ha "ansi38"))
         (if (= hatch_pat "Brass")(setq ha "ansi33"))
         (setvar "cecolor" (itoa stlcolor))
         (command "._ucsicon" "_off")
         (command "._ucs" "_o" pnt1)
         (if (= pip2 1)
           (command "._hatch" ha propsca propang ss10 "")
           (command "._hatch" ha propsca propang ss1 "")
         )
         (command "._ucs" "_p")
         (command "._ucsicon" "_on")
         (setq sshat (entlast))
       )
     )
   )
   
  (if (= man2 1)                   ;;rotates shape
      (romo_stl_aq1)
     )
 (if (= stlcolorcl "bylayer") (setq stlcolorcl 256))
 (if (= stlcolorcl "byblock") (setq stlcolorcl 0))
 (if (= stlcolorbrk "bylayer") (setq stlcolorbrk 256))
 (if (= stlcolorbrk "byblock") (setq stlcolorbrk 0))
 (if (= stlcolorhid "bylayer") (setq stlcolorhid 256))
 (if (= stlcolorhid "byblock") (setq stlcolorhid 0))
 (setvar "osmode" osn)
 (setvar "hpname" hpn)
 (setvar "blipmode" blp)
 (setvar "hpang" hpangle)
 (setvar "hpscale" hpscale)
 (setvar "cecolor" ceco)
 (command "._undo" "_end") 
 (if (< undovar 5)
  (cond
    ((= undovar 0) (command "._undo" "_c" "_n"))
    ((= undovar 4) (command "._undo" "_c" "_o"))
  )
 )
(setq def2 nil)
(setvar "cmdecho" cmd)

);closes str_stl_aq1


(DEFUN C:STEEL ( )
  (steel1_stl_aq1)	
)


(princ "\nType <STEEL> to run structural program")





